<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup BASE
 * @module acl_show
 * @package acl
 */
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use it */
 check_user();

 /* ---------------------------------------------------------------------------
  *
  */
 Function show(&$obj,$min,$max,$name) {
   global $lang;

   @reset ($obj->acl);
   while ( list ($i,$f) = @each ($obj->acl) ) {

     if ( ($f < $max) && ($f >= $min) ) {
       $pre = "&nbsp;";
       if ( $i == 0 ) {
         echo $pre . $lang['everybody'] ."<BR>\n";
         continue;
       }

       $x = getObject($obj->dbconn,$i);
       if ( $x->gettype() == "team" ) {
         $pre .= $lang['team'] ." ";
       }
       echo $pre . $x->getLink() ."<BR>\n";
       unset($x);
     }
   }
   echo "&nbsp;";
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$obj) {
   global $lang, $current_user,$tutos;


   echo "<TABLE CLASS=single BORDER=0 CELLSPACING=0>\n";
   echo " <TR><TH COLSPAN=6>";
   echo sprintf($lang['AclDetailI'],$lang[$obj->getType()] ." ". menulink($obj->getURL(),myentities($obj->getFullName())));
   echo "</TH></TR>\n";

   echo "<TR VALIGN=top>\n";
   echo " <TH WIDTH=\"30%\" COLSPAN=2>". $lang['ACLread'] ."</TH>\n";
   echo " <TH WIDTH=\"30%\" COLSPAN=2>". $lang['ACLread'] ."<BR>". $lang['ACLmodify'] ."</TH>\n";
   echo " <TH WIDTH=\"30%\" COLSPAN=2>". $lang['ACLread'] ."<BR>". $lang['ACLmodify'] ."<BR>".  $lang['ACLdelete'] ."</TH>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   echo " <TD VALIGN=top COLSPAN=2 CLASS=line1 NOWRAP>\n";
   show($obj,$tutos[seeok],$tutos[modok],"r");
   echo " </TD>\n";
   echo " <TD VALIGN=top COLSPAN=2 CLASS=line2 NOWRAP>\n";
   show($obj,$tutos[modok],$tutos[delok],"m");
   echo " </TD>\n";
   echo " <TD VALIGN=top COLSPAN=2 CLASS=line1 NOWRAP>\n";
   show($obj,$tutos[delok],99,"d");
   echo " </TD>\n";
   echo "</TR>\n";

   echo "</TABLE>\n";
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate($t) {
   global $lang;

   echo "<TABLE>";
   echo "<TR><TD>";
   echo "</TD></TR>";

   HTML_Select();
 }



 if ( ! isset($HTTP_GET_VARS['id']) ) {
   Fatal_Error("Missing ID");
 }
 $obj = getObject($dbconn,$HTTP_GET_VARS['id']);

 HTML_Header($lang['AclDetail']);

 if ( ! $obj ) {
   $msg .= "Object <I>". $HTTP_GET_VARS['id'] ."</I> not found!<BR>";
 }
 HTML_Base1();
 navigate($obj);
 HTML_Base2($msg);
 if ( $obj ) {
   info($obj);
 }
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: acl_show.php,v 1.14 2002/07/20 13:14:44 gokohnert Exp $
    $Author: gokohnert $
-->
