<?
/*
 * Copyright 1999 - 2002 by Gero Kohnert
 */
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("address");

 /* ---------------------------------------------------------------------------
  *
  */
 Function ask_location(&$location) {
   global $lang;

   $modloc = 1;

   echo "<TR>\n";

   # Address Desription
   add_entry ($lang['AdrCategory'],'category',$location->category,$modloc,30,3);
   echo "</TR><TR>\n";
   # Address Desription
   add_entry ($lang['AdrDescription'],'lname',$location->lname,$modloc,30);
   add_entry ($lang['Description'],'desc1',$location->desc1,$modloc,30);
#   echo "<TD COLSPAN=2>&nbsp;</TD>";
   echo "</TR><TR>\n";

   # COMPANY/NAME
   if ( isset($location->cl) ) {
     echo "<TD>&nbsp;<B>". $lang['Company'] ."</B>&nbsp;</TD><TD>\n";
     echo "<SELECT name=c_id>\n";
     @reset($location->cl);
     while ( list ($i,$f) = @each ($location->cl) ) {
       echo "  <OPTION VALUE=$i>". $f->name ."</OPTION>\n";
     }
     echo "  <OPTION VALUE=-1>None</OPTION>\n";
     echo "</SELECT>\n";
     # Copy company location
     echo "<BR><INPUT TYPE=checkbox VALUE=1 NAME=cploc ".($location->cploc == 1 ? "CHECKED":"") .">". $lang['AdrCpLoc'];
     echo "</TD>\n";

   } else {
     add_entry ($lang['Company'],'company',$location,$modloc,30);
   }
   # EMAIL
   add_entry ($lang['AdrEmail']. " #1",'email_1',$location->email_1,$modloc,60);
   echo "</TR><TR>\n";

   # DEPARTMENT
   if ( isset($location->dl) ) {
     echo "<TD>&nbsp;<B>" . $lang['Department'] ."</B>&nbsp;</TD><TD>\n";
     echo "<SELECT name=d_id>\n";
     @reset($location->dl);
     while ( list ($i,$f) = @each ($location->dl) ) {
       echo "  <OPTION VALUE=$i>". $f->name ." in ". $f->company->name ."</OPTION>\n";
     }
     echo "  <OPTION VALUE=-1>None</OPTION>\n";
     echo "</SELECT>\n";
     echo "</TD>\n";
   } else {
     add_entry ($lang['Department'],'department',$location->department_name,$modloc,30);
   }
   # EMAIL
   add_entry ($lang['AdrEmail']." #2",'email_2',$location->email_2,$modloc,60);
   echo "</TR><TR>\n";

   # STREET
   add_entry ($lang['Street'],'street1',$location->street1,$modloc,30);
   # PHONE
   add_entry ($lang['Phone'] ." #1",'phone_1',$location->phone_1,$modloc,30);
   echo "</TR><TR>\n";

   # STREET
   add_entry ($lang['Street'],'street2',$location->street2,$modloc,30);
   # PHONE
   add_entry ($lang['Phone'] ." #2",'phone_2',$location->phone_2,$modloc,30);
   echo "</TR><TR>\n";

   # FAX
   add_entry ($lang['AdrFax'],'fax_1',$location->fax_1,$modloc,30);
   # CITY
   add_entry ($lang['City'],'city',$location->city,$modloc,30);
   echo "</TR><TR>\n";

   # ZIP
   add_entry ($lang['ZIP'],'zip',$location->zip,$modloc,10);
   echo "<TD COLSPAN=2>&nbsp;</TD>";
   echo "</TR><TR>\n";

   # STATE
   add_entry ($lang['State'],'state',$location->state,$modloc,30);
   echo "<TD COLSPAN=2>&nbsp;</TD>";
   echo "</TR><TR>\n";

   # COUNTRY
   add_entry ($lang['Country'],'country',$location->country,$modloc,3);
   echo "<TD COLSPAN=2>&nbsp;</TD>";

   echo "</TR>\n";
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function ask_address(&$address,$modadr) {
   global $lang,$tutos,$current_user;

   echo "<TR>\n";

   # TITLE
   add_entry ($lang['AdrTitle'],'title',$address->title,$modadr,10,3);
   echo "</TR><TR>\n";

   # FIRST NAME
   add_entry ($lang['AdrFirstName'],'f_name',$address->f_name,$modadr,30,3);
   echo "</TR><TR>\n";

   # MIDDLE NAME
   add_entry ($lang['AdrMiddleName'],'m_name',$address->m_name,$modadr,3,3);
   echo "</TR><TR>\n";

   # LAST NAME
   add_entry ($lang['AdrLastName'],'l_name',$address->l_name,$modadr,30,3);
   echo "</TR><TR>\n";

   # BIRTHDAY
   add_entry ($lang['AdrBirthday'],'birthday',$address->birthday,$modadr,0,3);
   echo "</TR>\n";

   if ( $current_user->feature_ok(usedocmanagement,PERM_NEW) ) {
     # Picture
     if ( $modadr == 1 ) {
       $address->read_picture();
       add_entry ($lang['AdrPicture'],'picture',$address->pic_file,$modadr,30,3);
     }
   }
   if ( $modadr == 1 ) {
     # References to modules
     module_addforms($current_user,$address,4);
   }

   echo "</TR>\n";
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$address,&$location) {
   global $lang;

   if ( isset($location) ) {
     echo "<FORM action=\"location_ins.php\" method=\"POST\">\n";
   } else {
     echo "<FORM ENCTYPE=\"multipart/form-data\" action=\"address_ins.php\" method=\"POST\">\n";
   }
   hiddenFormElements();

   echo "<TABLE CLASS=single BORDER=0 CELLSPACING=0>\n";
#   DoubleTableStart(1);


   if ( isset($address) ) {
     $title = $lang['AdrBNewTitle'];
     if ( $address->id > 0 ) {
       # Its an update
       $title = $lang['AdrBChangeTitle'];
       echo "<INPUT type=\"hidden\" value=\"". $address->id ."\" name=\"id\">\n";
     }
     $modloc = 0;
     $modadr = 1;
   }
   if ( isset($location) ) {
     if ( $location->id == -1 ) {
       $title = sprintf($lang['AdrLocCreate'],$address->getFullName());
     } else {
       $title = sprintf($lang['AdrLocChange'],$address->getFullName());
     }
     echo "<INPUT type=\"hidden\" value=\"". $location->id ."\" name=\"loc_id\">\n";
     $modloc = 1;
     $modadr = 0;
   }

   echo " <TR><TH COLSPAN=4>". $title ."</TH></TR>\n";
   if ( (($address->id > -1) && ($modloc == 0)) || (($location->id > -1) && ($modloc == 1))) {
     echo " <TR>\n";
     echo "  <TD COLSPAN=3>&nbsp;</TD>\n";
     if ( $modloc == 1 ) {
       echo "  <TD ALIGN=right COLSPAN=1>". acl_link($location) ."</TD>\n";
     } else {
       echo "  <TD ALIGN=right COLSPAN=1>". acl_link($address) ."</TD>\n";
     }
     echo " </TR>\n";
   }


   ask_address($address,$modadr);

   if ( $modloc == 1 ) {
      ask_location($location);
   }

   if ( $address->mod_ok() ) {
     if ( ($modadr == 1) or ($modloc == 1) ) {
       echo "<TR>\n";
       if ( $address->id > 0 ) {
         submit_reset(0,1,1,1,1,0);
       } else {
         submit_reset(0,-1,1,1,1,0);
       }
       echo "</TR>\n";
     }
   }
   echo "</TABLE>\n";
#   DoubleTableEnd();
   echo "</FORM>\n";
   echo $lang['FldsRequired'] ."\n";
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate(&$a) {
   global $current_user , $lang;

   echo "<TABLE>";
   echo "<TR><TD>";
   echo tutos_address::getSelectLink($current_user,$lang['Search']) ."<BR>\n";

   if ( $current_user->feature_ok(useaddressbook,PERM_NEW) ) {
     echo menulink("address_new.php",$lang['AdrBNew'],$lang['AdrBNewInfo']) ."<BR>";
   }
   if ( $a->id > 0 ) {
     if ( $a->mod_ok() ) {
       echo menulink("address_new.php?id=". $a->id,$lang['AdrBMod'],sprintf($lang['AdrBModInfo'],$a->getFullName())) ."<BR>";
     }
     if ( $a->del_ok() && ($a->isUser() == 0) ) {
       echo confirmlink("address_del.php?id=". $a->id,$lang['AdrBDel'],sprintf($lang['AdrBDelInfo'],$a->getFullName())) ."<BR>";
     }
     echo menulink("address_show.php?id=". $a->id,$lang['AdrSeeEntry'],sprintf($lang['AdrSeeEntryI'],$a->getFullName())) ."<BR>";
     echo "<P>\n";

     if ( $a->mod_ok()  ) {
       if ( count($a->location) > 0 ) {
         DoubleTableStart();
         @reset($a->location);
         while( list ($i,$f) = @each ($a->location)) {
           echo "<TR><TH COLSPAN=2>". sprintf($lang['AdrLocTitle'],$f->lname) ."</TH></TR>\n";
           echo "<TR>";
           echo "<TD>";
           # FIXME check mod_ok
           if ( $f->mod_ok() ) {
             echo menulink("address_new.php?id=". $a->id ."&loc_id=". $i,$lang['Change'],sprintf($lang['ChangeLocInfo'],$f->lname, $a->getFullName()));
		   } else {
             echo $lang['Change'];
		   }
           echo "</TD><TD>\n";
           # FIXME check del_ok
           if ( $f->del_ok() ) {
             echo confirmlink("location_del.php?ref=". $a->id ."&id=". $i,$lang['Delete'],sprintf($lang['DeleteLocInfo'],$f->lname, $a->getFullName()));
		   } else {
             echo $lang['Delete'];
		   }
           echo "</TD>\n";
           echo "</TR>\n";
         }
         DoubleTableEnd();
       }
       echo menulink("address_new.php?id=". $a->id ."&loc_id=-1",$lang['AdrLNew'],sprintf($lang['AdrLNewInfo'],$a->getFullName())) ."<BR>";
     }

     echo "<P>\n";
     if ( $a->isUser() != 0 ) {
	   $u = new tutos_user($a->dbconn);
       $u->read($a->id);
       if ( $u->mod_ok() ) {
         echo menulink("user_new.php?id=". $a->id ,$lang['UserModify'],sprintf($lang['UserModInfo'],$a->getFullName())) ."<BR>\n";
       }
     } else if ( $current_user->admin == 1 ) {
	     echo menulink("user_new.php?id=". $a->id ,$lang['UserCreate'],sprintf($lang['UserNewInfo'],$a->getFullName())) . "<BR>\n";
     }
   }
   echo "<BR>\n";
   if ( $current_user->admin == 1 ) {
     echo menulink("team_new.php",$lang['TeamCreate'],$lang['TeamCreateI']) . "<BR>\n";
   }
   echo menulink("company_new.php",$lang['CompanyCreate'],$lang['CompanyCreateInfo']) ."<BR>";
   echo menulink("department_new.php",$lang['DepartmentCreate'],$lang['DepCreateInfo'] ) ."<BR>";
   echo "<BR>\n";
   show_module_newlinks($current_user,$a);

   echo "</TD></TR>";

   HTML_Select();
 }
 /* ---------------------------------------------------------------------------
  * Add an Entry
  */
 function add_entry($text,$varname,$varvalue,$mod,$size,$width = 1) {
   global $lang;

   if ($size > 30 ) {
     $showsize = 30;
   } else {
     $showsize = $size;
   }
   if ( ($varname == 'f_name') ||
        ($varname == 'l_name') ||
        ($varname == 'lname') ||
        ($varname == 'category') ) {
     $req = 1;
   } else {
     $req = 0;
   }
   showfieldc($text . "&nbsp;",$req,$varname);
   echo "<TD COLSPAN=\"". $width ."\">\n";
   if ( $varname == 'birthday' ) {
     if ( $mod == 1 ) {
       $varvalue->EnterDate($varname,1);
     } else {
       echo $varvalue->getLinkDate();
       echo "<INPUT type=\"hidden\" name=\"mon_". $varname ."\"  value=\"". $varvalue->month ."\">";
       echo "<INPUT type=\"hidden\" name=\"day_". $varname ."\"  value=\"". $varvalue->day ."\">";
       echo "<INPUT type=\"hidden\" name=\"year_". $varname ."\" value=\"". $varvalue->year ."\">";
     }
   } elseif ( $varname == "picture" ) {
     if ( $mod == 1 ) {
       echo " <INPUT SIZE=30 NAME=file TYPE=file VALUE=\"". $varvalue->pic_path ."\">\n";
       echo "<INPUT type=\"hidden\" name=\"pic_id\" value=\"". $varvalue->id ."\">";
       if ( $varvalue->id > 0 ) {
	 echo "<BR>". $varvalue->getLink($lang['AdrPicture']);
       }
     }
   } elseif ( $varname == "category" ) {
     $cchecked[1] = "";
     $cchecked[2] = "";
     $cchecked[$varvalue] = "CHECKED";
     echo $lang['AdrCat1'] ."<INPUT type=\"radio\" name=\"". $varname ."\"  value=\"1\" $cchecked[1]>";
     echo "&nbsp;&nbsp;". $lang['AdrCat2'] ."<INPUT type=\"radio\" name=\"". $varname ."\"  value=\"2\" $cchecked[2]>";
   } elseif ( $varname == "company" ) {
     if ( $mod == 1 ) {
       echo "<INPUT name=\"$varname\" size=\"$showsize\" maxlength=\"". $size ."\" value=\"". htmlentities($varvalue->company_name) ."\">";
       echo "<BR><INPUT TYPE=checkbox VALUE=1 NAME=cploc ". ( $varvalue->cploc == 1 ? "CHECKED":"") .">". $lang['AdrCpLoc'];
     } else {
       if ( $varvalue == "" ) {
         echo "&nbsp;";
       } else {
         echo "$varvalue";
       }
       echo "<INPUT type=\"hidden\" name=\"". $varname ."\" value=\"". $varvalue ."\">";
     }
   } elseif ( $varname == "country" ) {
	   SelectCntryCde($varname,$varvalue);
   } else {
     if ( $mod == 1 ) {
       echo "<INPUT name=\"". $varname ."\" size=\"". $showsize ."\" maxlength=\"". $size ."\" value=\"". htmlentities($varvalue) ."\">";
     } else {
       if ( $varvalue == "" ) {
         echo "&nbsp;";
       } else {
         echo "$varvalue";
       }
       echo "<INPUT type=\"hidden\" name=\"". $varname ."\" value=\"". $varvalue ."\">";
     }
   }
   echo "</TD>\n";
 }

 # REGISTER VARIABLES
 if ( isset($HTTP_POST_VARS['id']) ) {
   $id = $HTTP_POST_VARS['id'];
 } elseif ( isset($HTTP_GET_VARS['id']) ) {
   $id = $HTTP_GET_VARS['id'];
 }
 if ( isset($HTTP_POST_VARS['loc_id']) ) {
   $loc_id = $HTTP_POST_VARS['loc_id'];
 } elseif ( isset($HTTP_GET_VARS['loc_id']) ) {
   $loc_id = $HTTP_GET_VARS['loc_id'];
 }

 $modadr = 0;
 $modloc = 0;

 $address = new tutos_address($dbconn);

 if ( isset($id) ) {
   # Modify
   $address->read($id);
   $address->read_locs_data();

   $modadr = 1;
   $modloc = 0;
 } else {
   # Create
   $modadr = 1;
   $modloc = 0;
 }

 if ( isset($loc_id) ) {
   $location = new location($dbconn);
   if ( ($loc_id == -1) ) {
     $location->id = $loc_id;
   } else {
     $location->read($loc_id);
     $location->lname = $address->loc[$loc_id];
   }
   $modloc = 1;
   $modadr = 0;

   if ( isset($location->company) ) {
     $location->company_name = $location->company->name;
   }
   if ( isset($location->department) ) {
     $location->department_name = $location->department->name;
   }
   if ( isset($HTTP_GET_VARS['company']) ) {
     $location->company_name = $HTTP_GET_VARS['company'];
   }
   if ( isset($HTTP_GET_VARS['department']) ) {
     $location->department_name = $HTTP_GET_VARS['department'];
   }
   if ( isset($HTTP_GET_VARS['lname']) ) {
     $location->lname = $HTTP_GET_VARS['lname'];
   }
   if ( isset($HTTP_GET_VARS['category']) ) {
     $location->category = $HTTP_GET_VARS['category'];
   }
   if ( isset($HTTP_GET_VARS['cploc']) ) {
     $location->cploc = $HTTP_GET_VARS['cploc'];
   } else {
     $location->cploc = 0;
   }
   if ( isset($HTTP_GET_VARS['cl']) ) {
     $cl = $HTTP_GET_VARS['cl'];
     @reset($cl);
     while ( list ($i,$f) = @each ($cl) ) {
       $c = new company($dbconn);
       $c->read($f);
       $location->cl[$f] = $c;
     }
   }
   if ( isset($HTTP_GET_VARS['dl']) ) {
     $dl = $HTTP_GET_VARS['dl'];
     @reset($dl);
     while ( list ($i,$f) = @each ($dl) ) {
       $d = new department($dbconn);
       $d->read($f);
       $location->dl[$f] = $d;
     }
   }
   $i = 0;
   while($i < count($location->larray)) {
     $f = $location->larray[$i];
     if ( isset($HTTP_GET_VARS[$f]) ) {
       $location->$f = $HTTP_GET_VARS[$f];
     }
     $i++;
   }
 } else {
   if ( isset($HTTP_GET_VARS['f_name']) ) {
     $address->f_name = StripSlashes($HTTP_GET_VARS['f_name']);
   }
   if ( isset($HTTP_GET_VARS['m_name']) ) {
     $address->m_name = StripSlashes($HTTP_GET_VARS['m_name']);
   }
   if ( isset($HTTP_GET_VARS['l_name']) ) {
     $address->l_name = StripSlashes($HTTP_GET_VARS['l_name']);
   }
   if ( isset($HTTP_GET_VARS['bd']) ) {
     $address->birthday->setDateTime($HTTP_GET_VARS['bd']);
   }
   if ( isset($HTTP_GET_VARS['pic_path']) ) {
     $address->pic_file->pic_path = $HTTP_GET_VARS['pic_path'];
   } else {
     $address->pic_file->pic_path = "";
   }
 }


 HTML_Header($lang['Addresses']);

 if ( ! $address->mod_ok() ) {
   $msg .= sprintf($lang['Err0024'],$lang[$address->getType()]);
 }
 HTML_Base1();
 navigate($address);
 HTML_Base2($msg);
 if ( $address->mod_ok() ) {
   info($address,$location);
 }
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: address_new.php,v 1.32.2.1 2002/09/03 19:35:06 gokohnert Exp $
    $Author: gokohnert $
-->
