<?
/*
 * Copyright 1999 - 2002 by Gero Kohnert
 */
 include("webelements.p3");
 include("permission.p3");
 include("address_tools.p3");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("address");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$dbconn,&$result) {
   address_overview($dbconn,$result);
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate() {
   global $current_user,$tutos,$lang;

   echo "<TABLE>";
   echo "<TR><TD>";
   echo tutos_address::getSelectLink($current_user,$lang['Search']) ."<BR>\n";

   if ( $current_user->feature_ok(useaddressbook,PERM_NEW) ) {
     echo menulink("address_new.php",$lang['NewEntry'],$lang['AdrCreateInfo']) . "<BR>\n";
   }
   echo "</TD></TR>";

   HTML_Select();
 }


 adr_tool_init($atool,$ashow);

 $ashow['f_name'] = 1;
 $ashow['l_name'] = 1;
 $ashow['location'] = 1;
 $ashow['email'] = 1;
 $ashow['phone'] = 1;
 $ashow['c_id'] = 1;
 $ashow['d_id'] = 1;

 # The link with sort args and without start
 $atool['link1'] = "address_overview.php";
 # The link without sort args and start

 $atool['maxshow'] = $tutos[maxshow];

 if ( isset($HTTP_GET_VARS['name']) ) {
   $name = $HTTP_GET_VARS['name'];
   $atool['link1'] = addUrlParameter($atool['link1'],"name=".UrlEncode($name));
 } else {
   $name = "";
 }
 if ( isset($HTTP_GET_VARS['ext']) ) {
   $ext = $HTTP_GET_VARS['ext'];
 }

 if ( (! isset($atool['start'])) || ($atool['start'] < 0) ) {
   $atool['start'] = 0;
 }

 $e['name'] = 0;

 #
 # extended search includeing locations
 #
 if ( isset($ext) && ($name != "*") && ($name != "") ) {
   $q = "SELECT a.adr_id FROM location l, adrloc a WHERE l.id = a.loc_id ";
   $pre = " AND (";
   $aids = "0";

   $HTTP_SESSION_VARS['adrsearch'] = $ext;

   @reset($ext);
   while( list ($i,$f) = @each ($ext)) {
     if ( $f == "email" ) {
       $q .= " ". $pre ." ". $dbconn->Like("email_1",$name) ." ";
       $pre = "OR";
       $q .= " ". $pre ." ". $dbconn->Like("email_2",$name) ." ";
       $ashow[$f] = 1;
       $atool['search'][$f] = $name;
     }
     if ( $f == "phone" ) {
       $q .= " ". $pre ." ". $dbconn->Like("phone_1",$name) ." ";
       $pre = "OR";
       $q .= " ". $pre ." ". $dbconn->Like("phone_2",$name) ." ";
       $ashow[$f] = 1;
       $atool['search'][$f] = $name;
     }
     if ( $f == "city" ) {
       $q .= " ". $pre ." ". $dbconn->Like("city",$name) ." ";
       $pre = "OR";
       $ashow[$f] = 1;
       $atool['search'][$f] = $name;
     }
     if ( $f == "street" ) {
       $q .= " ". $pre ." ". $dbconn->Like("street1",$name) ." ";
       $pre = "OR";
       $q .= " ". $pre ." ". $dbconn->Like("street2",$name) ." ";
       $ashow[$f] = 1;
       $atool['search'][$f] = $name;
     }
     if ( $f == "name" ) {
       $e['name'] = 1;
     }
     $atool['link1'] = addUrlParameter($atool['link1'],"ext[]=".$f);
   }
   if ( $pre == "OR" ) {
     $q .= ")";

     $result = $dbconn->Exec($q);
     $n = $result->numrows();
     $a = 0;
     while ( $a < $n ) {
       $aids = $aids . "," . $result->get($a,"adr_id");
       $a++;
     }
   }
 } else {
   $aids = "";
   if ( ($name != "*") && ($name != "") ) {
     $e['name'] = 1;
   }
 }
 if ( ($name != "*") && ($name != "") ) {
   $name = StripSlashes($name);
   $HTTP_SESSION_VARS['adrlook'] = $name;
 } else {
   $atool['search']['name'] = "";
   $atool['search']['phone'] = "";
   $atool['search']['email'] = "";
 }

 $q = "SELECT * FROM addresses";
 $pre = "WHERE";


 if ( $aids != "" ) {
   $q .= " ". $pre ." id IN (". $aids .")";
   $pre = " OR ";
 }
 if ( $e['name'] == 1 ) {
   $atool['search']['name'] = $name;
   $q .= " ". $pre ."(". $dbconn->Like("l_name",$name,"f_name") .")";
   $pre = " OR ";
   $q .= " ". $pre ."(". $dbconn->Like("f_name",$name,"l_name") .")";
 }

 # Searchorders
 $xxx = "";
 $atool['link2'] = $atool['link1'];
 order_parse($q,$atool['link1'],$xxx,$xxx,"l_name");

 if ( isset($HTTP_GET_VARS['astart']) ) {
   $atool['start'] = $HTTP_GET_VARS['astart'];
 } else {
   $atool['start'] = 0;
 }

 $result = $dbconn->Exec($q);


 if ($result->numrows() == 1) {
   $address = new tutos_address($dbconn);
   $address->read_result($result,0);
   if ( $address->see_ok() ) {
     Header("Location: ". getBaseUrl() . addSessionKey("address_show.php?id=".$address->id));
     $result->free();
     $dbconn->Close();
     exit;
   }
 }

 HTML_Header($lang['AddressOverview']);

 HTML_Base1();
 navigate();
 HTML_Base2($msg);
 info($dbconn,$result,$atool['start']);
 HTML_Base3();

 $result->free();
 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: address_overview.php,v 1.16.2.2 2002/09/09 17:46:10 gokohnert Exp $
    $Author: gokohnert $
-->
