<?
/**
 * Copyright 1999/2000 by Gero Kohnert
 *
 *
 * @modulegroup appointment
 * @module app_ins
 * @package appointment
 */
 include("webelements.p3");
 include("permission.p3");
 include("appointment.pinc");
 include("product.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules('appointment','del');
 $msg = "";
 $a = new appointment($dbconn);

 if ( !isset($HTTP_GET_VARS['id']) ) {
   $msg .= sprintf($lang['Err0040'],$lang[$a->getType()]) ."<BR>";
 } else {
   $a->read($HTTP_GET_VARS['id']);
   $a->read_participants();
 }

 /* Check for existance and rights */
 if ( ! $a->del_ok() ) {
   $msg .= sprintf($lang['Err0023'],$lang[$a->getType()]) ."<BR>";
   if ( $a->repeat != 0 ) {
     $gotourl = "app_new_r.php?id=".$id."&msg=". urlencode($msg);
   } else {
     $gotourl = "app_new.php?id=".$id."&msg=". urlencode($msg);
   }
 }

 if ( $msg == "" ) {
   $gotourl = "calendar.php?t=". $a->start->getYYYYMMDD();

   $dbconn->Begin("WORK");
   $msg .= $a->delete();
   $dbconn->Commit("WORK");
 }
 $gotourl = addSessionKey($gotourl);

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". getBaseUrl() . $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: app_del.php,v 1.9.2.1 2002/08/15 08:04:10 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
