<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * Editing of "repeating" appointments
 *
 * @modulegroup appointment
 * @module app_new_r
 * @package appointment
 */
 include("webelements.p3");
 include("permission.p3");
 include("appointment.pinc");


 /* Check if user is allowed to use it */
 check_user();
 loadmodules("appointment");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$a) {
   global $tutos, $lang, $current_user, $HTTP_SERVER_VARS;

   $a_checked[0] = "";
   $a_checked[1] = "";
   $a_checked[2] = "";
   $a_checked[3] = "";
   $a_checked[$a->mod_allow] = "CHECKED";

   $r_checked[1] = "";
   $r_checked[2] = "";
   $r_checked[3] = "";
   $r_checked[4] = "";
   $r_checked[$a->repeat] = "CHECKED";


   if ( $a->allowed == 0 ) {
     echo "<B>". $lang['ReadOnlyAppoint'] ."</B><BR>\n";
   }
   echo "<FORM action=\"app_ins.php\" method=\"POST\">\n";
   hiddenFormElements();
   echo "<INPUT type=\"hidden\" value=\"app_new_r.php\" name=\"gotourl\">\n";
   if ( $a->id > 0 ) {
     echo "<INPUT type=\"hidden\" value=". $a->id ." name=\"id\">\n";
   }

   echo "<TABLE CLASS=single BORDER=0 CELLSPACING=0>\n";

   echo "<TR>\n";
   echo "<TH COLSPAN=6>";
   if ( $a->id > 0 ) {
     echo $lang['ModOldAppoint'] ."(repeat)";
     echo "</TH>\n";
     echo "</TR><TR>\n";
     echo "<TD COLSPAN=3>&nbsp;<B>". $lang['AppCreatedBy'] ."</B>&nbsp;". $a->creator->getLink() ."</TD>\n";
     echo "<TD COLSPAN=3>&nbsp;<B>". $lang['atDateTime'] ."</B>&nbsp;". $a->creation->getDateTime() ."</TD>\n";
     echo "</TR>\n";
   } else {
     echo $lang['CreateAppoint'] ." (repeat)";
     echo "</TH>\n";
   }
   echo "<INPUT type=\"hidden\" value=". $a->creator->id ." name=\"creator\">\n";

   # START
   echo "<TR>";
   echo showfield($lang['AppFirstDate'],0,"start");
   echo " <TD COLSPAN=2>";
   $a->start->EnterDate("start");
   echo "</TD>";
   echo "<TD VALIGN=top>&nbsp;<B>";
   if ( ereg("Lynx",$HTTP_SERVER_VARS['HTTP_USER_AGENT']) || ereg("w3m",$HTTP_SERVER_VARS['HTTP_USER_AGENT']) ) {
     echo $lang['StartTime'];
   } else {
     echo "<A HREF=\"JavaScript: var d = document.forms[0];
			mywindow = window.open('', 'timer', 'width=120,height=420,top=100,left=450');
			mywindow.location.href = 'minitimer.php?f=start'; mywindow.focus();\"
			onMouseOver=\"self.status='minitimer' ;return true\">";
	 echo $lang['StartTime'];
	 echo "</a>";
   }
   echo "</B>&nbsp;<BR>&nbsp;<FONT SIZE=-1>(HH:MM)</FONT></TD>\n";
   echo " <TD COLSPAN=2>";
   $a->start->EnterTime("start");
   echo " </TD>\n";

   # END
   echo "</TR><TR>\n";
   showfield($lang['AppLastDate'],0,"end");
   echo "<TD COLSPAN=2>";
   $a->end->EnterDate("end");
   echo "<BR>". $lang['AppNoLastDate'];
   echo "<INPUT type=checkbox name=r_ignore value=1 ". ($a->r_ignore == 1 ? "CHECKED":"") .">";
   echo "</TD>\n";
   echo "<TD VALIGN=top>&nbsp;<B>";
   if ( ereg("Lynx",$HTTP_SERVER_VARS['HTTP_USER_AGENT']) || ereg("w3m",$HTTP_SERVER_VARS['HTTP_USER_AGENT']) ) {
     echo $lang['EndTime'];
   } else {
     echo "<A HREF=\"JavaScript: var d = document.forms[0];
	    	mywindow = window.open('', 'timer', 'width=120,height=420,top=100,left=450');
			mywindow.location.href = 'minitimer.php?f=end'; mywindow.focus();\"
			onMouseOver=\"self.status='minitimer' ;return true\">";
     echo $lang['EndTime'];
     echo "</a>";
   }
   echo "</B>&nbsp;<BR>&nbsp;<FONT SIZE=-1>(HH:MM)</FONT></TD>\n";
   echo "<TD COLSPAN=2>";
   $a->end->EnterTime("end");
   echo "</TD>\n";

   echo "</TR><TR>\n";

   # REPEAT TYPE
   showfield($lang['AppRepeatType'],0,"repeat");
   echo " <TD COLSPAN=2>\n";
   echo "  <INPUT TYPE=radio name=repeat value=4 ". $r_checked[4] .">&nbsp;". $lang['AppRepeatDay'] ."<BR>";
   echo "  <INPUT TYPE=radio name=repeat value=1 ". $r_checked[1] .">&nbsp;". $lang['AppRepeatWeek'] ."<BR>";
   echo "  <INPUT TYPE=radio name=repeat value=2 ". $r_checked[2] .">&nbsp;". $lang['AppRepeatMonth'] ."<BR>";
   echo "  <INPUT TYPE=radio name=repeat value=3 ". $r_checked[3] .">&nbsp;". $lang['AppRepeatYear'] ."<BR>";
   echo " </TD>\n";

   # Ignore times
   echo " <TD COLSPAN=3 VALIGN=top>\n";
   echo $lang['IgnoreTime'];
   echo "&nbsp;<INPUT type=\"checkbox\" name=\"t_ignore\" value=1 ". ($a->t_ignore == 1 ? "CHECKED":"") ."><BR>\n";
   echo "<FONT SIZE=-1>". $lang['IgnoreTime2'] ."</FONT>";
   echo " </TD>\n";

   echo "</TR><TR>\n";

   # LOCATION
   showfield($lang['Location2'],0,"outside");
   echo " <TD COLSPAN=5>\n";
   echo "  <SELECT name=outside>\n";
   @reset($lang['AppLoc']);
   while ( list($i,$f) = each($lang['AppLoc']) ) {
     echo "   <OPTION VALUE=\"". $i ."\" ". ($a->outside == $i ? "SELECTED":"") .">". $lang['AppLoc'][$i] ."</OPTION>\n";
   }
   echo "  </SELECT>\n";
   echo " </TD>\n";



   echo "</TR><TR>\n";
   showfield($lang['Description'],0,"descr");
   echo " <TD COLSPAN=5><TEXTAREA wrap=virtual rows=3 cols=40 name=\"descr\">". $a->descr ."</TEXTAREA>\n";
   echo " </TD>\n";


   echo "</TR><TR>\n";
   # Customer/Visitor name
   showfieldc($lang['VisitAt'] ."<BR>". $lang['VisitFrom'],0,"vfn");
   echo " <TD COLSPAN=5>";
   select_from_array_or_input($a,"v",$a->visitor,1);
   echo " </TD>\n";

   if ( $current_user->feature_ok(useprojects,PERM_SEE) ) {
     echo "</TR><TR>\n";
	 showfieldc($lang['Product'],0,"pfn");
     echo " <TD COLSPAN=5>\n";
     select_from_array_or_input($a,"p",$a->product,1);
     echo " </TD>\n";
   }


   echo "</TR><TR>\n";

   showfield($lang['Participants'],1,"people[]");
   echo " <TD VALIGN=top>\n";

   echo "". $current_user->askPeople("people[]",$a->people,1) ."\n";

   echo " </TD>\n";

   echo " <TD COLSPAN=4>&nbsp;<B>". $lang['AppChangeOrDel'] ."</B>&nbsp;<BR>\n";
   echo "&nbsp;<INPUT type=\"radio\" name=\"mod_allow\" value=2 ". $a_checked[2] .">&nbsp;". $lang['only'] ." ". $a->creator->getLink() ."<BR>\n";
   echo "&nbsp;<INPUT type=\"radio\" name=\"mod_allow\" value=1 ". $a_checked[1] .">&nbsp;". $lang['Participants'] ."<BR>\n";
   echo "&nbsp;<INPUT type=\"radio\" name=\"mod_allow\" value=0 ". $a_checked[0] .">&nbsp;". $lang['everybody'] ."<BR>\n";
   echo "&nbsp;<INPUT type=\"radio\" name=\"mod_allow\" value=3 ". $a_checked[3] .">&nbsp;". $lang['AppPrivate'] ."<BR>\n";

   echo " </TD>\n";

   if ( $a->mod_ok() ) {
     echo "</TR><TR>\n";

     if ( $a->id > 0 ) {
       submit_reset(0,1,2,1,2,0);
     } else {
       submit_reset(0,-1,2,1,2,0);
     }
   }
   echo "</TR>\n";
   echo "</TABLE>\n";

#   DoubleTableEnd();
   echo "</FORM>\n";
   echo $lang['FldsRequired'] ."\n";
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate(&$obj) {
   global $tutos,$lang,$current_user;

   echo "<TABLE>";
   echo "<TR><TD>";
   if ( $current_user->feature_ok(usecalendar,PERM_SEL) ) {
     echo  menulink("app_select.php" ,$lang['Search'],$lang['SearchForApp']) . "<BR>";
   }
   if ( $current_user->feature_ok(usecalendar,PERM_NEW) ) {
     echo  menulink("app_new.php" ,$lang['NewEntry'],$lang['NewAppointInfo']) . "<BR>";
     echo  menulink("app_new_r.php" ,$lang['NewAppointR'],$lang['NewAppointInfoR']) . "<BR>";
   }
   if ( $obj->id > 0 ) {
     if ( $obj->del_ok() ) {
       echo confirmlink("app_del.php?id=". $obj->id ,$lang['Delete'],$lang['AppDelInfo']) ."<BR>";
     }
     echo  menulink("app_show.php?id=". $obj->id ,$lang['AppSeeEntry'],$lang['AppSeeEntryI']) . "<BR>";
   }
   echo "<BR>\n";
   if ( $obj->see_ok() && ($obj->id > 0) ) {
     echo  menulink("app_show.php?id=". $obj->id ."&format=ical" ,$lang['AppGetIcal'],"get this appointment as Ical file") . "<BR>";
   }
   echo "&nbsp;<BR>";
   show_module_addlinks($current_user,$obj);
   echo "</TD></TR>";

   HTML_Select();
 }



 $a = new appointment($dbconn);

 if ( isset($HTTP_GET_VARS['id']) ) {
   HTML_Header($lang['AppointModify']);
   $a->read($HTTP_GET_VARS['id']);
   $a->read_participants();


   /* only the owner may change */
   if ( $current_user->id == $a->creator->id )  {
     $a->allowed = 2;
   }
   if ( $a->visitor->id != -1 ) {
     $a->xfn['v'] = $a->visitor->getFullName();

   }
   if ( $a->product->id != -1 ) {
     $a->xfn['p'] = $a->product->getFullName();
   }
   @reset($a->participant);
   while ( list ($i,$f) = @each ($a->participant) ) {
     $p[$i] = 2;
   }
 } else {
   HTML_Header($lang['AppointCreate']);
   /* New event */
   if (isset($HTTP_GET_VARS['t'])) {
     $a->start->setDateTime($HTTP_GET_VARS['t']);
     $a->end->setDateTime($HTTP_GET_VARS['t']);
   }
   $a->repeat = 1;

   $p[$current_user->id] = 2;
 }


 # Set available Parameters
 if ( isset($HTTP_GET_VARS['descr']) ) {
   $a->descr = StripSlashes($HTTP_GET_VARS['descr']);
 }
 if ( isset($HTTP_GET_VARS['trace']) ) {
   $a->trace = $HTTP_GET_VARS['trace'];
 }
 if ( isset($HTTP_GET_VARS['email']) ) {
   $a->email = $HTTP_GET_VARS['email'];
 }
 if ( isset($HTTP_GET_VARS['mod_allow']) ) {
   $a->mod_allow = $HTTP_GET_VARS['mod_allow'];
 }
 if ( isset($HTTP_GET_VARS['start']) ) {
   $a->start->setDateTime($HTTP_GET_VARS['start']);
 }
 if ( isset($HTTP_GET_VARS['end']) ) {
   $a->end->setDateTime($HTTP_GET_VARS['end']);
 }
 if ( isset($HTTP_GET_VARS['remember']) ) {
   $a->remember = $HTTP_GET_VARS['remember'];
 }
 if ( isset($HTTP_GET_VARS['t_ignore']) ) {
   $a->t_ignore = $HTTP_GET_VARS['t_ignore'];
 }

 preset_from_array_or_input($a,'visitor',"v");
 preset_from_array_or_input($a,'product',"p");

 if ( isset($HTTP_GET_VARS['people']) ) {
   @reset($HTTP_GET_VARS['people']);
   while ( list ($i,$f) = @each ($HTTP_GET_VARS['people']) ) {
     $p[$f] = 2;
   }
 }
 $a->people = $p;

 if ( isset($HTTP_GET_VARS['outside']) ) {
   $a->outside = $HTTP_GET_VARS['outside'];
 }

 $a->allowed = $a->mod_ok();

 if ( ! $a->mod_ok() ) {
   $msg .= sprintf($lang['Err0024'],$lang[$a->getType()]);
 }
 HTML_Base1();
 navigate($a);
 HTML_Base2($msg);
 if ( $a->mod_ok() ) {
   info($a);
 }
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: app_new_r.php,v 1.25 2002/07/20 10:15:30 gokohnert Exp $
    $Author: gokohnert $
-->
