<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup appointment
 * @module app_select
 * @package appointment
 */
 include("webelements.p3");
 include("permission.p3");
 include("appointment.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("appointment");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info($ext = 0) {
   global $lang,$tutos;

   echo "<BR><BR><CENTER>\n";

   echo "<FORM action=\"app_overview.php\" METHOD=\"GET\">\n";
   hiddenFormElements();
   DoubleTableStart();

   echo "<TR>\n";
   if ( $ext == 0 ) {
     echo "<TH COLSPAN=3>". $lang['SearchForApp'] ."</TH>\n";

     echo "</TR><TR>\n";

     showfieldc($lang['AdrName']);
     echo " <TD><CENTER>&nbsp;<INPUT type=\"text\" value=\"\" name=\"name\"></CENTER></TD>\n";
     echo " <TD><CENTER>\n";
     echo " <input type=\"submit\" value=\"". $lang['Search'] ."\"></CENTER></TD>\n";
     echo "</TR><TR>\n";
     echo " <TD COLSPAN=2><CENTER><FONT SIZE=-1>". $lang['AppSelInfo'] ."</FONT></CENTER></TD>\n";
     echo " <TD><CENTER>". makelink("app_select.php?ext=1",$lang['extended']) ."</CENTER></TD>\n";
   } else {
     echo "<TH COLSPAN=3>". $lang['SearchForAppExt'] ."</TH>\n";

     echo "</TR><TR>\n";
     showfieldc($lang['AdrName']);
     echo " <TD>&nbsp;<INPUT type=\"text\" value=\"\" name=\"name\">";
     echo " </TD>\n";
     echo " <TD><CENTER><input type=\"submit\" value=\"". $lang['Search'] ."\"></CENTER></TD>\n";

     echo "</TR><TR>\n";
     echo " <TD ROWSPAN=2 CLASS=\"desc\">". $lang['TimetrackBetween'] ."</TD>\n";
     echo " <TD COLSPAN=2>&nbsp;";
     $tutos['asfd']->EnterDate("f",1);
     echo "&nbsp;</TD>\n";

     echo "</TR><TR>\n";
     echo " <TD COLSPAN=2>&nbsp;";
     $tutos['astd']->EnterDate("t",1);
     echo "&nbsp;</TD>\n";

     echo "</TR><TR>\n";
     showfieldc($lang['Location2']);
     echo " <TD COLSPAN=2>&nbsp;<SELECT name=loc>\n";
     echo " <OPTION value=-1>all</OPTION>\n";
     for ( $i = 0 ; $i < count($lang['AppLoc']); $i++ ) {
       echo "   <OPTION VALUE=". $i .">". $lang['AppLoc'][$i] ."</OPTION>\n";
     }
     echo " </SELECT></TD>\n";
   }

   echo "</TR>\n";

   DoubleTableEnd();
   echo "</FORM>\n";

   echo "</CENTER>\n";
 }

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate() {
   global $lang,$current_user;

   echo "<TABLE>";
   echo "<TR><TD>";
   if ( $current_user->feature_ok(usecalendar,PERM_NEW) ) {
     echo menulink("app_new.php",$lang['NewEntry'],$lang['NewAppointInfo']) ."<BR>\n";
     echo menulink("app_new_r.php" ,$lang['NewAppointR'],$lang['NewAppointInfoR']) . "<BR>\n";
   }
   echo "</TD></TR>";

   HTML_Select();
 }

 HTML_Header($lang['AppsSearch']);

 # Defaults for search
 $tutos['asfd'] = new DateTime(0);
 $tutos['astd'] = new DateTime(0);

 if ( isset($HTTP_SESSION_VARS['appsearchfrom']) ) {
   $tutos['asfd']->setDateTime($HTTP_SESSION_VARS['appsearchfrom']);
 }
 if ( isset($HTTP_SESSION_VARS['appsearchto']) ) {
   $tutos['astd']->setDateTime($HTTP_SESSION_VARS['appsearchto']);
 }
 if ( isset($HTTP_GET_VARS['ext']) ) {
   $ext = $HTTP_GET_VARS['ext'];
 } else {
   $ext = 0;
 }
 HTML_Base1();
 navigate();
 HTML_Base2($msg);
 info($ext);
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: app_select.php,v 1.11 2002/06/12 21:04:21 gokohnert Exp $
    $Author: gokohnert $
-->
