<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 *  CVS Info:  $Id: app_show.php,v 1.20 2002/07/24 17:03:05 gokohnert Exp $
 *  $Author: gokohnert $
 *
 * A four week calendar 
 *
 * @modulegroup appointment
 * @module app_show
 * @package appointment
 */
 include("webelements.p3");
 include("permission.p3");
 include("appointment.pinc");
 include("product.pinc");


 /* --------------------------------------------------------------------------- */
 /* Check if user is allowed to use it */
 check_user();
 loadmodules('appointment','show');

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$a) {
   global $tutos,$current_user,$lang;

   echo "<TABLE CLASS=single BORDER=0 CELLPADDING=3 CELLSPACING=0>\n";
   echo "<TR>\n";
   echo "<TH COLSPAN=4>". $lang['Calendar'] ."</TH>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   echo " <TD COLSPAN=2>". $lang['AppCreatedBy'] ."\n";
   echo " ". $a->creator->getLink() ."</TD>\n";
   echo " <TD COLSPAN=2>". $lang['atDateTime'] ."\n";
   echo " ". $a->creation->getLinkDateTime() ."</TD>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   if ( $a->repeat == 0 ) {
     showfield($lang['StartDate']);
   } else {
     showfield($lang['AppFirstDate']);
   }

   $dinfo = GetDaysInfo( $a->start->getTimeStamp() );

   echo " <TD COLSPAN=2>";
   if ( ($a->t_ignore != 0) || ($a->repeat != 0) ) {
     echo $a->start->getDate();
   } else {
     echo $a->start->getDateTime();
   }
   echo "</TD>\n";

   if ( isset ($dinfo[Desc]) ) {
     echo "<TD>". $dinfo[Desc] ."&nbsp;</TD>\n";
   } else {
     echo "<TD>&nbsp;</TD>\n";
   }
   echo "</TR>\n";

   echo "<TR>\n";
   if ( $a->repeat == 0 ) {
     showfield($lang['EndDate']);
   } else {
     showfield($lang['AppLastDate']);
   }
   $dinfo = GetDaysInfo( $a->end->getTimeStamp() );

   echo " <TD COLSPAN=2>";
   if ( ($a->t_ignore != 0) || ($a->repeat != 0) ) {
     if ( ($a->repeat != 0) && ($a->r_ignore == 1) ) {
       echo  $lang['AppNoLastDate'];
     } else {
       echo  $a->end->getDate();
     }
   } else {
     echo  $a->end->getDateTime();
   }
   echo "</TD>\n";
   if ( isset ($dinfo[Desc]) ) {
     echo "<TD>". $dinfo[Desc] ."&nbsp;</TD>\n";
   } else {
     echo "<TD>&nbsp;</TD>\n";
   }
   echo "</TR>\n";

   if ( $a->repeat != 0 ) {
     if ( $a->t_ignore != 1 ) {
       echo "<TR>\n";
       showfield($lang['StartTime']);
       echo " <TD>". $a->start->getTime() ."</TD>\n";
       showfield($lang['EndTime']);
       echo " <TD>". $a->end->getTime() ."</TD>\n";
       echo "</TR>\n";
     }
     echo "<TR>\n";
     showfield($lang['AppRepeatType']);
     echo " <TD COLSPAN=3>\n";
     if ( $a->repeat == 1 ) {
       $wd = strftime("Day%w",$a->start->getTimeStamp());
       echo sprintf($lang['AppRepeatInfo1'],$lang[$wd]);
     }
     if ( $a->repeat == 2 ) {
       echo strftime($lang['AppRepeatInfo2'],$a->start->getTimeStamp());
     }
     if ( $a->repeat == 3 ) {
       echo strftime($lang['AppRepeatInfo3'],$a->start->getTimeStamp());
     }
     if ( $a->repeat == 4 ) {
       echo $lang['AppRepeatInfo4'];
     }
     echo " </TD>\n";
     echo "</TR>\n";
   }
   echo "<TR>\n";
   showfield($lang['Location2']);
   echo " <TD COLSPAN=3>";
   echo $a->getLocation();
   echo " </TD>\n";
   echo "</TR>\n";

   if ( $a->descr != "" ) {
     echo "<TR>\n";
     showfield($lang['Description']);
     $descr = eregi_replace("\n","<BR>",$a->descr);
     echo " <TD COLSPAN=3>". urlReplace($descr) ." </TD>\n";
     echo "</TR>\n";
   }

   echo "<TR>\n";
   showfield($lang['Participants']);
   echo " <TD COLSPAN=3>";
   @reset($a->participant);
   while ( list ($i,$f) = @each ($a->participant) ) {
     echo $f->getLink() ;
     echo "<BR>" ;
   }
   echo " </TD>\n";
   echo "</TR>\n";

   if ( $a->visitor->id != -1 ) {
     echo "<TR>\n";
     if ( $a->outside ) {
       showfield($lang['VisitAt']);
     } else {
       showfield($lang['VisitFrom']);
     }
     echo " <TD COLSPAN=3>". $a->visitor->getLink() ."</TD>\n";
     echo "</TR>\n";
   }
   if ( $current_user->feature_ok(useprojects,PERM_SEE) ) {
     if ( $a->product->id != -1 ) {
       echo "<TR>\n";
       showfield($lang['ProductP']);
       echo " <TD COLSPAN=3>". $a->product->getLink() ."</TD>\n";
       echo "</TR>\n";
     }
   }
   # References to modules
   show_module_infolists($current_user,$a,4);
   echo $a->getHistoryLink(4);
   echo "</TABLE>\n";
}
 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate(&$obj) {
   global $tutos, $lang , $current_user;

   echo "<TABLE>";
   echo "<TR><TD>";
   if ( $current_user->feature_ok(usecalendar,PERM_SEL) ) {
     echo  menulink("app_select.php" ,$lang['Search'],$lang['SearchForApp']) . "<BR>";
   }
   if ( $current_user->feature_ok(usecalendar,PERM_NEW) ) {
     echo  menulink("app_new.php" ,$lang['NewEntry'],$lang['NewAppointInfo']) . "<BR>";
     echo  menulink("app_new_r.php" ,$lang['NewAppointR'],$lang['NewAppointInfoR']) . "<BR>";
   }
   if ( ($obj->id > 0) && $obj->mod_ok() ) {
     if ( $obj->repeat == 0 ) {
       echo  menulink("app_new.php?id=". $obj->id ,$lang['Modify'],$lang['ModOldAppoint']) . "<BR>";
     } else {
       echo  menulink("app_new_r.php?id=". $obj->id ,$lang['Modify'],$lang['ModOldAppoint']) . "<BR>";
     }
   }

   echo "<BR>\n";
   if ( $obj->see_ok() && ($obj->id > 0) ) {
     echo  menulink("app_show.php?id=". $obj->id ."&format=ical" ,$lang['AppGetIcal'],"get this appointment as Ical file") . "<BR>";
   }

   show_module_addlinks($current_user,$obj);

   echo "</TD></TR>";

   HTML_Select();
 }


 if ( ! isset($HTTP_GET_VARS['format']) ) {
   $format = "";
 } else {
   $format = $HTTP_GET_VARS['format'];
 }

 if ( $format == "ical" ) {
   # set content to text/calendar
   Header("Content-type: text/calendar");
   Header("Content-Disposition: attachment; filename=\"appointment.ics\"");
   Header("Content-Description: Upload from TUTOS" );
 } else {
   HTML_Header($lang['AppointDetail']);
 }

 $a = new appointment($dbconn);
 if ( isset($HTTP_GET_VARS['id']) ) {
   $a->read($HTTP_GET_VARS['id']);
 }
 if ( ! $a->see_ok() ) {
   $msg .= sprintf($lang['Err0022'],$lang[$a->getType()]);
 } else {
   if ( $a->id < 0 ) {
     $msg .= sprintf($lang['Err0040'],$lang[$a->getType()]);
   }
 }

 $a->read_participants();


 if ( ($format == "ical") && (!isset($msg) || ($msg == "")) ) {
   echo $a->getIcal();
 } else {
   HTML_Base1();
   navigate($a);
   HTML_Base2($msg);
   if ( $a->see_ok() && ($a->id != -1) ) {
     info($a);
   }
   HTML_Base3();
 }

 $dbconn->Close();
?>
