<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * vote for an appointment
 *
 * @modulegroup appointment
 * @module app_vote
 * @package appointment
 */
 include("webelements.p3");
 include("permission.p3");
 include("appointment.pinc");
 include("product.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("appointment");


 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$a,$adr_id) {
   global $lang;

   echo "<TABLE CLASS=single BORDER=0 CELLSPACING=0>\n";
   echo "<TH NOWRAP COLSPAN=3>". sprintf($lang['AppVoteHead'], menulink($a->getUrl(),$a->start->GetDate())) ."</TH>\n";

   echo "<TR>\n";
   showfield($lang['StartDate']);
   echo "<TD COLSPAN=2>". $a->start->getDateTime() ."</TD>\n";

   echo "</TR><TR>\n";
   showfield($lang['EndDate']);
   echo "<TD COLSPAN=2>". $a->end->getDateTime() ."</TD>\n";

   echo "</TR><TR>\n";
   showfield($lang['Description']);
   echo "<TD COLSPAN=2>".  urlReplace($a->descr) ."</TD>\n";

   echo "</TR><TR>\n";
   showfield($lang['Participants']);
   echo " <TD COLSPAN=2>";
   @reset($a->participant);
   while ( list ($i,$f) = @each ($a->participant) ) {
     echo $f->getLink() ;
     echo "<BR>" ;
   }

   echo "</TR><TR>\n";
   showfield($lang['AppVoteState']);
   $s = sprintf("state%d",$a->participant_state[$adr_id]);
   echo "<TD COLSPAN=2 CLASS=\"". $s ."\"><CENTER><B>". $lang['AppState'][$a->participant_state[$adr_id]] ."</B></CENTER></TD>\n";

   echo "</TR><TR>\n";
   echo "<TD COLSPAN=3><CENTER><B>". $lang['AppVoteSelect'] ."</B></CENTER></TD>\n";
   echo "</TR><TR>\n";


   $url = "app_do_vote.php";
   $url = addUrlParameter($url,"id=".$a->id);
   $url = addUrlParameter($url,"adr_id=".$adr_id);
   $url = addSessionKey($url);

   echo "<TD WIDTH=\"30%\" CLASS=state1><CENTER><B>";
   $vurl =  addUrlParameter($url,"vote=1");
   echo makelink($vurl,$lang['AppState'][1],"Vote ". $lang['AppState'][1]);
   echo "</B></CENTER></TD>\n";

   echo "<TD WIDTH=\"30%\" CLASS=state0><CENTER><B>";
   $vurl =  addUrlParameter($url,"vote=0");
   echo makelink($vurl,$lang['AppState'][0],"Vote ". $lang['AppState'][0]);
   echo "</B></CENTER></TD>\n";

   echo "<TD WIDTH=\"30%\" CLASS=state2><CENTER><B>";
   $vurl =  addUrlParameter($url,"vote=2");
   echo makelink($vurl,$lang['AppState'][2],"Vote ". $lang['AppState'][2]);
   echo "</B></CENTER></TD>\n";

   echo "</TR>\n";
   echo "</TABLE>\n";
 };

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate($a) {
   global $lang,$current_user;

   echo "<TABLE>";
   echo "<TR><TD>";

   if ( $current_user->feature_ok(usecalendar,PERM_SEL) ) {
     echo  menulink("app_select.php" ,$lang['Search'],$lang['SearchForApp']) . "<BR>\n";
   }
   if ( $current_user->feature_ok(usecalendar,PERM_NEW) ) {
     echo  menulink("app_new.php" ,$lang['NewEntry'],$lang['NewAppointInfo']) . "<BR>\n";
     echo  menulink("app_new_r.php" ,$lang['NewAppointR'],$lang['NewAppointInfoR']) . "<BR>\n";
   }
   echo "<BR>\n";
   if ( $a->id > 0 ) {
     echo  menulink("app_show.php?id=". $a->id ,$lang['AppSeeEntry'],$lang['AppSeeEntryI']) . "<BR>";
   }
   echo "</TD></TR>";

   HTML_Select();
 }


 HTML_Header($lang['AppointCommit']);
 $stop = 0;
 $a = new appointment($dbconn);
 if ( !isset($HTTP_GET_VARS['id']) || !isset($HTTP_GET_VARS['adr_id']) ) {
   $msg .= "No appointment or no adr given !<BR>";
   $stop++;
 } else {
   $a->read($HTTP_GET_VARS['id']);
   $a->read_participants();
 }
 if ( ! $a->see_ok() ) {
   $msg .= sprintf($lang['Err0022'],$lang[$a->getType()]);
   $stop++;
 }
 if ( 1 != $a->trace ) {
   echo "You can not vote for this appointment<BR>";
   $stop++;
 }
 HTML_Base1();
 navigate($a);
 HTML_Base2($msg);
 if ( $stop == 0 ) {
   info($a,$HTTP_GET_VARS['adr_id']);
 }
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: app_vote.php,v 1.10 2002/06/12 21:04:21 gokohnert Exp $
    $Author: gokohnert $
-->
