<?
/**
 * Copyright 1999/2000 by Gero Kohnert
 *
 * @modulegroup bug
 * @module bug_show
 * @package bug
 */
 include("webelements.p3");
 include("permission.p3");
 include("bug.pinc");
 include("product.pinc");
 include("task.pinc");
 include("installation.pinc");
 include("timetrack.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("bug");

 $gotourl=$HTTP_SERVER_VARS['HTTP_REFERER'];
 $msg = "";

 $b = new bug($dbconn);

 if ( !isset($HTTP_GET_VARS['id']) ) {
   $msg .= sprintf($lang['Err0040'],$lang[$b->getType()]);
 } else {
   $b->read($HTTP_GET_VARS['id']);
   $gotourl = $b->parent->getUrl();
 }
 if ( ! $b->del_ok() ) {
   $msg .= sprintf($lang['Err0023'],$lang[$b->getType()]);
   $gotourl = $b->getUrl();
 }
 if ($msg == "") {
   $dbconn->Begin("WORK");
   $msg .= $b->delete();
   $dbconn->Commit("WORK");
 }
 $gotourl = addUrlParameter($gotourl,"msg=". UrlEncode($msg));
 $gotourl = addSessionKey($gotourl);

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". getBaseUrl() . $gotourl);
 $dbconn->Close();
/*
 *   CVS Info:  $Id: bug_del.php,v 1.11.2.1 2002/08/15 08:04:10 gokohnert Exp $
 *   $Author: gokohnert $
 */
?>
