<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup bug
 * @module bug_select
 * @package bug
 */
 include("webelements.p3");
 include("permission.p3");
 include("bug.pinc");

 /* Check if user is allowed to use it */
 check_user();

 /* ---------------------------------------------------------------------------
  *
  */
 Function info($ext = 0) {
   global $lang,$tutos,$current_user;

   echo "<BR><BR><CENTER>\n";

   echo "<FORM NAME=\"bugsearch\" METHOD=\"GET\" ACTION=\"bug_overview.php\">\n";
   hiddenFormElements();
   DoubleTableStart();

   echo "<TR>\n";
   if ( $ext == 0 ) {
     echo "<TH COLSPAN=3>". $lang['SearchForBug'] ."</TH>\n";

     echo "</TR><TR>\n";

     showfieldc($lang['AdrName']);
     echo " <TD><CENTER>&nbsp;<INPUT type=\"text\" value=\"\" name=\"name\"></CENTER></TD>\n";
     echo " <TD><CENTER>\n";
     echo " <input type=\"submit\" value=\"". $lang['Search'] ."\" TITLE=\"". $lang['SearchForBug'] ."\"></CENTER></TD>\n";
     echo "</TR><TR>\n";
     echo " <TD COLSPAN=2><CENTER><FONT SIZE=-1>". $lang['BugSelInfo'] ."</FONT></CENTER></TD>\n";
     echo " <TD><CENTER>". makelink("bug_select.php?ext=1",$lang['extended']) ."</CENTER></TD>\n";
   } else {
     echo "<TH COLSPAN=3>". $lang['SearchForBugExt'] ."</TH>\n";

     echo "</TR><TR>\n";
     showfieldc($lang['AdrName']);
     echo " <TD>&nbsp;<INPUT type=\"text\" value=\"\" name=\"name\">";
     echo " </TD>\n";
     echo " <TD><CENTER><input type=\"submit\" value=\"". $lang['Search'] ."\" TITLE=\"". $lang['SearchForBugExt'] ."\"></CENTER></TD>\n";

     echo "</TR><TR>\n";
     showfieldc($lang['BugState']);
     echo " <TD COLSPAN=2>&nbsp;<B>". BugAskState($tutos['bsst'],2) ."</B>&nbsp;</TD>\n";

     echo "</TR><TR>\n";
     showfieldc($lang['BugClass']);
     echo " <TD COLSPAN=2>&nbsp;<B>". BugAskClass($tutos['bscl'],1) ."</B>&nbsp;</TD>\n";

     echo "</TR><TR>\n";
     echo " <TD CLASS=desc ROWSPAN=2><B>". $lang['BugBetween'] ."</B>&nbsp;</TD>\n";
     echo " <TD COLSPAN=2>&nbsp;";
     $tutos['bsfd']->EnterDate("f",1);
     echo "&nbsp;</TD>\n";

     echo "</TR><TR>\n";
     echo " <TD COLSPAN=2>&nbsp;";
     $tutos['bstd']->EnterDate("t",1);
     echo "&nbsp;</TD>\n";

     echo "</TR><TR>\n";
     showfieldc(sprintf($lang['UserBugSearch'],$current_user->getLink()));
     echo "<TD><INPUT TYPE=radio NAME=\"solverid\" VALUE=\"". $current_user->id ."\">";
     echo "&nbsp;</TD>\n";
   }

   echo "</TR>\n";

   DoubleTableEnd();
   echo "</FORM>\n";

   echo "</CENTER>\n";
 }

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate() {
   global $current_user,$lang;

   echo "<TABLE>";
   echo "<TR><TD>";
   if ( $current_user->feature_ok(usebugtracking,PERM_NEW) ) {
     echo menulink("bug_new.php",$lang['NewEntry'],$lang['CreateNewBug']) ."<BR>";
   }
   echo "</TD></TR>";

   HTML_Select();
 }

 HTML_Header($lang['BugsSearch']);

 # Defaults for search
 $tutos['bsfd'] = new DateTime(0);
 $tutos['bstd'] = new DateTime(0);

 if ( isset($HTTP_SESSION_VARS['bugsearchfrom']) ) {
   $tutos['bsfd']->setDateTime($HTTP_SESSION_VARS['bugsearchfrom']);
 }
 if ( isset($HTTP_SESSION_VARS['bugsearchto']) ) {
   $tutos['bstd']->setDateTime($HTTP_SESSION_VARS['bugsearchto']);
 }
 if ( isset($HTTP_SESSION_VARS['bugsearchclass']) ) {
   $tutos['bscl'] = $HTTP_SESSION_VARS['bugsearchclass'];
 } else {
   $tutos['bscl'] = -1;
 }
 if ( isset($HTTP_SESSION_VARS['bugsearchstate']) ) {
   $tutos['bsst'] = $HTTP_SESSION_VARS['bugsearchstate'];
 } else {
   $tutos['bsst'] = -1;
 }
 if ( ! isset($HTTP_GET_VARS['ext']) ) {
   $ext = 0;
 } else {
	 $ext = $HTTP_GET_VARS['ext'];
 }
 HTML_Base1();
 navigate();
 HTML_Base2($msg);
 info($ext);
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: bug_select.php,v 1.14 2002/06/12 21:04:21 gokohnert Exp $
    $Author: gokohnert $
-->