<?
/*
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 *  CVS Info:  $Id: check.php,v 1.25 2002/07/24 11:39:21 gokohnert Exp $
 *  $Author: gokohnert $
 *
 * do background jobs
 * - check for appointments that ask for remembering
 * - check for bugs that are OPEN for too long
 *
 * @modulegroup BASE
 * @module check
 * @package BASE
 */
 include("webelements.p3");
 include("permission.p3");
 include("product.pinc");
 include("appointment.pinc");
 include("bug.pinc");
 include("task.pinc");
 include("timetrack.pinc");

 if ( ! isset($dbnr) ) {
   $dbnr = 0;
 }
 $dbconn = DB_Open($dbnr,false);
 $current_user = new tutos_user($dbconn);
 $current_user->f_name = "TUTOS";
 $current_user->l_name = "(remember service)";
 $current_user->admin = 1;
 $msg = "";

 ReadLang($lang);
 loadmodules('check');

 $msg .= appointment::checkservice($current_user);
 $msg .= bug::checkservice($current_user);

 @reset($tutos[activemodules]);
 while( list ($i,$f) = @each ($tutos[activemodules])) {
   $x = new $f($dbconn);
   $x->checkservice($current_user);
 }

 if ( ($tutos[debug] == 1) && ($msg != "") ) {
   echo $msg ."<BR>";
   echo "--&gt;&nbsp;". $current_user->getFullName() ."<BR>";
 }
 $dbconn->Close();
 session_destroy();
?>
