<?
/*
 * Copyright 2001 by Gero Kohnert
 */
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("database");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$obj) {
   global $tutos,$lang,$current_user;

   echo "<TABLE CLASS=single BORDER=0 CELLPADDING=3 CELLSPACING=0>\n";
   echo "<TR>\n";
   echo " <TH COLSPAN=4>". sprintf($lang['Showing'],$obj->getFullName()) ."</TH>\n";
   echo "</TR>\n";

   if ( is_object($obj->creator) ) {
     echo "<TR>\n";
     showfield($lang['createdby']);
     echo " <TD COLSPAN=3>". $obj->creator->getLink() ."</TD>\n";
     echo "</TR>\n";
   }
   echo "<TR>\n";
   showfield($lang['AdminDBName']);
   echo " <TD COLSPAN=1>". $obj->name ."</TD>\n";
   showfield($lang['AdminDBType']);
   echo " <TD COLSPAN=1>". $obj->tlist[$obj->type] ."</TD>\n";

   echo "</TR><TR>\n";
   showfield($lang['AdminDBAlias']);
   echo " <TD COLSPAN=3>". $obj->alias ."</TD>\n";

   # Do not show sensitive infos
   if ( $current_user->admin == 1 ) {  
     echo "</TR><TR>\n";
     showfield($lang['AdminDBHost']);
     echo " <TD COLSPAN=1>". $obj->host ."&nbsp;</TD>\n";
     showfield($lang['AdminDBPort']);
     echo " <TD COLSPAN=1>". $obj->port ."&nbsp;</TD>\n";

     echo "</TR><TR>\n";
     showfield($lang['AdminDBUser']);
     echo " <TD COLSPAN=1>". $obj->user ."&nbsp;</TD>\n";
     showfield($lang['AdminDBPass']);
     echo " <TD COLSPAN=1>". $obj->pass ."&nbsp;</TD>\n";
   }
   echo "</TR><TR>\n";
   showfield($lang['DBLastDate']);
   echo " <TD COLSPAN=1>". $obj->lastsync->getDateTime() ."</TD>\n";
   showfield($lang['DBLastID']);
   echo " <TD COLSPAN=1>". $obj->lastid ."</TD>\n";

   echo "</TR><TR>\n";
   showfield('cryptpw');
   echo " <TD COLSPAN=1>". $obj->crypt ."</TD>\n";
   showfield($lang['CfgVersion']);
   echo " <TD COLSPAN=1>". $obj->version ."</TD>\n";

   if ( $obj->type == 3 ) {
     echo "</TR><TR>\n";
     showfield($lang['AdminDBHome']);
     echo " <TD COLSPAN=3>". $obj->home ."&nbsp;</TD>\n";
   }
   if ( ($tutos[usedocmanagement] == 1) ) {
     echo "</TR><TR>\n";
     showfield($lang['AdminDBRep']);
     echo " <TD COLSPAN=3>". $obj->repository ."&nbsp;</TD>\n";
   }

   echo "</TR><TR>\n";
   showfield($lang['CfgLogo']);
   echo " <TD COLSPAN=3>". $obj->logo ."&nbsp;</TD>\n";

   echo "</TR><TR>\n";
   showfield($lang['CfgLogoLink']);
   echo " <TD COLSPAN=3>". $obj->logolink ."&nbsp;</TD>\n";

   echo "</TR><TR>\n";
   showfield($lang['CfgBugAutoName']);
   echo " <TD COLSPAN=3>". $obj->bugautoname ."&nbsp;</TD>\n";

   echo "</TR><TR>\n";
   showfield($lang['CfgInvAutoName']);
   echo " <TD COLSPAN=3>". $obj->invautoname ."&nbsp;</TD>\n";

   echo "</TR><TR>\n";
   showfield($lang['CfgVATlist']);
   echo " <TD COLSPAN=3>". $obj->vatlist ."&nbsp;</TD>\n";

   echo "</TR>\n";

   # References to modules
   show_module_infolists($current_user,$obj,4);
   echo $obj->getHistoryLink(4);
   echo "</TABLE>\n";
 }

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate($obj) {
   global $tutos,$lang,$current_user,$dbnr;

   echo "<TABLE>";
   echo "<TR><TD>";
   echo menulink("database_overview.php", "Overview","DB Overview") ."<BR>\n";
   if ( ($current_user->admin == 1) ) {
     echo menulink("database_new.php",$lang['NewEntry'],$lang['DBCreate']) ."<BR>";
   }
   if ( $obj->mod_ok() && ($current_user->admin == 1) ) {
     echo menulink("database_new.php?id=". $obj->id ,$lang['Modify'],sprintf($lang['DBModifyI'],$obj->getFullName())) ."<BR>\n";
   }
   echo "<BR>\n";
   if ( $obj->is_supported() ) {
     echo menulink("update.php?id=". $obj->id ,$lang['DBUpdate'],sprintf($lang['DBUpdateI'],$obj->getFullName())) ."<BR>";
   }
   if ( ($obj->id >= 0) && $obj->see_ok() && (isset($tutos[dbname][$obj->id])) ) {
     echo menulink("logout.php?db=". $obj->id ,$lang['DBrelogin'],sprintf($lang['DBreloginI'],$obj->getFullName())) ."\n";
   }

   echo menulink("admin_sync.php",$lang['AdminDBSync'],$lang['AdminDBSync']) ."<BR>";

   show_module_addlinks($current_user,$obj);
   echo "</TD></TR>";

   HTML_Select();
 }

 HTML_Header($lang['DBDetail']);

 $obj = new database($dbconn);
 $obj->read($HTTP_GET_VARS['id']);

 if ( ! $obj->see_ok() ) {
   $msg .= sprintf($lang['Err0022'],$lang[$obj->getType()]);
 } else {
   if ( $obj->id < 0 ) {
     $msg .= sprintf($lang['Err0040'],$lang[$obj->getType()]);
   }
 }
 HTML_Base1();
 navigate($obj);
 HTML_Base2($msg);
 if ( ($obj->id >= 0) && $obj->see_ok() ) {
   info($obj);
 }
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: database_show.php,v 1.17 2002/07/10 13:02:22 gokohnert Exp $
    $Author: gokohnert $
-->
