<?
/**
 * Copyright 2000 - 2002 by Gero Kohnert
 *
 * @modulegroup file
 * @module file_new
 * @package file
 */
 include("webelements.p3");
 include("permission.p3");
 include("product.pinc");
 include("bug.pinc");
 include("file.pinc");
 include("installation.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("file");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info($f) {
   global $lang , $current_user, $HTTP_SERVER_VARS , $tutos;

   echo "<FORM name=\"fileadd\" ENCTYPE=\"multipart/form-data\" method=\"post\" action=\"file_ins.php\">\n";
   hiddenFormElements();
   echo "<INPUT TYPE=hidden NAME=\"gotourl\" value=\"file_new.php\">";
   echo "<INPUT type=hidden name=\"link_id\" value=\"". $f->link_id ."\">";

   if ( $f->id != -1 ) {
     echo "<INPUT type=hidden name=\"id\" value=\"". $f->id ."\">";
   }

   echo "<TABLE CLASS=single BORDER=0 CELLSPACING=0>\n";
   echo "<TR>\n";
   echo " <TH COLSPAN=4>". $lang['File'] ."</TH>\n";
   echo "</TR>\n";

   if ( $f->id > 0 ) {
     echo "<TR>\n";
     echo " <TD COLSPAN=3>&nbsp;</TD>\n";
     echo " <TD ALIGN=right COLSPAN=1>". acl_link($f) ."</TD>\n";
     echo "</TR>\n";
   }
   echo "<TR>\n";
   showfieldc($lang['FileNameDoc'],1,"name");
   echo " <TD><INPUT MAXLENGTH=200 NAME=\"name\" VALUE=\"". $f->name ."\"></TD>\n";
   showfieldc($lang['FileVersion'],0,"version");
   echo " <TD><INPUT SIZE=10 MAXLENGTH=10 NAME=\"version\" VALUE=\"". $f->version ."\"></TD>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   showfieldc($lang['FileReference']);
   if ($f->ref != -1 ) {
     echo " <TD>". $lang[$f->ref->gettype()] ." ". $f->getRefLink() ."</TD>\n";
   } else {
     echo " <TD>". $lang['HistoryDeleted'] ." (". $f->link_id .")</TD>\n";
   }
   showfieldc($lang['FileAuthor'],0,"afn");
   echo " <TD>\n";
   select_from_array_or_input($f,"a",$f->author,0);
   echo " </TD>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   showfield("<BR>".$lang['FileName'],0,"file");
   echo " <TD COLSPAN=3><INPUT SIZE=40 NAME=\"file\" TYPE=\"file\" VALUE=\"". $f->filename ."\">\n";
   if ( $f->id != -1 ) {
     echo "<BR><FONT SIZE=-1>". $f->filename ."</FONT>";
   }
   echo "<BR><FONT SIZE=-1>(max. allowed size = ". ini_get('upload_max_filesize') ." Bytes)</FONT>";
   echo "</TD>\n";
   echo "</TR>\n";

   if ( ($f->id != -1) && ($f->vsys != 0) ) {
     echo "<TR>\n";
     showfield($lang['FileVersioning'],0,"save");
     echo " <TD COLSPAN=3>\n";
     echo " <FONT SIZE=-1>". $lang['FileVersioningI'] ."</FONT><BR>\n";
     echo "  <INPUT TYPE=radio NAME=\"save\" VALUE=\"0\">&nbsp;". sprintf($lang['FileOverwrite'],$f->getFullname()) ."<BR>\n";
     echo "  <INPUT TYPE=radio NAME=\"save\" VALUE=\"1\" CHECKED>&nbsp;". sprintf($lang['FileSave'],$f->name,$f->version) ."\n";
     echo " </TD>\n";
     echo "</TR>\n";
   }
   if ( $f->id == -1 ) {
     echo "<TR>\n";
     showfield($lang['FileVersionType'],0,"vsys");
     echo " <TD COLSPAN=3>&nbsp;\n";
     echo " <FONT SIZE=-1>". $lang['FileVersionTypeI'] ."</FONT><BR>\n";
     echo "  <INPUT TYPE=radio NAME=\"vsys\" VALUE=\"0\"". ( $f->vsys == 0 ? " CHECKED":"") .">&nbsp;none \n";
     echo "  <INPUT TYPE=radio NAME=\"vsys\" VALUE=\"1\"". ( $f->vsys == 1 ? " CHECKED":"") .">&nbsp;TUTOS \n";
     if ( file_exists($tutos[ci]) && is_executable($tutos[ci]) ) {
       echo "  <INPUT TYPE=radio NAME=vsys VALUE=\"2\"". ( $f->vsys == 2 ? " CHECKED":"") .">&nbsp;RCS \n";
     }
     echo " </TD>\n";
     echo "</TR>\n";
   }

   echo "<TR>\n";
   showfield($lang['FileLocking'],0,"locked");
   echo " <TD COLSPAN=3>&nbsp;\n";
   echo "  <INPUT TYPE=radio NAME=\"locked\" VALUE=\"0\" ". ( $f->locked == 0 ? " CHECKED":"") .">&nbsp;". $lang['FileUnlocked'] ."\n";
   echo "  <INPUT TYPE=radio NAME=\"locked\" VALUE=\"". $current_user->id ."\"". ( $f->locked == $current_user->id ? " CHECKED":"") .">&nbsp;". sprintf ($lang['FileLocked'], $current_user->getLink()) ."\n" ;
   echo " </TD>\n";
   echo "</TR>\n";

   module_addforms($current_user,$f,4);

   echo "<TR>\n";
   if ( isset($f->id) && ($f->id != -1) ) {
     submit_reset(0,1,1,1,1,0);
   } else {
     submit_reset(0,-1,1,1,1,0);
   }
   echo "</TR>\n";

   echo "</TABLE>\n";
   echo "</FORM>\n";
   echo $lang['FldsRequired'] ."\n";
 }

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate(&$obj) {
   global $current_user,$lang,$tutos;

   echo "<TABLE>";
   echo "<TR><TD>";

   echo tutos_file::getSelectLink($current_user,$lang['Search'])."<BR>\n";

   if ( ($obj->id > 0) && $obj->del_ok() ) {
     if ( $obj->locked > 0 ) {
       if ( $obj->locker->id == $current_user->id ) {
         echo confirmlink("file_del.php?id=". $obj->id ,$lang['Delete'],sprintf($lang['FileDeleteI'],$obj->getFullName())) ."&nbsp;<BR>";
       }
     } else {
       echo confirmlink("file_del.php?id=". $obj->id ,$lang['Delete'],sprintf($lang['FileDeleteI'],$obj->getFullName())) ."&nbsp;<BR>";
     }
   }
   echo "<BR>\n";
   show_module_newlinks($current_user,$obj);
   echo "</TD></TR>";
   HTML_Select();
 }


 $stop = 0;
 $f = new tutos_file($dbconn);
 if ( isset($HTTP_GET_VARS['id']) ){
   HTML_Header($lang['FileMod']);
   $f->read($HTTP_GET_VARS['id']);
   if ( ! $f->mod_ok() ) {
     $msg .= sprintf($lang['Err0024'],$lang[$f->getType()]);
     $stop = 1;
   }
 } else {
   HTML_Header($lang['FileCreation']);
   if ( isset($HTTP_GET_VARS['link_id']) ){
     $f->link_id = $HTTP_GET_VARS['link_id'];
   } else {
     $f->link_id = $current_user->id;
   }
   if ( ! $current_user->feature_ok(usedocmanagement,PERM_NEW) ) {
     $msg .= sprintf($lang['Err0024'],$lang[$f->getType()]);
     $stop = 1;
   }
 }

 if ( isset($HTTP_GET_VARS['name']) ){
   $f->name = StripSlashes($HTTP_GET_VARS['name']);
 }
 if ( isset($HTTP_GET_VARS['version']) ){
   $f->version = StripSlashes($HTTP_GET_VARS['version']);
 }

 preset_from_array_or_input($f,'author',"a");

 $f->read_reference();

 HTML_Base1();
 navigate($f);
 HTML_Base2($msg);
 if ( $stop == 0 ) {
   info($f);
 }
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: file_new.php,v 1.30.2.1 2002/08/23 07:41:25 gokohnert Exp $
    $Author: gokohnert $
-->
