<?
/*
 * Copyright 2002 by Gero Kohnert
 *
 * Group of Interest Management
 *
 * @modulegroup group
 * @module group_new
 * @package group
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include 'permission.p3';
 include 'webelements.p3';

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("group");
 loadmodule("group");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$obj) {
   global $tutos,$lang,$current_user;

   echo "<FORM ACTION=\"group_ins.php\" method=\"POST\">\n";
   hiddenFormElements();
   echo "<TABLE CLASS=single  BORDER=0 CELLSPACING=0>\n";
   echo "<TR>\n";
   echo " <TH COLSPAN=4>".  sprintf($lang['Showing'],$lang[$obj->getType()])."</TH>\n";
   echo "</TR>\n";
   if ($obj->id > 0 ) {
     echo " <INPUT type=\"hidden\" value=\"". $obj->id ."\" name=\"id\">\n";
     echo "<TR>\n";
     echo " <TD COLSPAN=3>". sprintf ($lang['BugCreation'],$obj->creator->getLink(),$obj->creation->getDateTime()) ."</TD>\n";
     echo " <TD ALIGN=right>". acl_link($obj) ."</TD>\n";
     echo "</TR>\n";
   }

   echo "<TR>\n";
   showfieldc($lang['GroupName'],1,"name");
   echo " <TD COLSPAN=3 VALIGN=top><INPUT SIZE=30 MAXLENGTH=30 name=\"name\" value=\"". $obj->name ."\"></TD>";
   echo "</TR>\n";

   echo "<TR>\n";
   showfieldc($lang['GroupDesc'],0,"desc");
   echo " <TD COLSPAN=3 VALIGN=top><INPUT SIZE=60 MAXLENGTH=60 name=\"desc\" value=\"". $obj->desc ."\"></TD>";
   echo "</TR>\n";

   # References to modules
   module_addforms($current_user,$obj,4);

   if ( $obj->mod_ok() != 0 ) {
     echo "<TR>\n";

     if ($obj->id > 0 ) {
       submit_reset(0,1,1,1,1,0);
     } else {
       submit_reset(0,-1,1,1,1,0);
     }

     echo "</TR>\n";
   }
   echo "</TABLE>\n";
   echo "</FORM>\n";
   echo $lang['FldsRequired'] ."\n";
 }

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate(&$b) {
   global $tutos,$lang,$current_user;

   echo "<TABLE>";
   echo "<TR><TD>";
   echo group::getOverviewLink($current_user) ."<BR>\n";
   if ( ($b->id > 0) && $b->del_ok() ) {
     echo confirmlink("group/group_del.php?id=". $b->id ,$lang['Delete'],sprintf($lang['Delete'],$b->getFullname())) ."&nbsp;<BR>";
   }
   echo "</TD></TR>";

   HTML_Select();
 }

 $b = new group($dbconn);

 if ( isset($HTTP_GET_VARS['id']) ) {
   $b->read($HTTP_GET_VARS['id']);
   HTML_Header($lang['GroupModify']);
 } else {
   HTML_Header($lang['GroupCreate']);
 }

 if ( ! $b->mod_ok() ) {
   $msg .= sprintf($lang['Err0024'],$lang[$b->getType()]);
 }

 if ( isset($HTTP_GET_VARS['name']) ) {
	 $b->name = StripSlashes($HTTP_GET_VARS['name']);
 }
 if ( isset($HTTP_GET_VARS['desc']) ) {
	 $b->desc = StripSlashes($HTTP_GET_VARS['desc']);
 }
 HTML_Base1();
 navigate($b);
 HTML_Base2($msg);
 if ( $b->mod_ok() ) {
   info($b);
 }
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: group_new.php,v 1.5 2002/07/12 18:12:46 gokohnert Exp $
    $Author: gokohnert $
-->