<?
/*
 * Copyright 2002 by Gero Kohnert
 *
 * Group of Interest Management
 *
 * @modulegroup group
 * @module group_overview
 * @package group
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include 'permission.p3';
 include 'webelements.p3';

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("group");
 loadmodule("group");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$dbconn,&$result,$start=0) {
   global $lang,$tutos,$link1,$link2;

   $n = $result->numrows();
   if ( 0 == $n) {
     echo "<SPAN CLASS=warn>". $lang['Err0048'] ."</SPAN>";
     return;
   }
   echo "<TABLE CLASS=single BORDER=0 CELLPADDING=3 CELLSPACING=0>\n";
   echo "<THEAD>\n";
   echo "<TR>\n";
   echo order_header("name",$lang['GroupName'],$link2);
   echo order_header("",$lang['GroupDesc'],$link2);
   echo order_header("",$lang['GroupMember'],$link2);
   echo "</TR>\n";
   echo "</THEAD>\n";

   if ( $start == -1 ) {
     $a = $n - $tutos[maxshow];
     $end = $n;
     $start = $a;
   } else {
     $a = $start;
     $end = $start + $tutos[maxshow];
   }

   echo "<TBODY>\n";
   $line = 1;
   while ( ($a < $n) && ($a < $end) ) {
     $c = new group($dbconn);
     $c->read_result($result,$a);
     $c->read_member();
     $a++;
     if ( ! $c->see_ok() ) {
       continue;
     }
     if ( $line == 1 ) {
       $line = 2;
     } else {
       $line = 1;
     }


     echo "<TR CLASS=line". $line .">\n";
     echo "<TD VALIGN=\"top\">". $c->getLink() ."</TD>";
     echo "<TD VALIGN=\"top\">". myentities($c->desc) ."&nbsp;</TD>";
     echo "<TD ALIGN=\"right\" VALIGN=\"top\">". count($c->member) ."</TD>";

     echo "</TR>\n";
   }
   echo "</TBODY>\n";

   echo "<TFOOT>\n";
   ShowBackForwardNav($link1,3,$start,$a,$n);
   echo "</TFOOT>\n";

   echo "</TABLE>\n";
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate() {
   global $lang,$current_user,$tutos;

   echo "<TABLE>";
   echo "<TR><TD>";
   if ( $current_user->feature_ok(usegroups,PERM_NEW) ) {
     echo menulink("group/group_new.php",$lang['NewEntry'],$lang['GroupCreate']) ."<BR>";
   }
   echo "</TD></TR>";

   HTML_Select();
 }


 HTML_Header($lang['GroupOverview']);

 $link1 = "group/group_overview.php";
 $q = "SELECT * FROM groups";
 $pre = " WHERE ";

 if ( isset($name) && ($name != "*") && ($name != "") ) {
   $q .= $pre . $dbconn->Like("name",$name);
   $pre = " AND ";
   $link1 = addUrlParameter($link1,"name=". UrlEncode($name));
 }

 # sorting
 $xxx = "";
 $link2 = $link1;
 order_parse($q,$link1,$xxx,$xxx,"name");

 $result = $dbconn->Exec($q);

 if ( isset($HTTP_GET_VARS['start']) ) {
   $start = $HTTP_GET_VARS['start'];
 } else {
   $start = 0;
 }

 HTML_Base1();
 navigate();
 HTML_Base2($msg);
 info($dbconn,$result,$start);
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: group_overview.php,v 1.3.2.1 2002/08/15 08:04:11 gokohnert Exp $
    $Author: gokohnert $
-->
