<?
/*
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * Help System
 */
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use it */
 check_user();

 Function load_lang_file($dir,$p) {
   global $tutos,$lang,$current_user, $HTTP_GET_VARS;

   # try direct with language preset
   if ( isset($HTTP_GET_VARS['lg']) ) {
     echo "<!-- try: ". $dir."/".$p ."_". $HTTP_GET_VARS['lg'] .".html -->\n";
     if ( file_exists($dir ."/". $p ."_". $HTTP_GET_VARS['lg'] .".html") ) {
       include $dir."/".$p ."_". $HTTP_GET_VARS['lg'] .".html";
       return true;
     }
   }
   # try direct with language of current_user
   if ( isset($current_user->lang) && ($current_user->lang != "auto") ) {
     echo "<!-- try: ".  $dir."/".$p ."_". $current_user->lang .".html -->\n";
     if ( file_exists($dir ."/". $p ."_". $current_user->lang .".html") ) {
       include $dir."/".$p ."_". $current_user->lang .".html";
       return true;
     }
   }

   # next try with preferred language of browser
   $langs = getenv("HTTP_ACCEPT_LANGUAGE");

   $tok = trim(strtok($langs,","));
   while($tok) {
     if ( strpos($tok,";") > 0) {
       $tok = substr($tok,0,strpos($tok,";"));
     }
     $tok = strtolower($tok);
     echo "<!--  try: ".  $dir."/".$p ."_". $tok .".html -->\n";
     if ( file_exists($dir ."/". $p ."_". $tok .".html") ) {
       include $dir."/".$p ."_". $tok .".html";
       return true;
     }
     $tok = trim(strtok(","));
   }

   # try direct
   echo "<!-- try: ". $dir."/".$p .".html -->\n";
   if ( file_exists($dir ."/". $p .".html") ) {
     include $dir."/".$p .".html";
     return true;
   }

   return false;
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function info($p) {
   global $tutos;
   if ( load_lang_file(".",$p) ) {
   } else 
   if ( load_lang_file($tutos['base'] ."/html/help",$p) ) {
   } else 
   if ( load_lang_file($tutos['base'] ."/html/help","index") ) {
   } else {
     echo "File ". $p ." not found";
   }
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate() {
   global $lang, $tutos, $current_user;

   echo "<TABLE>";
   echo "<TR><TD NOWRAP>";
   echo menulink("help.php?p=index","Index","Index") ."<BR>";
   echo menulink("help.php?p=glossary","Glossar","Glossar") ."<BR>";
   if ( file_exists($tutos['base'] ."/documentation/book0/user.html") ) {
     echo menulink($tutos['base'] ."/documentation/book0/user.html","Users Guide","Users Guide") ."<BR>";
   }
   if ( $current_user->admin != 0) {
     if ( file_exists($tutos['base'] ."/documentation/book0/admin.html") ) {
       echo menulink($tutos['base'] ."/documentation/book0/admin.html","Admin Guide","Admin Guide") ."<BR>";
     }
   }
   echo "</TD></TR>";
   echo "</TABLE>";
 }

 if ( ! isset($HTTP_GET_VARS['p']) ) {
   $p = "index";
 } else {
   $p = $HTTP_GET_VARS['p'];
 }

 HTML_Header($lang['Help']);

 @reset($tutos[modules]);
 while ( list ($r,$x) = @each ($tutos[modules])) {
   loadmodule($r);
 }

 HTML_Base1();
 navigate();
 HTML_Base2($msg);
 info($p);
 HTML_Base3();

?>
<!--
    CVS Info:  $Id: help.php,v 1.6 2002/07/19 05:43:08 gokohnert Exp $
    $Author: gokohnert $
-->