<?
/**
 * Copyright 2002 by Gero Kohnert
 *
 * delete an invoice
 *
 * @modulegroup invoice
 * @module invoice_del
 * @package invoice
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include("webelements.p3");
 include("permission.p3");

 include("bug.pinc");
 include 'file.pinc';
 include("product.pinc");
 include("installation.pinc");
 include("timetrack.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("invoice");
 loadmodule("invoice");

 $msg = "";
 $gotourl = "invoice_overview.php";
 $obj = new invoice($dbconn);

 if ( empty($HTTP_GET_VARS['id']) ) {
   $msg .= sprintf($lang['Err0040'],$lang[$obj->getType()]) ."<BR>";
 } else {
   $obj->read($HTTP_GET_VARS['id']);
   $obj->read_pos();
   if ( $obj->id < 1 ) {
     $msg .= sprintf($lang['Err0040'],$lang[$obj->getType()]) . "<BR>";
   } else {
     $gotourl = $obj->getUrl();
   }
 }
 if ( ! $obj->del_ok() ) {
   $msg .= sprintf($lang['Err0023'],$lang[$obj->getType()]) ."<BR>";
 }

 if ( $msg == "" ) {
   $dbconn->Begin("WORK");
   $msg .= $obj->delete();
   $dbconn->Commit("WORK");

   $gotourl = "invoice_overview.php";
 }

 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));
 $gotourl = addSessionKey($gotourl);

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". getBaseUrl() . $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: invoice_del.php,v 1.2.2.1 2002/08/15 08:04:11 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
