<?
/**
 * Copyright 2002 by Gero Kohnert
 *
 * create a new invoice or modify an existing one
 *
 * @modulegroup invoice
 * @module invoice_new
 * @package invoice
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include("webelements.p3");
 include("permission.p3");


 /* Check if user is allowed to use it */
 check_user();
 loadmodules("invoice");
 loadmodule("invoice");

 /* ---------------------------------------------------------------------------
  *
  */
 Function show_invpos(&$f,&$obj) {
   global $lang;

   echo "<TR>\n";
   if ( $f->id != -1 ) {
     if ( $f->ref != -1 ) {
       echo " <TD VALIGN=top><LABEL FOR=\"del[]\">". $f->ref->getLink(sprintf("%04d",$f->pos)) ."</LABEL></TD>";
     } else {
       echo " <TD VALIGN=top><LABEL FOR=\"del[]\">". sprintf("%04d",$f->pos) ."</LABEL></TD>";
     }
     if ( $obj->change_ok() ) {
       echo " <TD VALIGN=top><INPUT NAME=\"I-". $f->id ."\" SIZE=4 VALUE=\"". $f->items ."\"></TD>";
     } else {
       echo " <TD ALIGN=right VALIGN=top>".  number_format($f->items,2,$lang['DecPoint'],$lang['ThousandPoint']) ."&nbsp;</TD>";
     }
     echo " <TD VALIGN=top>". $f->itype ."</TD>";
     if ( $obj->change_ok() ) {
       echo " <TD VALIGN=top><TEXTAREA NAME=\"D-". $f->id ."\" ROWS=3 COLS=20>". $f->description ."</TEXTAREA></TD>";
       echo " <TD VALIGN=top><INPUT NAME=\"S-". $f->id ."\" TYPE=text SIZE=6 VALUE=\"". $f->sum_single ."\"></TD>";
       echo " <TD VALIGN=top>";
       TAX_select("T-".$f->id,$f->tax);
       echo " </TD>";
     } else {
       echo " <TD VALIGN=top><PRE>". $f->description ."</PRE></TD>";
       echo " <TD ALIGN=right VALIGN=top>".  number_format($f->sum_single ,2,$lang['DecPoint'],$lang['ThousandPoint']) ."</TD>";
       echo " <TD ALIGN=right VALIGN=top>".  number_format($f->tax ,2,$lang['DecPoint'],$lang['ThousandPoint']) ."</TD>";
     }
     echo " <TD ALIGN=right VALIGN=top>". number_format($f->getTotal(),2,$lang['DecPoint'],$lang['ThousandPoint']) ."</TD>";
     if ( $obj->change_ok() ) {
       echo " <TD ALIGN=left VALIGN=top>\n";
       Currency_Select("C-".$f->id ,$f->currency);
       echo "</TD>";
       echo " <TD ALIGN=center VALIGN=top><INPUT TYPE=checkbox NAME=\"del[]\" VALUE=\"". $f->id ."\"></TD>";
     } else {
       echo " <TD ALIGN=left VALIGN=top>". $f->currency ."</TD>";
       echo " <TD ALIGN=center VALIGN=top>&nbsp;</TD>";
     }
   } else {
     echo " <TD VALIGN=top><LABEL FOR=\"add[]\">". $f->ref->getLink() ."</LABEL></TD>";
     echo " <TD ALIGN=right VALIGN=top>".  number_format($f->items,2,$lang['DecPoint'],$lang['ThousandPoint']) ."&nbsp;</TD>";
     echo " <TD ALIGN=right VALIGN=top>". $f->itype ."&nbsp;</TD>";
     echo " <TD VALIGN=top><PRE>". $f->description ."</PRE></TD>";
     echo " <TD ALIGN=right VALIGN=top>".  number_format($f->sum_single ,2,$lang['DecPoint'],$lang['ThousandPoint']) ."</TD>";
     echo " <TD VALIGN=top>&nbsp;</TD>";
     echo " <TD ALIGN=right VALIGN=top>". number_format($f->getTotal(),2,$lang['DecPoint'],$lang['ThousandPoint']) ."</TD>";
     echo " <TD ALIGN=left VALIGN=top>". $f->currency ."&nbsp;</TD>";
	 if ( is_object($f->ref) && ($f->ref->getType() == "timetrack") ) {
       echo " <TD ALIGN=left VALIGN=top>\n";
       if ( $f->ref->state != 1 ) {
         echo $f->ref->getLink( $lang['TTState']." ".$lang['TTStates'][$f->ref->state]);
       } else {
         echo "<CENTER><INPUT TYPE=checkbox NAME=\"add[]\" VALUE=\"". $f->ref_id ."\"></CENTER>";
	   }
       if ( isset($f->ref->inv_id) && ($f->ref->inv_id != $obj->id) && ($f->ref->inv_id > 0)  ) {
         $f->ref->inv = new invoice($f->dbconn);
         $f->ref->inv->read($f->ref->inv_id);
         echo "&nbsp;". $f->ref->inv->getLink();
	   }
	 } else {
       echo "<TD ALIGN=center VALIGN=top><INPUT TYPE=checkbox NAME=add[] VALUE=". $f->ref_id .">";
	 }
     echo "</TD>";
   }
   echo "</TR>\n";
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$obj) {
   global $tutos,$lang,$current_user;

   echo "<FORM name=\"invadd\" ACTION=\"invoice_ins.php\" method=\"POST\">\n";
   hiddenFormElements();
   if ($obj->id > 0 ) {
     echo " <INPUT type=\"hidden\" value=\"". $obj->id ."\" name=\"id\">\n";
   }
   echo "<TABLE CLASS=single  BORDER=0 CELLSPACING=0>\n";
   echo "<TR>\n";
   echo " <TH COLSPAN=9>".  sprintf($lang['Showing'],$lang[$obj->getType()])."</TH>\n";
   echo "</TR>\n";
   if ($obj->id > 0 ) {
     echo "<TR>\n";
     echo " <TD COLSPAN=5>". sprintf ($lang['InvoiceCreation'],$obj->creator->getLink(),$obj->creation->getDateTime()) ."</TD>\n";
     echo " <TD COLSPAN=4 ALIGN=right>". acl_link($obj) ."</TD>\n";
     echo "</TR>\n";
   }

   echo "<TR>\n";
   showfieldc($lang['Accountant'],1,"accountant");
   echo " <TD COLSPAN=8>\n";
   if ( $obj->change_ok() ) {
     echo " <SELECT NAME=\"accountant\">\n";
     $obj->creator->read_locs_data();
     echo " <OPTION VALUE=\"". $obj->creator->id ."\">". $obj->creator->getFullName() ."</OPTION>\n";
     @reset($obj->creator->location);
     while ( list ($j,$l) = @each ($obj->creator->location) ) {
       if ( is_object($l->company) ) {
         echo " <OPTION VALUE=\"". $l->id ."\">". $l->company->getFullName() ."</OPTION>\n";
       }
     }
     echo " </SELECT>\n";
   } else {
     echo $obj->acc->getLink();
     echo " <INPUT type=\"hidden\" value=\"". $obj->accountant ."\" name=\"accountant\">\n";
   }
   echo " </TD>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   showfieldc($lang['InvoiceName'],1,"name");
   echo "<TD COLSPAN=4 VALIGN=top>\n";
   if ( $obj->change_ok() ) {
	   if ( $obj->name == "auto" ) {
         echo "automatic";
         echo " <INPUT type=\"hidden\" value=\"". $obj->name ."\" name=\"name\">\n";
	   } else {
         echo " <INPUT SIZE=30 MAXLENGTH=30 name=\"name\" value=\"". $obj->name ."\">";
       }
   } else {
     echo $obj->getLink();
     echo " <INPUT type=\"hidden\" value=\"". $obj->name ."\" name=\"name\">\n";
   }
   echo "</TD>\n";
   showfieldc($lang['InvoiceState'],1,"state");
   echo " <TD COLSPAN=3>\n";
   echo " <SELECT NAME=\"state\">\n";
   @reset($lang['InvoiceStates']);
   while ( list ($i,$f) = @each ($lang['InvoiceStates']) ) {
     echo " <OPTION VALUE=\"". $i ."\" ". ($i == $obj->state ? "SELECTED":"") .">". $f ."</OPTION>\n";
   }
   echo " </SELECT>\n";
   echo "</TD></TR>\n";

   echo "<TR>\n";
   if ( is_object($obj->ref) ) {
     showfieldc($lang[$obj->ref->getType()],0,"link_id");
     echo " <TD COLSPAN=8 VALIGN=top>". $obj->ref->getLink() ."</TD>";
     echo "<INPUT TYPE=hidden NAME=\"link_id\" VALUE=\"". $obj->link_id ."\">";
   }
   echo "</TR>\n";

   echo "<TR>\n";
   showfieldc($lang['InvoiceCustomer'],1,"cfn");
   echo " <TD COLSPAN=8>\n";
   if ( $obj->change_ok() ) {
     select_from_array_or_input($obj,"c",$obj->customer,0);
   } else {
     if  (isset($obj->cutomer) && is_object($obj->customer) ) {
       echo $obj->customer->getLink();
     } else {
       select_from_array_or_input($obj,"c",$obj->customer,0);
     }
   }
   echo "</TD></TR>\n";

   echo "<TR>\n";
   if ( ($obj->state == 1) or ($obj->state == 2) ) {
     showfieldc($lang['InvDateSent'][0]);
     echo " <TD COLSPAN=4>\n";
     $obj->datesent[0]->EnterDate("s0",1);
     echo "&nbsp;</TD>";
     showfieldc($lang['InvDateDue'][0]);
     echo " <TD COLSPAN=3>\n";
     $obj->datedue[0]->EnterDate("d0",1);
     echo "&nbsp;</TD>";
   } else {
     showfieldc($lang['InvDateSent'][0]);
     echo " <TD COLSPAN=4>\n";
     $obj->datesent[0]->getDate();
     echo "&nbsp;</TD>";
     showfieldc($lang['InvDateDue'][0]);
     echo " <TD COLSPAN=3>\n";
     $obj->datedue[0]->getDate();
     echo "&nbsp;</TD>";
   }
   echo "</TR>\n";

   # The existing positions in the invoice
   echo "<TR>\n";
   echo "<TH COLSPAN=9>". $lang['InvExistingPos'] ."</TH>\n";
   echo "</TR>\n";
   echo "<TR>\n";
   echo "<TH>". $lang['InvPosPos'] ."</TH>\n";
   echo "<TH>". $lang['InvPosItems'] ."</TH>\n";
   echo "<TH>". $lang['InvPosIType'] ."</TH>\n";
   echo "<TH>". $lang['InvPosDesc'] ."</TH>\n";
   echo "<TH>". $lang['InvPosSingle'] ."</TH>\n";
   echo "<TH>". $lang['InvPosTax'] ."</TH>\n";
   echo "<TH>". $lang['InvPosSum'] ."</TH>\n";
   echo "<TH>". $lang['Currency'] ."</TH>\n";
   echo "<TH>". $lang['InvDelPos'] ."</TH>\n";
   echo "</TR>\n";
   $showed = array();
   $obj->read_pos();
   if ( count($obj->pos) == 0 ) {
     echo "<TR>\n";
     echo "<TD COLSPAN=9 CLASS=warn>".$lang['Err0048']."</TD>\n";
     echo "</TR>\n";
   }
   @reset($obj->pos) ;
   while ( list ($i,$f) = @each ($obj->pos) ) {
     $f->read_ref();
     $showed[$f->ref->id] = 1;
     show_invpos($f,$obj);
     unset($f);
   }
   if ( $obj->change_ok() ) {
     # The possible positions in the invoice
     echo "<TR>\n";
     echo "<TH COLSPAN=9>". $lang['InvPossiblePos'] ."</TH>\n";
     echo "</TR>\n";
     echo "<TR>\n";
     echo "<TH>&nbsp;</TH>\n";
     echo "<TH>". $lang['InvPosItems'] ."</TH>\n";
     echo "<TH>". $lang['InvPosIType'] ."</TH>\n";
     echo "<TH>". $lang['InvPosDesc'] ."</TH>\n";
     echo "<TH>". $lang['InvPosSingle'] ."</TH>\n";
     echo "<TH>". $lang['InvPosTax'] ."</TH>\n";
     echo "<TH>". $lang['InvPosSum'] ."</TH>\n";
     echo "<TH>". $lang['Currency'] ."</TH>\n";
     echo "<TH>". $lang['InvAddPos'] ."</TH>\n";
     echo "</TR>\n";

     $p = new invpos($obj->dbconn);
     $p->set($obj,$obj->ref);
     $p->read_ref();
     if ( ! isset($showed[$p->ref->id]) ) {
       show_invpos($p,$obj);
     }

     # Time directly booked on the parent object
     $obj->ref->readtimetrack();
     @reset($obj->ref->ttlist) ;
     while ( list ($i,$f) = @each ($obj->ref->ttlist) ) {
       if ( ($f->inv_id == $obj->id) && ($obj->id != -1) ) {
         continue;
       }
       $p = new invpos($obj->dbconn);
       $p->set($obj,$f);
       $p->read_ref();
       if ( ! isset($showed[$p->ref->id]) ) {
         show_invpos($p,$obj);
       }
       unset($p);
       unset($f);
     }

     # Time booked on tasks
     $obj->ref->readtasks();
     @reset($obj->ref->tasklist) ;
     while ( list ($i,$f) = @each ($obj->ref->tasklist) ) {
	   $p = new invpos($obj->dbconn);
       $p->set($obj,$f);
       show_invpos($p,$obj);
       unset($p);
	 }

   }

   # References to modules
   module_addforms($current_user,$obj,9);

   if ( $obj->mod_ok() != 0 ) {
     echo "<TR>\n";

     if ($obj->id > 0 ) {
       submit_reset(0,1,4,1,3,0);
     } else {
       submit_reset(0,-1,4,1,3,0);
     }

     echo "</TR>\n";
   }
   echo "</TABLE>\n";
   echo "</FORM>\n";
   echo $lang['FldsRequired'] ."\n";
 }

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate(&$obj) {
   global $lang, $tutos,$current_user;

   echo "<TABLE>";
   echo "<TR><TD>";
   echo invoice::getSelectLink($current_user,$lang['Search'])."<BR>";
   if ( $obj->id > 0 ) {
     echo  menulink("invoice/invoice_show.php?id=". $obj->id ,$lang['AppSeeEntry'],$lang['AppSeeEntryI']) . "<BR>";
   }
   if ( ($obj->id > 0) && $obj->del_ok() ) {
     echo confirmlink("invoice/invoice_del.php?id=". $obj->id ,$lang['Delete'],sprintf($lang['InvDelInfo'],$obj->getFullname())) ."&nbsp;<BR>";
   } else {
     echo "<BR>\n";
   }
   echo "<BR>\n";
   show_module_newlinks($current_user,$obj);
   echo "</TD></TR>";

   HTML_Select();
 }


 $stop = 0;
 $i = new invoice($dbconn);

 if ( isset($HTTP_GET_VARS['id']) ) {
   $i->read($HTTP_GET_VARS['id']);
   if ($i->id == -1) {
     $msg .= sprintf($lang['Err0040'],$lang[$i->getType()]) . "<BR>";
     $stop = 1;
   }
   HTML_Header($lang['Invoice']." :".$i->getFullName());
 } else {
   HTML_Header($lang['InvoiceCreate']);
 }

 if ( isset($HTTP_GET_VARS['link_id']) ) {
   $i->link_id = $HTTP_GET_VARS['link_id'];
   if ( $i->id == -1 ) {
     $i->read_ref();
	 if ( $i->ref->getType() == "product" ) {
       # Preset the custumer if possible
       $i->ref->readroles();
	   if ( isset($i->ref->role[6][0]) ) {
         $i->customer = $i->ref->role[6][0];
       }
	 } else if ( $i->ref->getType() == "installation" ) {
       $i->customer = $i->ref->customer;
	 }
   }
 } else if ( $i->id == -1 ) {
   # new and no link_id
   $msg .= sprintf($lang['Err0040'],$lang[$i->getType()]) . "<BR>";
   $stop = 1;
 }

 if ( isset($HTTP_GET_VARS['state']) ) {
   $i->state = $HTTP_GET_VARS['state'];
 }

 if ( isset($HTTP_GET_VARS['name']) ) {
   $i->name = UrlDecode(Stripslashes($HTTP_GET_VARS['name']));
 }

 # Customer
 preset_from_array_or_input($i,'customer',"i");

 if ( ! $i->mod_ok() ) {
   $msg .= sprintf($lang['Err0024'],$lang[$i->getType()]);
   $stop = 1;
 }



 HTML_Base1();
 navigate($i);
 HTML_Base2($msg);
 if ( $stop == 0 ) {
   $i->read_ref();
   info($i);
 }
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: invoice_new.php,v 1.12 2002/07/25 16:59:55 gokohnert Exp $
    $Author: gokohnert $
-->
