<?
/*
 * Copyright 2002 by Gero Kohnert
 *
 * @modulegroup invoice
 * @module invoice_overview
 * @package invoice
 *
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("invoice");
 loadmodule("invoice");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$dbconn,&$result,$start,$hidden) {
   global $lang,$tutos,$link1,$link2;

   $n = $result->numrows();
   if ( 0 == $n) {
     echo "<SPAN CLASS=warn>". $lang['Err0048'] ."</SPAN>";
     return;
   }
   if ( $tutos[massupdate] == 1 ) {
     echo "<FORM NAME=actionform METHOD=GET ACTION=\"invoice_overview.php\">\n";
     echo $hidden;
     hiddenFormElements();
     echo "<SCRIPT language=\"JavaScript\">\n";
     echo "<!--\n";
     echo "function CheckAll2() {\n";
     echo "  for (var i=0; i < document.forms['actionform'].elements.length; i++) {\n";
     echo "   var e = document.forms['actionform'].elements[i];\n";
     echo "   if (e.name != 'checkit')\n";
     echo "     e.checked = document.forms['actionform'].checkit.checked;\n";
     echo "  }\n";
     echo "}\n";
     echo "//-->\n";
     echo "</SCRIPT>\n";
   }
   echo "<TABLE CLASS=single BORDER=0 CELLPADDING=3 CELLSPACING=0>\n";
   echo "<THEAD>\n";
   echo "<TR>\n";
   echo order_header("name",$lang['InvoiceName'],$link2);
   echo order_header("",$lang['InvoiceCustomer'],$link2);
   echo order_header("",$lang['InvoiceReference'],$link2);
   echo order_header("state",$lang['InvoiceState'],$link2);
   echo order_header("",$lang['ProdCreator'],$link2);
   echo order_header("creation",$lang['ProdCreationS'],$link2);
   if ( $tutos[massupdate] == 1 ) {
     echo "  <TH NOWRAP><INPUT TYPE=checkbox name=checkit onClick=\"CheckAll2();\"></TH>\n";
   }
   echo "</TR>\n";
   echo "</THEAD>\n";

   if ( $start == -1 ) {
     $a = $n - $tutos[maxshow];
     $end = $n;
     $start = $a;
   } else {
     $a = $start;
     $end = $start + $tutos[maxshow];
   }

   echo "<TBODY>\n";
   $line = 1;
   while ( ($a < $n) && ($a < $end) ) {
     $c = new invoice($dbconn);
     $c->read_result($result,$a);
     $a++;
     if ( ! $c->see_ok() ) {
       continue;
     }
     if ( $line == 1 ) {
       $line = 2;
     } else {
       $line = 1;
     }
	 $c->read_ref();

     echo "<TR CLASS=line". $line .">\n";
     echo "<TD VALIGN=\"top\">". $c->getLink() ."</TD>";
     if ( is_object($c->customer) ) {
       echo "<TD VALIGN=\"top\">". $c->customer->getLink() ."</TD>";
     } else {
       echo "<TD VALIGN=\"top\">". $lang['HistoryDeleted'] ."</TD>";
     }
     if ( $c->ref != -1 ) {
       echo "<TD VALIGN=\"top\">". $c->ref->getLink() ."</TD>";
     } else {
       echo "<TD VALIGN=\"top\">". $lang['HistoryDeleted'] ."</TD>";
     }
     echo "<TD VALIGN=\"top\">". $lang['InvoiceStates'][$c->state] ."</TD>";
     echo "<TD VALIGN=\"top\">". $c->creator->getLink() ."</TD>";
     echo "<TD VALIGN=\"top\">". $c->creation->getDateTime() ."</TD>";
     if ( $tutos[massupdate] == 1 ) {
       if ( $c->mod_ok() ) {
         echo " <TD><INPUT NAME=\"mark[]\" TYPE=checkbox value=\"". $c->id ."\"></TD>\n";
       } else {
         echo "<TD>&nbsp;-&nbsp;</TD>";
       }
     }
     echo "</TR>\n";
   }
   echo "</TBODY>\n";

   echo "<TFOOT>\n";
   ShowBackForwardNav($link1,6+ $tutos[massupdate],$start,$a,$n);
   if ( $tutos[massupdate] == 1 ) {
     echo "<TR>\n";
     echo " <TD ALIGN=right COLSPAN=5>\n";
     echo sprintf($lang['withmarked'],$lang['Invoices']);
     echo "<SELECT NAME=action>\n";
     echo " <OPTION VALUE=\"-1\" SELECTED>". $lang['MailActionNil'] ."</OPTION>\n";
     echo " <OPTION VALUE=\"-2\">". $lang['Delete'] ."</OPTION>\n";
     echo "</SELECT>\n";
     echo " </TD>\n";
     echo " <TD COLSPAN=2><INPUT type=submit value=\"". $lang['Enter']."\"></TD>\n";
     echo "</TR>\n";
   }
   echo "</TFOOT>\n";

   echo "</TABLE>\n";
   if ( $tutos[massupdate] == 1 ) {
     echo "</FORM>";
   }
 }


 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate() {
   global $lang,$current_user;

   echo "<TABLE>";
   echo "<TR><TD>";
   echo invoice::getSelectLink($current_user,$lang['Search'])."<BR>";
   echo "</TD></TR>";

   HTML_Select();
 }


 # Perform possible actions
 if ( isset($HTTP_GET_VARS['mark']) && isset($HTTP_GET_VARS['action']) && ($HTTP_GET_VARS['action'] != -1) ) {
   @reset($HTTP_GET_VARS['mark']);
   if ( $HTTP_GET_VARS['action'] == -2 ) {
     $dbconn->Begin("WORK");
     while (list ($key,$val) = @each ($HTTP_GET_VARS['mark'])) {
       $b = new invoice($dbconn);
       $b->read($val);
       if ( $b->id != $val ) {
         continue;
	   }
       if ( $b->del_ok() ) {
         $msg .= sprintf($lang['InvDelInfo'], $b->getFullName()) ."<BR>";
         $msg .= $b->delete();
	   } else {
         $msg .= $b->getLink() .": ". sprintf($lang['Err0023'],$lang[$b->getType()]) ."<BR>\n";
	   }
       unset($p);
     }
     $dbconn->Commit("WORK");
   }
 }

 HTML_Header($lang['InvOverview']);

 $link1 = "invoice/invoice_overview.php";
 $q = "SELECT * FROM invoice";
 $pre = " WHERE ";
 $hidden = "";

 if ( isset($HTTP_GET_VARS['name']) ) {
   $name = $HTTP_GET_VARS['name'];
 } else {
   $name = "";
 }

 if ( isset($HTTP_GET_VARS['link_id']) ) {
   $link_id = $HTTP_GET_VARS['link_id'];
 }

 if ( isset($HTTP_GET_VARS['state']) ) {
   $state = $HTTP_GET_VARS['state'];
 }

 if ( ($name != "*") && ($name != "") ) {
   $q .= $pre . $dbconn->Like("name",$name);
   $pre = " AND ";
   $link1 = addUrlParameter($link1,"name=". UrlEncode($name));
   $hidden .= "<INPUT TYPE=hidden NAME=\"name\" VALUE=\"". $name ."\">\n";
 }

 if ( isset($link_id) ) {
   $ref = getObject($dbconn,$link_id);
   if ( ($ref->getType() == "company") || ($ref->getType() == "department")  ) {
     $q .= $pre . " customer = ". $link_id;
   } else if ( ($ref->getType() == "product") || ($ref->getType() == "installation")  ) {
     $q .= $pre . " link_id = ". $link_id;
   } else {
     $q .= $pre . " (link_id = ". $link_id .") OR (customer = ". $link_id .")";
   }
   $pre = " AND ";
   $link1 = addUrlParameter($link1,"link_id=". UrlEncode($link_id));
   $hidden .= "<INPUT TYPE=hidden NAME=\"link_id\" VALUE=\"". $link_id ."\">\n";
 }

 if ( isset($state) ) {
   if ( $state == -2 ) {
     $q .= " ". $pre ." state in (3,4,5,6)";
   } else {
     $q .= " ". $pre ." state=".$state;
   }
   $pre = " AND ";
   $link1 = addUrlParameter($link1,"state=". $state);
   $hidden .= "<INPUT TYPE=hidden NAME=\"state\" VALUE=\"". $state ."\">\n";
   # remember this
   $HTTP_SESSION_VARS['invsearchstate'] = $state;
 }

 # sorting
 $xxx = "";
 $link2 = $link1;
 order_parse($q,$link1,$xxx,$xxx,"name");

 $result = $dbconn->Exec($q);

 if ( isset($HTTP_GET_VARS['start']) ) {
   $start = $HTTP_GET_VARS['start'];
   if ( $start < -1 ) {
     $start = 0;
   }
 } else {
   $start = 0;
 }

 HTML_Base1();
 navigate();
 HTML_Base2($msg);
 info($dbconn,$result,$start,$hidden);
 HTML_Base3();

 $dbconn->Close();

?>
<!--
    CVS Info:  $Id: invoice_overview.php,v 1.5.2.3 2002/09/09 17:46:14 gokohnert Exp $
    $Author: gokohnert $
-->
