<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup mailbox
 * @module mailbox_new
 * @package mailbox
 */
 include("webelements.p3");
 include("permission.p3");
 include("mailbox.pinc");
 include("product.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("mailbox");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$obj) {
   global $lang , $current_user;

   echo "<FORM action=\"mailbox_ins.php\" method=\"POST\">\n";
   hiddenFormElements();
   echo "<TABLE CLASS=single BORDER=0 CELLSPACING=0 CELLPADDING=3>\n";
   if ( $obj->id > 0 ) {
     echo "<INPUT type=\"hidden\" value=\"". $obj->id ."\" name=\"id\">\n";
   }
   echo "<INPUT type=\"hidden\" value=\"". $obj->parent->id ."\" name=\"parent\">\n";
   echo "<TR><TH COLSPAN=6>";
   if ( $obj->id > 0  ) {
     echo sprintf($lang['MailboxModifyI'],menulink($obj->parent->getURL(),$obj->parent->getFullName()));
   } else {
     echo sprintf($lang['MailboxCreateI'],menulink($obj->parent->getURL(),$obj->parent->getFullName()));
   }
   echo "</TH></TR>\n";

   if ( $obj->id > 0  ) {
     echo "<TR>\n";
     echo " <TD COLSPAN=5>&nbsp</TD>";
     echo " <TD ALIGN=right COLSPAN=1>". acl_link($obj) ."</TD>\n";
     echo "</TR>\n";
   }
   echo "<TR>\n";
   showfieldc($lang['MailboxHost'],1);
   echo " <TD>\n";
   echo "  <INPUT size=40 maxlength=40 name=host value=\"". $obj->host ."\">\n";
   echo " </TD>\n";
   showfieldc($lang['MailboxProt'],1);
   echo " <TD>\n";
   echo "  <SELECT name=type>\n";
   echo "   <OPTION value=\"imap\">imap</OPTION>\n";
   echo "   <OPTION value=\"imap/notls\">imap NOTLS</OPTION>\n";
   echo "   <OPTION value=\"pop3\">pop3</OPTION>\n";
   echo "  </SELECT>\n";
   echo " </TD>\n";
   showfieldc($lang['MailboxPort']);
   echo " <TD>\n";
   echo "  <INPUT size=5 maxlength=5 name=port value=\"". $obj->port ."\">\n";
   echo " </TD>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   showfieldc($lang['MailboxPath'],1);
   echo " <TD COLSPAN=5>\n";
   echo "  <INPUT size=60 maxlength=60 name=\"path\" value=\"". $obj->path ."\">\n";
   echo " </TD>\n";

   echo "</TR>\n";

   echo "<TR>\n";
   showfieldc($lang['MailboxUser'],1);
   echo " <TD COLSPAN=1>\n";
   echo "  <INPUT size=20 maxlength=20 name=user value=\"". $obj->user ."\">\n";
   echo " </TD>\n";
   showfieldc($lang['MailboxPass'],0);
   echo " <TD COLSPAN=3>\n";
   echo "  <INPUT type=password name=mpw value=\"". $obj->pw ."\">\n";
   echo "</TR>\n";

   echo "<TR>\n";
   showfieldc($lang['MailboxEmail']);
   echo " <TD COLSPAN=5>\n";
   echo "  <INPUT size=60 maxlength=60 name=email value=\"". $obj->email ."\">\n";
   echo " </TD>\n";
   echo "</TR>\n";

   if ( $obj->mod_ok() != 0 ) {
     echo "<TR>\n";
     if ($obj->id > 0 ) {
       submit_reset(0,1,2,1,2,0);
     } else {
       submit_reset(0,-1,2,1,2,0);
     }
     echo "</TR>\n";
   }

   echo "</TABLE>\n";
   echo "</FORM>\n";
   echo $lang['FldsRequired'] ."\n";
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate(&$obj) {
   global $lang;

   echo "<TABLE>";
   echo "<TR><TD>";
   if ( $obj->del_ok() && ($obj->id > 0) ) {
     echo menulink("mailbox_del.php?id=". $obj->id ,$lang['Delete'],sprintf($lang['MailboxDelI'],$obj->getFullname())) ."&nbsp;<BR>";
   }
   echo "&nbsp;\n";
   echo "</TD></TR>";

   HTML_Select();
 }




 $m = new mailbox($dbconn);

 if ( isset($HTTP_GET_VARS['id']) && ($HTTP_GET_VARS['id'] > 0) ) {
   HTML_Header($lang['MailboxModify']);
   $m->read($HTTP_GET_VARS['id']);
 } else {
   HTML_Header($lang['MailboxCreate']);
   if ( ! isset($HTTP_GET_VARS['parent']) ) {
     $msg .= " Missing parameter<BR>";
   } else {
     $m->parent = GetObject($dbconn,$HTTP_GET_VARS['parent']);
   }
 }

 if ( ! $m->mod_ok() ) {
   $msg .= sprintf($lang['Err0024'],$lang[$m->getType()]);
 }

 HTML_Base1();
 navigate($m);
 HTML_Base2($msg);
 if ( $m->mod_ok() ) {
   info($m);
 }
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: mailbox_new.php,v 1.15.2.3 2002/08/18 14:57:34 gokohnert Exp $
    $Author: gokohnert $
-->
