<?
/**
 * Copyright 2000 - 2002 by Gero Kohnert
 *
 * @modulegroup note
 * @module note_new
 * @package note
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("note");
 loadmodule("note");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$n) {
   global $lang,$tutos,$current_user,$HTTP_SERVER_VARS;

   echo "<FORM action=\"note_ins.php\" method=\"POST\">\n";
   hiddenFormElements();
   echo "<TABLE CLASS=single BORDER=0 CELLSPACING=0>\n";
   echo "<TR><TH COLSPAN=6>";
   if ( isset ($n->id) && ( $n->id != -1 ) ) {
     echo $lang['NoteMod'];
     echo " </TH></TR>\n";
     echo "<TR>\n";
     echo "<INPUT type=hidden name=\"id\" value=\"". $n->id ."\">";
     echo " <TD COLSPAN=5>". sprintf ($lang['ProdCreation'],$n->creator->getLink(),$n->creation->getDateTime()) ."</TD>\n";
     echo " <TD COLSPAN=1 ALIGN=right>". acl_link($n) ."</TD>";
     echo "</TR>\n";
   } else {
     echo $lang['NoteCreation'];
     echo " </TH></TR>\n";
   }

   echo "<TR>\n";
   showfieldc($lang['NoteName'],1,"name");
   echo " <TD COLSPAN=5><INPUT SIZE=30 MAXLENGTH=30 name=\"name\" value=\"". $n->name ."\"></TD>\n";
   echo "</TR>\n";
   echo "<TR>\n";
   showfieldc($lang['NoteReference']);
   echo " <TD COLSPAN=5>". $lang[$n->ref->getType()] ." ". $n->getRefLink() ."</TD>\n";
   echo "<INPUT type=hidden name=link_id value=". $n->link_id .">";
   echo "</TR>\n";

   echo "<TR>\n";
   showfield($lang['NoteDescription'],1,"note");
   echo " <TD COLSPAN=5><TEXTAREA wrap=hard rows=20 cols=40 name=\"note\">". $n->note ."</TEXTAREA></TD>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   showfieldc($lang['NoteRemember'],0);
   echo " <TD COLSPAN=5>\n";
   $n->remember->EnterDate("remember",1);
   echo " </TD>\n";
   echo "</TR>\n";

   # References to modules
   module_addforms($current_user,$n,6);

   echo "<TR>\n";
   if ( isset($n->id) && ($n->id != -1) ) {
     submit_reset(0,1,2,1,2,0);
   } else {
     submit_reset(0,-1,2,1,2,0);
   }
   echo "</TR>\n";

   echo "</TABLE>\n";
   echo "</FORM>\n";

   echo $lang['FldsRequired'] ."\n";

 }

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate(&$obj) {
   global $lang,$current_user;

   echo "<TABLE>";
   echo "<TR><TD>";
   echo note::getSelectLink($current_user,$lang['Search'])."<BR>\n";
   echo "<BR>\n";
   show_module_newlinks($current_user,$obj);
   echo "</TD></TR>";

   HTML_Select();
 }


 $p = new note($dbconn);
 if ( isset($HTTP_GET_VARS['id']) ){
   HTML_Header($lang['NoteMod']);
   $p->read($HTTP_GET_VARS['id']);
 } else {
   HTML_Header($lang['NoteCreation']);
 }
 if ( isset($HTTP_GET_VARS['link_id']) ){
   $p->link_id = $HTTP_GET_VARS['link_id'];
 }
 if ( isset($HTTP_GET_VARS['note']) ){
   $p->note = StripSlashes($HTTP_GET_VARS['note']);
 }
 if ( isset($HTTP_GET_VARS['name']) ){
   $p->name = StripSlashes($HTTP_GET_VARS['name']);
 }
 if ( isset($HTTP_GET_VARS['remember']) ) {
   $p->remember->setDateTime($HTTP_GET_VARS['remember']);
 }
 if ( ! $p->mod_ok() ) {
   $msg .= sprintf($lang['Err0024'],$lang[$p->getType()]);
 }

 $p->read_reference();

 HTML_Base1();
 navigate($p);
 HTML_Base2($msg);
 if ( $p->mod_ok() ) {
   info($p);
 }
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: note_new.php,v 1.3.2.1 2002/08/15 08:04:12 gokohnert Exp $
    $Author: gokohnert $
-->
