<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * delte a product from the database
 *
 * @modulegroup product
 * @module product_new
 * @package product
 */
 include("webelements.p3");
 include("permission.p3");

 include("bug.pinc");
 include("product.pinc");
 include("installation.pinc");
 include("timetrack.pinc");
 include 'file.pinc';
 include 'mailbox.pinc';
 include 'appointment.pinc';
 include 'task.pinc';

 /* Check if user is allowed to use it */
 check_user();
 loadmodules('product','del');

 $msg = "";
 $gotourl = "product_overview.php";
 $p = new product($dbconn);

 if ( empty($HTTP_GET_VARS['id']) ) {
   $msg .= sprintf($lang['Err0040'],$lang[$p->getType()]) ."<BR>";
 } else {
   $p->read($HTTP_GET_VARS['id']);
   if ( $p->id < 1 ) {
     $msg .= sprintf($lang['Err0040'],$lang[$p->getType()]) . "<BR>";
   } else {
     $gotourl = $p->getUrl();
   }
 }
 if ( ! $p->del_ok() ) {
   $msg .= sprintf($lang['Err0023'],$lang[$p->getType()]) ."<BR>";
 }

 if ( $msg == "" ) {
   $dbconn->Begin("WORK");
   $msg .= $p->delete();
   $dbconn->Commit("WORK");

   $gotourl = "product_overview.php";
 }

 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));
 $gotourl = addSessionKey($gotourl);

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". getBaseUrl() . $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: product_del.php,v 1.17.2.1 2002/08/15 08:04:11 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
