<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * create a new product or modify an existing one
 *
 * @modulegroup product
 * @module product_new
 * @package product
 */
 include("webelements.p3");
 include("permission.p3");
 include("appointment.pinc");
 include("bug.pinc");
 include("product.pinc");
 include("mailbox.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules('product','new');


 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$p) {
   global $lang, $title, $current_user, $tutos;

   echo "<FORM name=\"productadd\" action=\"product_ins.php\" method=\"POST\">\n";
   hiddenFormElements();
   if ( $p->id > 0 ) {
     echo "<INPUT type=\"hidden\" value=\"$p->id\" name=\"id\">\n";
   }
   echo "<TABLE CLASS=single BORDER=0 CELLSPACING=0>\n";
   echo " <TR><TH COLSPAN=4>". $title ."</TH></TR>\n";
   if ( $p->id > 0 ) {
     echo " <TR>\n";
     echo "  <TD COLSPAN=3>". sprintf ($lang['ProdCreation'],$p->creator->getLink(),$p->creation->getDateTime()) ."</TD>\n";
     echo "  <TD ALIGN=right COLSPAN=1>". acl_link($p) ."</TD>\n";
     # Its an update
     echo " </TR>\n";
   }

   echo "<TR>\n";
   showfieldc($lang['ProdName'],1,"name");
   echo " <TD COLSPAN=3><INPUT SIZE=40 MAXLENGTH=40 name=\"name\" value=\"". $p->name ."\"></TD>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   showfieldc($lang['ProdVersion'],0,"version");
   echo " <TD COLSPAN=3><INPUT SIZE=20 MAXLENGTH=20 name=\"version\" value=\"". $p->version ."\">\n";
   echo "&nbsp;<SPAN CLASS=desc>". $lang['ProdState'] ."</SPAN>&nbsp;\n";
   echo "<SELECT name=\"state\">\n";
#   $ar = array (0,4,5,1,2,3);
   @reset($lang['ProdStates']);
   while ( list ($f,$i) = @each ($lang['ProdStates']) ) {
     if ( $f >= 0 ) {
       echo " <OPTION VALUE=\"". $f ."\" ". ($f == $p->state ? "SELECTED":"") .">". myentities($lang['ProdStates'][$f]) ."\n";
     }
   }
   echo "</SELECT>\n";
   echo "&nbsp;<SPAN CLASS=desc>". $lang['ProdProb'] ."</SPAN>&nbsp;\n";
   echo "<INPUT SIZE=3 MAXLENGTH=3 name=\"prob\" value=\"". $p->probability ."\"> %\n";
   echo "</TD>\n";
   echo "</TR>\n";

   # Roles of peoples and teams etc.
   echo "<TR>\n";
   showfield($lang['ProdRoles']);
   echo " <TH>". $lang['AdrName'] ."</TH><TH>". $lang['ProdFunc'] ."</TH><TH>&nbsp;</TH>\n";
   echo "</TR>\n";

   # List all roles in this project
   if ( $p->id > 0 ) {
     $n = 0;
     @reset($lang['ProdRole']);
     while ( list ($role,$x) = @each ($lang['ProdRole']) ) {
       if ( isset($p->role[$role]) ) {
         @reset ($p->role[$role]) ;
         while ( list ($i,$o) = @each ($p->role[$role]) ) {
           if ( $o->id < 1 ) {
             continue;
           }
           if ( $o->getType() == "product" ) {
             continue;
           }
           echo "<TR>\n";
           echo " <TD>&nbsp;</TD>\n";
           echo " <TD>". $o->getLink() ."</TD>";
           echo " <TD>". $lang['ProdRole'][$role] ."</TD>";
           $val = $o->id .",". $role;
           if ( ! isset($p->rdel[$val]) ) {
             $p->rdel[$val] = "";
           }
           echo " <TD><INPUT TYPE=checkbox NAME=del[] value=\"". $val ."\"". $p->rdel[$val] .">&nbsp;". $lang['Remove'] ."</TD>";
           $n++;
           echo "</TR>\n";
         }
       }
     }
   }
   echo "<TR>\n";
   showfieldc($lang['ProdRolesNew']);
   echo " <TD>\n";
   select_from_array_or_input($p,"r1",$p->r1,1);
   echo " </TD>\n";

   echo " <TD>\n";
   echo "  <SELECT NAME=role1>\n";
   @reset($lang['ProdRole']);
   while ( list ($role,$x) = @each ($lang['ProdRole']) ) {
     # No Product Roles
     if ( $tutos[rolecheck][$role] == "p") {
       continue;
     }
     echo "   <OPTION VALUE=\"". $role ."\" ". ($role == $p->rsel1 ? "SELECTED":"")  .">". myentities($lang['ProdRole'][$role]) ."</OPTION>\n";
   }
   echo "  </SELECT>\n";
   echo " </TD>\n";
   echo " <TD>&nbsp;</TD>\n";
   echo "</TR>\n";

   #
   # Relations to other Products
   #
   echo "<TR>\n";
   showfield($lang['ProdProd']);
   echo " <TH>". $lang['AdrName'] ."</TH><TH>". $lang['ProdFunc'] ."</TH><TH>&nbsp;</TH>\n";
   echo "</TR>\n";
   # List all projectroles in this project
   if ( $p->id > 0 ) {
     $n = 0;
     @reset($lang['ProdRole']);
     while ( list ($role,$x) = @each ($lang['ProdRole']) ) {
       if ( isset($p->role[$role]) ) {
	     @reset ($p->role[$role]) ;
         while ( list ($i,$o) = @each ($p->role[$role]) ) {
           if ( $o->id < 1 ) {
             continue;
           }
           if ( $o->getType() != "product" ) {
             continue;
           }
           echo "<TR>\n";
           echo " <TD>&nbsp;</TD>\n";
           echo " <TD>". $o->getLink() ."</TD>";
           echo " <TD>". $lang['ProdRole'][$role] ."</TD>";
           $val = $o->id .",". $role;
           if ( ! isset($p->rdel[$val]) ) {
             $p->rdel[$val] = "";
           }
           echo " <TD><INPUT TYPE=checkbox NAME=del[] value=\"". $val ."\"". $p->rdel[$val] .">&nbsp;". $lang['Remove'] ."</TD>";
           $n++;
           echo "</TR>\n";
         }
       }
     }
   }
   echo "<TR>\n";
   showfieldc($lang['ProdProdNew']);
   echo " <TD>\n";
   select_from_array_or_input($p,"r2",$p->r2,1);
   echo " </TD>\n";

   echo " <TD>\n";
   echo "  <SELECT NAME=role2>\n";
   @reset($lang['ProdRole']);
   while ( list ($role,$x) = @each ($lang['ProdRole']) ) {
     # No Product Roles
     if ( $tutos[rolecheck][$role] != "p") {
       continue;
     }
     echo "   <OPTION VALUE=\"". $role ."\" ". ($role == $p->rsel2 ? "SELECTED":"") .">". myentities($lang['ProdRole'][$role]) ."</OPTION>\n";
   }
   echo "  </SELECT>\n";
   echo " </TD>\n";
   echo " <TD>&nbsp;</TD>\n";
   echo "</TR>\n";


   echo "<TR>\n";
   showfieldc($lang['ProdDesc'],0,"description");
   echo " <TD COLSPAN=3><INPUT ID=desc0 SIZE=40 MAXLENGTH=40 name=\"description\" value=\"". $p->description ."\"></TD>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   showfieldc($lang['ProdDesc1'],0,"desc1");
   echo " <TD COLSPAN=3><INPUT ID=desc1 SIZE=50 MAXLENGTH=50 name=\"desc1\" value=\"". $p->desc1 ."\"></TD>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   showfieldc($lang['ProdDesc2'],0,"desc2");
   echo " <TD COLSPAN=3><INPUT ID=desc2 SIZE=50 MAXLENGTH=50 name=\"desc2\" value=\"". $p->desc2 ."\"></TD>\n";
   echo "</TR>\n";

   # Classification
   for ( $cl = 1;$cl <= $p->classes; $cl++) {
     echo "<TR>\n";
     $wanted = 0;
     if( $tutos[classify_products] ) {
       $wanted = 1;
     }
     showfield($lang['ProdClass'.$cl], $wanted, "cl".$cl."[]");
     echo " <TD COLSPAN=3>\n";
     $p->class_select($cl);
     echo " </TD>\n";
     echo "</TR>\n";
   }

   # Invoice
   # Should not see that if not used
   if( $tutos[useinvoice] ) {
     echo "<TR>\n";
     showfieldc($lang['ProdPrice'],0,"price");
     echo " <TD COLSPAN=3>\n";
     echo "  <INPUT SIZE=10 MAXLENGTH=10 name=\"price\" value=\"".
       $p->price ."\">\n";
     echo "  &nbsp;<SPAN CLASS=desc><LABEL FOR=\"cost\">".
       $lang['ProdCost'] ."</LABEL></SPAN>\n";
     echo "  <INPUT SIZE=10 MAXLENGTH=10 name=\"cost\" value=\"".
       $p->cost ."\">\n";
     Currency_Select("currency",$p->currency);
     echo " </TD>\n";
     echo "</TR>\n";
   }


   echo "<TR>\n";
   showfieldc($lang['ProdStart']);
   echo " <TD COLSPAN=3>\n";
   $p->p_start->EnterDate("p_start",1);
   echo " </TD>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   showfieldc($lang['ProdEnd']);
   echo " <TD COLSPAN=3>\n";
   $p->p_end->EnterDate("p_end",1);
   echo " </TD>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   showfieldc($lang['ProdPath'],0,"path");
   echo " <TD COLSPAN=3><INPUT SIZE=60 MAXLENGTH=100 name=\"path\" value=\"". $p->path ."\"></TD>\n";
   echo "</TR>\n";

   if ( $p->id > 0 ) {
     if ( $current_user->feature_ok(usemailboxes,PERM_SEE) ) {
       $p->readMailboxes();
	   echo "<TR>\n";
	   showfield($lang['ProdMailbox']);
	   echo " <TD COLSPAN=3>\n";
	   if ( count($p->mboxlist) >0 ) {
         @reset($p->mboxlist);
		 while ( list ($i,$f) = @each ($p->mboxlist) ) {
		   echo "". makelink("mailbox_new.php?id=". $i, $lang['Change'] ." ". $f->getFullName()) ."<BR>\n";
		 }
	   }
	   echo "". makelink("mailbox_new.php?id=-1&parent=". $p->id, $lang['NewEntry']) ."<BR>\n";
	   echo " </TD>\n";

	   echo "</TR>\n";
	 }
   }

   module_addforms($current_user,$p,4);

   echo "<TR>\n";
   if ( $p->id != -1 ) {
     submit_reset(0,1,1,1,1,0);
   } else {
     submit_reset(0,-1,1,1,1,0);
   }
   echo "</TR>\n";
   echo "</TABLE>\n";
   echo "</FORM>\n";


   if ( $current_user->feature_ok(useurl,PERM_SEE) ) {
     if ( $p->id != -1 ) {
       url_form($p,"product_new.php?id=". $p->id);
     }
   }
   echo $lang['FldsRequired'] ."\n";
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate(&$obj) {
   global $tutos,$lang,$current_user;

   echo "<TABLE>";
   echo "<TR><TD>";

   echo product::getSelectLink($current_user,$lang['Search'])."<BR>";

   if ( $current_user->feature_ok(useprojects,PERM_NEW) ) {
     echo menulink("product_new.php",$lang['NewEntry'],$lang['ProdCreateInfo']) ."<BR>\n";
   }
   if ( ($obj->id > 0) && $obj->del_ok() ) {
     if ( $current_user->feature_ok(useprojects,PERM_DEL) ) {
       echo  confirmlink("product_del.php?id=". $obj->id,$lang['Delete'],sprintf($lang['ProdDelInfo'],$obj->getFullname()));
       echo "&nbsp;<BR><BR>\n";
     }
   } else {
     echo "<BR><BR>\n";
   }

   echo "<BR>\n";
   show_module_newlinks($current_user,$obj);
   echo "</TD></TR>";

   HTML_Select();
 }


 HTML_Header($lang['Product']);

 $stop = 0;
 $p = new product($dbconn);
 if ( isset($HTTP_GET_VARS['id']) ) {
   $p->read($HTTP_GET_VARS['id']);
   if ( $p->id < 0 ) {
     $msg .= sprintf($lang['Err0040'],$lang[$p->getType()]);
     $stop = 1;
   }
   $title = $lang['ProdModifyT'];
   $p->readroles();
 } else {
   $title = $lang['ProdCreateT'];
   $p->r1 = $current_user;
 }

 if ( isset($HTTP_GET_VARS['name']) ) {
   $p->name = StripSlashes($HTTP_GET_VARS['name']);
 }
 if ( isset($HTTP_GET_VARS['version']) ) {
   $p->version = StripSlashes($HTTP_GET_VARS['version']);
 }
 if ( isset($HTTP_GET_VARS['desc1']) ) {
   $p->desc1 = StripSlashes($HTTP_GET_VARS['desc1']);
 }
 if ( isset($HTTP_GET_VARS['desc2']) ) {
   $p->desc2 = StripSlashes($HTTP_GET_VARS['desc2']);
 }
 if ( isset($HTTP_GET_VARS['description']) ) {
   $p->description = StripSlashes($HTTP_GET_VARS['description']);
 }
 if ( isset($HTTP_GET_VARS['path']) ) {
   $p->path = StripSlashes($HTTP_GET_VARS['path']);
 }
 if ( isset($HTTP_GET_VARS['state']) ) {
   $p->state = $HTTP_GET_VARS['state'];
 }

 # People Team Relations
 if ( isset($HTTP_GET_VARS['r1id']) ) {
   $p->role[1]->id = $HTTP_GET_VARS['r1id'];
 }
 if ( isset($HTTP_GET_VARS['r1fn']) ) {
   $p->xfn['r1'] = StripSlashes($HTTP_GET_VARS['r1fn']);
   unset($p->r1);
 }

 if ( isset($HTTP_GET_VARS['r1l']) ) {
   @reset($HTTP_GET_VARS['r1l']);
   while ( list ($x,$f) = @each ($HTTP_GET_VARS['r1l']) ) {
     $a = getObject($dbconn,$f);
     $p->xl['r1'][$f] = $a;
   }
 }
 if ( isset($HTTP_GET_VARS['role1']) ) {
   $p->rsel1 = $HTTP_GET_VARS['role1'];
 } else {
   $p->rsel1 = 1;
 }

 # Product Relations
 if ( isset($HTTP_GET_VARS['r2id']) ) {
   $p->role[1]->id = $HTTP_GET_VARS['r2id'];
 }
 if ( isset($HTTP_GET_VARS['r2fn']) ) {
   $p->xfn['r2'] = StripSlashes($HTTP_GET_VARS['r2fn']);
   unset($p->r2);
 }
 if ( isset($HTTP_GET_VARS['r2l']) ) {
   @reset($HTTP_GET_VARS['r2l']);
   while ( list ($x,$f) = @each ($HTTP_GET_VARS['r2l']) ) {
     $a = getObject($dbconn,$f);
     $p->xl['r2'][$f] = $a;
   }
 }
 if ( isset($HTTP_GET_VARS['role2']) ) {
   $p->rsel2 = $HTTP_GET_VARS['role2'];
 } else {
   $p->rsel2 = 1;
 }


 if ( isset($HTTP_GET_VARS['del']) ) {
   @reset ($HTTP_GET_VARS['del']);
   while( list ($i,$f) = @each ($HTTP_GET_VARS['del'])) {
     $p->rdel[$f] = "CHECKED";
   }
 }

 if ( isset($HTTP_GET_VARS['price']) ) {
   $p->price = $HTTP_GET_VARS['price'];
 }
 if ( isset($HTTP_GET_VARS['cost']) ) {
   $p->cost = $HTTP_GET_VARS['cost'];
 }
 if ( isset($HTTP_GET_VARS['currency']) ) {
   $p->currency = $HTTP_GET_VARS['currency'];
 }
 if ( isset($HTTP_GET_VARS['prob']) ) {
   $p->probability = $HTTP_GET_VARS['prob'];
 }
 if ( isset($HTTP_GET_VARS['p_start']) ) {
   $p->p_start->setDateTime($HTTP_GET_VARS['p_start']);
 }
 if ( isset($HTTP_GET_VARS['p_end']) ) {
   $p->p_end->setDateTime($HTTP_GET_VARS['p_end']);
 }

 if ( ! $p->mod_ok() ) {
   $msg .= sprintf($lang['Err0024'],$lang[$p->getType()]);
 }

 HTML_Base1();
 navigate($p);
 HTML_Base2($msg);
 if ( ($stop == 0) && $p->mod_ok() ) {
   info($p);
 }
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: product_new.php,v 1.45.2.1 2002/08/17 10:42:42 gokohnert Exp $
    $Author: gokohnert $
-->
