<?
/*
 * Copyright 2001 - 2002 by Gero Kohnert
 *
 * @modulegroup resource
 * @module resource_new
 * @package resource
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("resource");
 loadmodule("resource");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$obj) {
   global $tutos,$lang,$current_user;

   echo "<FORM ACTION=\"resource_ins.php\" method=\"POST\">\n";
   hiddenFormElements();
   echo "<TABLE CLASS=single  BORDER=0 CELLSPACING=0>\n";
   echo "<TR>\n";
   echo " <TH COLSPAN=4>".  sprintf($lang['Showing'],$lang[$obj->getType()])."</TH>\n";
   echo "</TR>\n";
   if ($obj->id > 0 ) {
     echo " <INPUT type=\"hidden\" value=\"". $obj->id ."\" name=\"id\">\n";
     echo "<TR>\n";
     echo " <TD COLSPAN=3>". sprintf ($lang['BugCreation'],$obj->creator->getLink(),$obj->creation->getDateTime()) ."</TD>\n";
     echo " <TD ALIGN=right>". acl_link($obj) ."</TD>\n";
     echo "</TR>\n";
   }

   echo "<TR>\n";
   showfieldc($lang['ResName'],1,"name");
   echo " <TD COLSPAN=3 VALIGN=top><INPUT SIZE=30 MAXLENGTH=30 name=\"name\" value=\"". $obj->name ."\"></TD>";
   echo "</TR>\n";

   echo "<TR>\n";
   showfieldc($lang['ResDesc'],0,"desc");
   echo " <TD COLSPAN=3 VALIGN=top><INPUT SIZE=60 MAXLENGTH=60 name=\"desc\" value=\"". $obj->desc ."\"></TD>";
   echo "</TR>\n";

   # References to modules
   module_addforms($current_user,$obj,4);

   if ( $obj->mod_ok() != 0 ) {
     echo "<TR>\n";

     if ($obj->id > 0 ) {
       submit_reset(0,1,1,1,1,0);
     } else {
       submit_reset(0,-1,1,1,1,0);
     }

     echo "</TR>\n";
   }
   echo "</TABLE>\n";
   echo "</FORM>\n";
   echo $lang['FldsRequired'] ."\n";
 }

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate(&$obj) {
   global $tutos,$lang,$current_user;

   echo "<TABLE>";
   echo "<TR><TD>";
   if ( ($obj->id > 0) && $obj->del_ok() ) {
     echo confirmlink("resource/resource_del.php?id=". $obj->id ,$lang['Delete'],sprintf($lang['ResDelI'],$obj->getFullname())) ."&nbsp;<BR>";
   }
   echo resource::getOverviewLink($current_user,$lang['Resources'])."<BR>";
   echo "<BR>\n";
   show_module_newlinks($current_user,$obj);
   echo "</TD></TR>";

   HTML_Select();
 }

 $b = new resource($dbconn);

 if ( isset($HTTP_GET_VARS['id']) ) {
   $b->read($HTTP_GET_VARS['id']);
 }

 if ( $b->id > 0 ) {
   HTML_Header($lang['ResModify']);
 } else {
   HTML_Header($lang['ResCreate']);
 }

 if ( ! $b->mod_ok() ) {
   $msg .= sprintf($lang['Err0024'],$lang[$b->getType()]);
 }

 if ( isset($HTTP_GET_VARS['name']) ) {
   $b->name = StripSlashes($HTTP_GET_VARS['name']);
 }
 if ( isset($HTTP_GET_VARS['desc']) ) {
   $b->desc = StripSlashes($HTTP_GET_VARS['desc']);
 }
 HTML_Base1();
 navigate($b);
 HTML_Base2($msg);
 if ( $b->mod_ok() ) {
   info($b);
 }
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: resource_new.php,v 1.5 2002/07/26 06:36:29 gokohnert Exp $
    $Author: gokohnert $
-->
