<?
/*
 * Copyright 1999 - 2002 by Gero Kohnert
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include 'webelements.p3';
 include 'permission.p3';

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("resource");
 loadmodule("resource");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$dbconn,&$result,$start=0) {
   global $lang,$tutos,$link1,$link2;

   $n = $result->numrows();
   if ( 0 == $n) {
     echo "<SPAN CLASS=warn>". $lang['Err0048'] ."</SPAN>";
     return;
   }
   echo "<TABLE CLASS=single BORDER=0 CELLPADDING=3 CELLSPACING=0>\n";
   echo "<THEAD>\n";
   echo "<TR>\n";
   echo order_header("name",$lang['ResName'],$link2);
   echo order_header("",$lang['ResDesc'],$link2);
   echo "</TR>\n";
   echo "</THEAD>\n";

   if ( $start == -1 ) {
     $a = $n - $tutos[maxshow];
     $end = $n;
     $start = $a;
   } else {
     $a = $start;
     $end = $start + $tutos[maxshow];
   }

   echo "<TBODY>\n";
   $line = 1;
   while ( ($a < $n) && ($a < $end) ) {
     $c = new resource($dbconn);
     $c->read_result($result,$a);
     $a++;
     if ( ! $c->see_ok() ) {
       continue;
     }
     if ( $line == 1 ) {
       $line = 2;
     } else {
       $line = 1;
     }


     echo "<TR CLASS=line". $line .">\n";
     echo "<TD VALIGN=\"top\">". $c->getLink() ."</TD>";
     echo "<TD VALIGN=\"top\">". myentities($c->desc) ."</TD>";

     echo "</TR>\n";
   }
   echo "</TBODY>\n";

   echo "<TFOOT>\n";
   ShowBackForwardNav($link1,2,$start,$a,$n);
   echo "</TFOOT>\n";

   echo "</TABLE>\n";
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate() {
   global $lang,$current_user;

   echo "<TABLE>";
   echo "<TR><TD>";
   if ( $current_user->feature_ok(useresource,PERM_NEW) ) {
     echo menulink("resource/resource_new.php",$lang['NewEntry'],$lang['ResCreate']) . "<BR>\n";
   }
   echo "</TD></TR>";

   HTML_Select();
 }


 HTML_Header($lang['ResOverview']);

 $link1 = "resource/resource_overview.php";
 $q = "SELECT * FROM resources";
 $pre = " WHERE ";

 if ( isset($HTTP_GET_VARS['name']) && ($HTTP_GET_VARS['name'] != "*") && ($HTTP_GET_VARS['name'] != "") ) {
   $q .= $pre . $dbconn->Like("name",$HTTP_GET_VARS['name']);
   $pre = " AND ";
   $link1 = addUrlParameter($link1,"name=". UrlEncode($HTTP_GET_VARS['name']));
   $link2 = addUrlParameter($link2,"name=". UrlEncode($HTTP_GET_VARS['name']));
 }

 # sorting
 $xxx = "";
 order_parse($q,$link1,$xxx,$xxx,"name");

 $result = $dbconn->Exec($q);

 if ( isset($HTTP_GET_VARS['start']) ) {
   $start = $HTTP_GET_VARS['start'];
 } else {
   $start = 0;
 }

 HTML_Base1();
 navigate();
 HTML_Base2($msg);
 info($dbconn,$result,$start);
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: resource_overview.php,v 1.3 2002/07/12 18:12:46 gokohnert Exp $
    $Author: gokohnert $
-->
