<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup task
 * @module task_new
 * @package task
 */
 include("webelements.p3");
 include("permission.p3");
 include("url.pinc");
 include("task.pinc");
 include("product.pinc");
 include("timetrack.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("task");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$t) {
   global $tutos, $lang, $current_user;

   echo "<FORM name=\"taskadd\" action=\"task_ins.php\" method=\"POST\">\n";
   hiddenFormElements();

   echo "<TABLE CLASS=single BORDER=0 CELLSPACING=0>\n";
   echo " <TR><TH COLSPAN=4>";
   if ( $t->id != -1 ) {
     echo sprintf($lang['TaskModify'],$t->name);
   } else {
     echo $lang['TaskCreate'];
   }
   echo "</TH></TR>\n";
   if ( $t->id > 0 ) {
     echo " <INPUT type=hidden name=id value=\"". $t->id ."\">\n";
     echo " <TR>\n";
     echo "  <TD COLSPAN=3>". sprintf ($lang['TaskCreation'],$t->creator->getLink(),$t->creation->getDateTime()) ."</TD>\n";
     echo "  <TD ALIGN=right COLSPAN=1>". acl_link($t) ."</TD>\n";
     echo " </TR>\n";
   }
   echo " <TR>\n";
   showfieldc($lang['TaskName'],1,"name");
   echo "  <TD><INPUT SIZE=40 MAXLENGTH=40 name=\"name\" value=\"". $t->name ."\"></TD>\n";
   showfieldc($lang['TaskState'],0,"state");
   echo "  <TD>\n";
   echo "   <SELECT name=\"state\">\n";
   
   @reset($lang['TaskStates']);
   while ( list ($f,$i) = @each ($lang['TaskStates']) ) {
     echo "    <OPTION VALUE=". $f ." ". ($f == $t->state ? "SELECTED" : "")  .">". $lang['TaskStates'][$f] ."\n";
   }
   echo "   </SELECT>\n";
   echo "  </TD>\n";
   echo " </TR>\n";


   if ( ($t->parent != -1) && ($t->parent->gettype() != "address") ) {
     echo " <TR>\n";
     showfieldc($lang['TaskSubTask']);
     echo "  <TD COLSPAN=3>". $t->parent->getLink()."</TD>\n";
     echo " </TR>\n";
   }
   echo " <INPUT type=hidden name=p_id value=\"". $t->p_id ."\">\n";
   echo " <TR>\n";
   showfield($lang['TaskDesc'],1,"desc");
   echo "  <TD COLSPAN=3><TEXTAREA wrap=hard rows=10 cols=40 name=\"desc\">". $t->desc ."</TEXTAREA></TD>\n";
   echo " </TR>\n";

   echo " <TR>\n";
   echo "  <TD VALIGN=top ROWSPAN=2><B>". $lang['TaskWorker'] ."<FONT COLOR=red>(*)</FONT></B></TD>\n";
   echo "  <TD ROWSPAN=2 VALIGN=top>". $current_user->askPeople("worker",$t->worker->id,0) ."</TD>\n";
   showfieldc($lang['TaskVolumeFull'],0,"volume");
   echo "  <TD><INPUT SIZE=5 name=\"volume\" value=\"". $t->volume ."\">&nbsp;" . $lang['hours'] ."</TD>\n";
   echo " </TR>\n";


   echo " <TR>\n";
   showfieldc($lang['TaskVolumeDone'],0,"volume_done");
   echo "  <TD><INPUT SIZE=5 name=\"volume_done\" value=\"". $t->volume_done ."\">&nbsp;". $lang['hours'] ."</TD>\n";
   echo " </TR>\n";

   echo " <TR>\n";
   showfieldc($lang['TaskS_Start']);
   echo "  <TD COLSPAN=3>\n";
   $t->s_start->EnterDate("s_start");
   echo "</TD>\n";
   echo " </TR>\n";

   echo " <TR>\n";
   showfieldc($lang['TaskS_End']);
   echo "  <TD COLSPAN=3>\n";
   $t->s_end->EnterDate("s_end");
   echo "</TD>\n";
   echo " </TR>\n";

   # References to modules
   module_addforms($current_user,$t,4);

   if ( ($t->mod_ok()) || ($t->id == -1) ) {
     echo "<TR>\n";
     if ( $t->id > 0 ) {
       submit_reset(0,1,1,1,1,0);
     } else {
       submit_reset(0,-1,1,1,1,0);
     }
     echo "</TR>\n";
   }
   echo "</TABLE>\n";
   echo "</FORM>\n";

   if ( $current_user->feature_ok(useurl,PERM_SEE) ) {
     if ( $t->id != -1 ) {
       url_form($t,"task_new.php?id=". $t->id);
     }
   }

   echo $lang['FldsRequired'] ."\n";
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate(&$obj) {
   global $lang,$tutos,$current_user;

   echo "<TABLE>";
   echo "<TR><TD>";
   if ( $obj->id > 0 ) {
     if ( $obj->del_ok() ) {
       echo confirmlink("task_del.php?id=". $obj->id ,$lang['Delete'],sprintf($lang['TaskDelete'],$obj->name)) ."&nbsp;<BR>";
     }
     echo "<BR>\n";
   }
   echo "<BR>\n";
   show_module_newlinks($current_user,$obj);
   echo "</TD></TR>";

   HTML_Select();
 }


 $stop = 0;
 $t = new task($dbconn);
 if ( isset($HTTP_GET_VARS['id']) ) {
   HTML_Header(sprintf($lang['TaskModify'],""));
   $t->read($HTTP_GET_VARS['id']);
   if ( $t->id < 0 ) {
     $msg .= sprintf($lang['Err0040'],$lang[$t->getType()]);
     $stop = 1 ;
   }
 } else {
   HTML_Header($lang['TaskCreate']);
 }

 if ( isset($HTTP_GET_VARS['name']) ) {
   $t->name = StripSlashes($HTTP_GET_VARS['name']);
 }
 if ( isset($HTTP_GET_VARS['desc']) ) {
   $t->desc = StripSlashes($HTTP_GET_VARS['desc']);
 }
 if ( isset($HTTP_GET_VARS['p_id']) ) {
   $t->parent = GetObject($dbconn,$HTTP_GET_VARS['p_id']);
   if ( $t->parent != -1 ) {
     $t->p_id = $t->parent->id;
   }
 }
 if ( isset($HTTP_GET_VARS['state']) ) {
   $t->state = $HTTP_GET_VARS['state'];
 }
 if ( isset($HTTP_GET_VARS['volume']) ) {
   $t->volume = StripSlashes($HTTP_GET_VARS['volume']);
 }
 if ( isset($HTTP_GET_VARS['volume_done']) ) {
   $t->volume_done = StripSlashes($HTTP_GET_VARS['volume_done']);
 }
 if ( isset($HTTP_GET_VARS['worker']) ) {
   $t->worker = new tutos_address($dbconn);
   $t->worker->read($HTTP_GET_VARS['worker']);
 }
 if ( isset($HTTP_GET_VARS['s_start']) ) {
   $t->s_start->setDateTime($HTTP_GET_VARS['s_start']);
 }
 if ( isset($HTTP_GET_VARS['s_end']) ) {
   $t->s_end->setDateTime($HTTP_GET_VARS['s_end']);
 }
 if ( $t->p_id < 0 ) {
   $msg .= "Sorry we need a parent object <BR>";
 }
 if ( ! $t->mod_ok() ) {
   $msg .= sprintf($lang['Err0024'],$lang[$t->getType()]);
 }

 HTML_Base1();
 navigate($t);
 HTML_Base2($msg);
 if ( ($stop == 0) && $t->mod_ok() && ($t->p_id > 0)  ) {
  info($t);
 }
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: task_new.php,v 1.29 2002/07/19 05:32:46 gokohnert Exp $
    $Author: gokohnert $
-->
