<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup team
 * @module team_ins
 * @package team
 */
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("team");

 $msg = "";
 $gotourl = "team_new.php";
 $t = new team($dbconn);

 if ( !isset($HTTP_POST_VARS['id'] )) {
   $msg .= "Please enter a id<BR>";
 } else {
   $gotourl= addUrlParameter($gotourl,"id=". $HTTP_POST_VARS['id']);
   $t->read($HTTP_POST_VARS['id']);
 }

 if ( !isset($HTTP_POST_VARS['name']) || ($HTTP_POST_VARS['name'] == $lang['PlsChangeName']) ) {
   $msg .= sprintf($lang['Err0009'],$lang['TeamName']) ."<BR>";
 } else {
   $name = trim(StripSlashes($HTTP_POST_VARS['name']));
   $gotourl= addUrlParameter($gotourl,"name=". UrlEncode($name));
 }

 if ( isset($HTTP_POST_VARS['email'])  ) {
   $t->SetEmail($HTTP_POST_VARS['email']);
   $gotourl= addUrlParameter($gotourl,"email=". UrlEncode($t->email));
 }

 if ( ! isset($HTTP_POST_VARS['owner']) ) {
   $msg .= sprintf($lang['Err0009'],$lang['TeamManager']) ."<BR>";
 } else {
   $owner = $HTTP_POST_VARS['owner'];
   $gotourl= addUrlParameter($gotourl,"owner=".$owner);
 }

 if ( $msg == "" ) {
   if ( ($t->id  == -1) || ($name != $t->name) ) {
     $q = "SELECT * FROM teams WHERE ". $dbconn->Like2 ("name",$name);
     $r = $dbconn->Exec($q);
     $n = $r->numrows();
     if ( 0 != $n) {
       $x = new team($dbconn);
       $x->read_result($r,0);
       $msg .= sprintf($lang['Err0046'],$x->getLink()) ."<BR>";
     }
     $r->free();
   }
 }

 # Permissions
 $msg .= parse_permission_form($t);

 if (!isset($HTTP_POST_VARS['add']) ) {
   $add = array();
 } else {
   $add = $HTTP_POST_VARS['add'];
 }
 if (!isset($HTTP_POST_VARS['del']) ) {
   $del = array();
 } else {
   $del = $HTTP_POST_VARS['del'];
 }

 # other modules
 $msg .= module_parseforms($current_user,$t,$gotourl);

 if ( $msg == "" ) {
   $t->SetName($name);
   $o = new tutos_address($dbconn);
   $o->read($owner);
   $t->setOwner($o);
  
   $dbconn->Begin("WORK");
   $msg .= $t->save($add,$del);
   $msg .= $t->save_permissions();
   $dbconn->Commit("WORK");

   $gotourl = $t->getUrl();
 }


 /* Go back to user mask */

 $gotourl = addSessionKey($gotourl);
 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". getBaseUrl() . $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: team_ins.php,v 1.19.2.1 2002/08/15 08:04:11 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
