<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup timetrack
 * @module timetrack_del
 * @package timetrack
 */
 include("webelements.p3");
 include("permission.p3");
 include("timetrack.pinc");
 include("bug.pinc");
 include("installation.pinc");
 include("product.pinc");
 include("task.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("timetrack");

 /* Check Input */
 $msg = "";
 $obj = new timetrack($dbconn);

 if ( !isset($HTTP_GET_VARS['id']) ) {
   $msg .= sprintf($lang['Err0040'],$lang[$obj->getType()]) ."<BR>";
 } else {
   $obj->read($HTTP_GET_VARS['id']);
 }
 if ( $obj->id < 1 ) {
   $msg .= sprintf($lang['Err0040'],$lang[$obj->getType()]) ."<BR>";
 }
 if ( ! $obj->del_ok() ) {
   $msg .= sprintf($lang['Err0023'],$lang[$obj->getType()]) ."<BR>";
 }

 if ( $msg != "" ) {
   if ( $obj->id > 0 ) {
     $gotourl = $obj->getUrl();
   }
 } else {
   $gotourl = $obj->ref->getUrl();

   $dbconn->Begin("WORK");
   $msg .= $obj->delete();
   $dbconn->Commit("WORK");
 }

 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));
 $gotourl = addSessionKey($gotourl);

 Header("Status: 302 Moved Temporarily");
 Header("Location:". getBaseUrl() . $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: timetrack_del.php,v 1.12.2.1 2002/08/15 08:04:11 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
