<?
/**
 * Copyright 1999 - 2001 by Gero Kohnert
 *
 * @modulegroup timetrack
 * @module timetrack_select
 * @package timetrack
 */
 include("webelements.p3");
 include("permission.p3");
 include("timetrack.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("timetrack");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info($ext = 0,$state) {
   global $current_user, $lang , $tutos;

   echo "<BR><BR><CENTER>\n";

   echo "<FORM action=\"timetrack_overview.php\" method=\"GET\">\n";
   hiddenFormElements();
   DoubleTableStart();

   echo "<TR>\n";
   if ( $ext == 0 ) {
     echo "<TH COLSPAN=3>". $lang['SearchForTT'] ."</TH>\n";

     echo "</TR><TR>\n";

     showfieldc($lang['AdrName']);
     echo " <TD><CENTER>&nbsp;<INPUT type=\"text\" value=\"\" name=\"name\"></CENTER></TD>\n";
     echo " <TD><CENTER>\n";
     echo " <input type=\"submit\" value=\"". $lang['Search'] ."\" TITLE=\"". $lang['SearchForTT'] ."\"></CENTER></TD>\n";
     echo "</TR><TR>\n";
     // echo " <TD COLSPAN=2><CENTER><FONT SIZE=-1>". $lang['TimeTrackSelInfo'] ."</FONT></CENTER></TD>\n";
     echo " <TD COLSPAN=2><CENTER><FONT SIZE=-1>&nbsp;</FONT></CENTER></TD>\n";
     echo " <TD><CENTER>". makelink("timetrack_select.php?ext=1",$lang['extended']) ."</CENTER></TD>\n";
   } else {
     echo "<TH COLSPAN=3>". $lang['SearchForTTExt'] ."</TH>\n";

     echo "</TR><TR>\n";
     showfieldc($lang['AdrName']);
     echo " <TD>&nbsp;<INPUT type=\"text\" value=\"\" name=\"name\">";
     echo " </TD>\n";
     echo " <TD><CENTER><input type=\"submit\" value=\"". $lang['Search'] ."\" TITLE=\"". $lang['SearchForTTExt'] ."\"></CENTER></TD>\n";

     echo "</TR><TR>\n";
     echo " <TD ROWSPAN=2 CLASS=\"desc\">". $lang['TimetrackBetween'] ."</TD>\n";
     echo " <TD COLSPAN=2>&nbsp;";
     $tutos['ttfd']->EnterDate("f",1);
     echo "&nbsp;</TD>\n";

     echo "</TR><TR>\n";
     echo " <TD COLSPAN=2>&nbsp;";
     $tutos['tttd']->EnterDate("t",1);
     echo "&nbsp;</TD>\n";

     echo "</TR><TR>\n";
     showfieldc($lang['TTState']);
     echo " <TD COLSPAN=2><SELECT NAME=state>";
     echo "   <OPTION VALUE=\"-2\">". $lang['any'] ."</OPTION>\n";
     @reset($lang['TTStates']);
     while ( list ($s,$x) = @each ($lang['TTStates']) ) {
       echo "   <OPTION VALUE=\"". $s ."\" ". ($state == $s ? "SELECTED" : "") .">". $lang['TTStates'][$s] ."</OPTION>\n";
     }
     echo "</SELECT></TD>\n";

     echo "</TR><TR>\n";
     showfieldc($lang['TimetrackWorker']);
     echo " <TD COLSPAN=2>\n";
	 echo $current_user->askPeople("worker",$current_user->id,0);
     echo " </TD>\n";
   }

   echo "</TR>\n";

   DoubleTableEnd();
   echo "</FORM>\n";

   echo "</CENTER>\n";
 }

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate() {
   global $lang;

   echo "<TABLE>";
   echo "<TR><TD>";
   echo "</TD></TR>";

   HTML_Select();
 }

 HTML_Header($lang['TimetrackSearch']);

 # Defaults for search
 $tutos['ttfd'] = new DateTime(0);
 $tutos['tttd'] = new DateTime(0);

 if ( isset($HTTP_SESSION_VARS['ttsearchfrom']) ) {
   $tutos['ttfd']->setDateTime($HTTP_SESSION_VARS['ttsearchfrom']);
 }
 if ( isset($HTTP_SESSION_VARS['ttsearchto']) ) {
   $tutos['tttd']->setDateTime($HTTP_SESSION_VARS['ttsearchto']);
 }
 if ( isset($HTTP_SESSION_VARS['ttsearchstate']) ) {
   $state = $HTTP_SESSION_VARS['ttsearchstate'];
 } else {
   $state = -2;
 }

 if ( isset($HTTP_GET_VARS['ext']) ) {
   $ext = $HTTP_GET_VARS['ext'];
 } else {
   $ext = 0;
 }
 HTML_Base1();
 navigate();
 HTML_Base2($msg);
 info($ext,$state);
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: timetrack_select.php,v 1.14 2002/07/20 13:14:44 gokohnert Exp $
    $Author: gokohnert $
-->
