<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup url
 * @module url_ins
 * @package url
 */
 include("webelements.p3");
 include("permission.p3");
 include("url.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("url");

 /* Check Input */
 $msg = "";
 $u = new url($dbconn);

 $gotourl = $HTTP_POST_VARS['gotourl'];
 if ( empty($HTTP_POST_VARS['urlname']) ) {
   $msg .= sprintf($lang['Err0009'],$lang['URLName']) ."<BR>";
 } else {
   $u->name = trim(StripSlashes($HTTP_POST_VARS['urlname']));
 }

 if ( empty($HTTP_POST_VARS['url']) ) {
   $msg .= sprintf($lang['Err0009'],$lang['URL']) ."<BR>";
 } else {
   $u->url = StripSlashes($HTTP_POST_VARS['url']);
 }

 if ( empty($HTTP_POST_VARS['link_id']) ) {
   $msg .= "No Link ID given !<BR>";
 } else {
   $u->link_id = $HTTP_POST_VARS['link_id'];
 }

 # other modules
 $msg .= module_parseforms($current_user,$u,$gotourl);

 if ( $msg != "" ) {
   $gotourl= addUrlParameter($gotourl,"urlname=". UrlEncode($u->name));
   $gotourl= addUrlParameter($gotourl,"url=". UrlEncode($u->url));
 } else {
   $dbconn->Begin("WORK");
   $msg .= $u->save();
   $dbconn->Commit("WORK");
 }

 $gotourl = addUrlParameter($gotourl,"msg=". UrlEncode($msg));
 $gotourl = addSessionKey($gotourl);

 Header("Status: 302 Moved Temporarily");
 Header("Location: ".getBaseUrl(). $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: url_ins.php,v 1.10.2.1 2002/08/15 08:04:11 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
