<?
/*
 * Copyright 1999/2000 by Gero Kohnert
 *
 */
 include("webelements.p3");
 include("permission.p3");
 include 'product.pinc';
 include 'mailbox.pinc';
 include 'appointment.pinc';

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("user");

 $msg = "";
 $gotourl = "address_select.php";
 $u = new tutos_user($dbconn);

 if ( ! isset($HTTP_GET_VARS['id']) )  {
   $msg .= sprintf($lang['Err0040'],$lang[$u->getType()]) ."<BR>";
 } else if ( $HTTP_GET_VARS['id'] == $current_user->id ) {
   $msg .= "You cannot delete your own user entry<BR>";
 } else {
   $u->read($HTTP_GET_VARS['id']);
   $gotourl = $u->getUrl();
 }

 if ( ! $u->del_ok() ) {
   $msg .= sprintf($lang['Err0023'],$u->getFullName()) ."<BR>";
 }

 if ( $msg == "" ) {
   $dbconn->Begin("WORK");
   $msg .= $u->delete();
   $dbconn->Commit("WORK");

   $msg .= "User (not address!) ". $u->getFullName() ." was deleted<BR>";
 }

 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));
 $gotourl = addSessionKey($gotourl);

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". getBaseUrl() . $gotourl);
 $dbconn->Close();
/*
 *   CVS Info:  $Id: user_del.php,v 1.11.2.2 2002/09/02 20:02:03 gokohnert Exp $
 *   $Author: gokohnert $
 */
?>
