<?
/**
 *      Copyright 1999/2000 by Gero Kohnert
 *
 * @modulegroup watchlist
 * @package watchlist
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include("webelements.p3");
 include("permission.p3");
 include("product.pinc");
 include("task.pinc");
 include("bug.pinc");
 include("installation.pinc");
 include("file.pinc");
 include("appointment.pinc");
 include("timetrack.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("watchlist");
 loadmodule("watchlist");

 /* Check Input */
 $msg = "";

 $w = new watchlist($dbconn);
 $gotourl = $HTTP_GET_VARS['gotourl'];
 if ( empty($HTTP_GET_VARS['adr']) ) {
   $adr = $current_user->id;
 } else {
   $adr = $HTTP_GET_VARS['adr'];
 }
 if ( empty ($HTTP_GET_VARS['id']) ) {
   $msg .= "Missing ID" ."<BR>";
 } else {
   $id = $HTTP_GET_VARS['id'];
   $obj = getObject($dbconn,$HTTP_GET_VARS['id']);
   $gotourl = dirname(getBaseUrl()) ."/". $obj->getUrl();
 }
 if ( $msg == "" ) {
   $dbconn->Begin("WORK");
   $msg .= $w->remove($id,$adr);
   $dbconn->Commit("WORK");
 }

 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));
 $gotourl = addSessionKey($gotourl);

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: watchlist_del.php,v 1.3.2.2 2002/08/22 04:43:22 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
