<?
/**
 *
 * Copyright 2001 - 2002 by Gero Kohnert
 *
 * @modulegroup watchlist
 * @package watchlist
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("watchlist");
 loadmodule("watchlist");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$dbconn,$adr,$id,&$r,$start=0) {
   global $current_user,$lang,$tutos,$link1,$link2;

   $n = $r->numrows();
   if ( 0 == $n) {
     echo "<SPAN class=warn>". $lang['Err0048']."</SPAN>";
     return;
   }


   $cols = 4;
   echo "<TABLE CLASS=single BORDER=1 CELLPADDING=3 CELLSPACING=0>\n";
   echo "<THEAD>\n";
   if ( $id != -1 ) {
     $obj = getObject($dbconn,$id);
     $cols -= 2;
     echo "<TR>\n";
     echo " <TH COLSPAN=". $cols .">". $lang[$obj->getType()] ." ". menulink($obj->getUrl(),$obj->getFullName()) ."</TH>\n";
     echo "</TR>\n";
   }
   if ( $adr != -1 ) {
     $obj = getObject($dbconn,$adr);
     $cols -= 1;
     echo "<TR>\n";
     echo " <TH COLSPAN=". $cols .">". $lang['Watcher'] ." ". menulink($obj->getUrl(),$obj->getFullName()) ."</TH>\n";
     echo "</TR>\n";
   }
   echo "<TR>\n";
   if ( $id == -1 ) {
     echo order_header("","Typ",$link2);
     echo order_header("","ID",$link2);
   }
   if ( $adr == -1 ) {
     echo order_header("adr_id",$lang['Watcher'],$link2);
   }
   echo order_header("","&nbsp;",$link2);
   echo "</TR>\n";
   echo "</THEAD>\n";

   if ( $start == -1 ) {
     $a = $n - $tutos[maxshow];
     $end = $n;
     $start = $a;
   } else {
     $a = $start;
     $end = $start + $tutos[maxshow];
   }

   echo "<TBODY>\n";
   while ( ($a < $n) && ($a < $end) ) {
     $oid = $r->get($a, "obj_id");
     $aid = $r->get($a, "adr_id");
     $obj = getObject($dbconn,$oid);
     $aobj = getObject($dbconn,$aid);

     echo "<TR>\n";
#     echo " <TD NOWRAP ALIGN=right>". $lang[$obj->getType()] ."</TD>\n";
     if ( $id == -1 ) {
       if ( $obj == -1 ) {
         echo " <TD NOWRAP ALIGN=right>ID:". $oid ."</TD>\n";
         echo " <TD NOWRAP ALIGN=right><I>". makelink("history_show.php?id=".$oid,$lang['HistoryDeleted']) ."</I></TD>\n";
       } else {
         echo " <TD NOWRAP ALIGN=right>". $lang[$obj->getType()] ."</TD>\n";
         echo " <TD NOWRAP ALIGN=right>". $obj->getLink() ."</TD>\n";
       }
	 }
     if ( $adr == -1 ) {
       if ( $aobj == -1 ) {
         echo " <TD NOWRAP ALIGN=right><I>". makelink("history_show.php?id=".$aid,$lang['HistoryDeleted']) ."</I></TD>\n";
       } else {
         echo " <TD NOWRAP ALIGN=right>". $aobj->getLink() ."</TD>\n";
       }
     }
     if ( ($current_user->id == $aid) || (($obj != -1 ) && $obj->mod_ok()) ) {
       $url = confirmlink("watchlist/watchlist_del.php?id=". $oid ."&adr=". $aid ."&gotourl=". $link1 ,$lang['Delete'],$lang['WatchDel']);
       echo " <TD NOWRAP ALIGN=right>". $url ."</TD>\n";
     } else {
       echo " <TD NOWRAP ALIGN=right>&nbsp;</TD>\n";
     }
     echo "</TR>\n";

     $a++;
   }
   echo "</TBODY>\n";

   ShowBackForwardNav($link1,$cols,$start,$a,$n);

   echo "</TABLE>\n";
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate($link2) {
   global $lang, $format;

   echo "<TABLE>";
   echo "<TR><TD>";
   echo "</TD></TR>";

   HTML_Select();
 }


 $link1 = "watchlist/watchlist_overview.php";
 $filter = array();

 HTML_Header($lang['WatchOverview']);

 $q = "SELECT * FROM watchlist ";
 $pre = "WHERE ";

 if ( isset($HTTP_GET_VARS['adr']) && ($HTTP_GET_VARS['adr'] != "") ) {
   $adr = $HTTP_GET_VARS['adr'];
   $q .=" " . $pre ." adr_id = ". $adr;
   $pre = "AND ";
   $link1 = addUrlParameter($link1,"adr=".$adr);
 } else {
   $adr = -1;
 }
 if ( isset($HTTP_GET_VARS['id']) && ($HTTP_GET_VARS['id'] != "") ) {
   $id = $HTTP_GET_VARS['id'];
   $q .= " " . $pre ." obj_id = ". $id;
   $pre = "AND ";
   $link1 = addUrlParameter($link1,"id=".$id);
 } else {
   $id = -1;
 }

 # sorting
$link2 = $link1;
 $xxx = "";
 order_parse($q,$link1,$xxx,$xxx,"obj_id");

 $r = $dbconn->Exec($q);

 if ( isset($HTTP_GET_VARS['start']) ) {
   $start = $HTTP_GET_VARS['start'];
 } else {
   $start = 0;
 }

 HTML_Base1();
 navigate($link1);
 HTML_Base2($msg);
 info($dbconn,$adr,$id,$r,$start);
 HTML_Base3();
 $r->free();
 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: watchlist_overview.php,v 1.4.2.1 2002/07/26 15:57:50 gokohnert Exp $
    $Author: gokohnert $
-->
