<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup BASE
 * @module acl_ins
 * @package acl
 */
 include("webelements.p3");
 include("permission.p3");
 include("product.pinc");
 include("task.pinc");
 include("bug.pinc");
 include("file.pinc");
 include("mailbox.pinc");
 include("appointment.pinc");
 include("timetrack.pinc");
 include("installation.pinc");

 /* Check if user is allowed to use it */
 check_user();

 /* Check Input */
 $msg = "";

 if ( !isset($HTTP_POST_VARS['id']) ) {
   $msg .= "Missing ID<BR>";
   $gotourl = "mytutos.php";
 } else {
   $obj = getObject($dbconn,$HTTP_POST_VARS['id']);
   if ( $obj->del_ok() == 0 ) {
     $msg .= "Not allowed !<BR>";
     $gotourl = $obj->getURL();
   }
 }

 if ( $msg == "" ) {
   unset($obj->acl);
   if ( isset($HTTP_POST_VARS['r']) ) {
     @reset($HTTP_POST_VARS['r']) ;
     while ( list ($i,$f) = @each ($HTTP_POST_VARS['r']) ) {
       acl_raise($obj,$f,$tutos[seeok]);
     }
   }
   if ( isset($HTTP_POST_VARS['m']) ) {
     @reset($HTTP_POST_VARS['m']) ;
     while ( list ($i,$f) = @each ($HTTP_POST_VARS['m']) ) {
       acl_raise($obj,$f,$tutos[modok]);
     }
   }
   if ( isset($HTTP_POST_VARS['d']) ) {
     @reset($HTTP_POST_VARS['d']) ;
     while ( list ($i,$f) = @each ($HTTP_POST_VARS['d']) ) {
       acl_raise($obj,$f,$tutos[delok]);
     }
   }
   $dbconn->Begin("WORK");
   $msg .= acl_save($obj);
   $dbconn->Commit("WORK");
   $gotourl = $obj->getURL();
 }

 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));
 $gotourl = addSessionKey($gotourl);

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". getBaseUrl() . $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: acl_ins.php,v 1.14.2.1 2002/08/15 08:04:10 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
