<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup BASE
 * @module acl_show
 * @package acl
 */
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use it */
 check_user();

 /* ---------------------------------------------------------------------------
  *
  */
 Function acl_select(&$obj,$min,$max,$name) {
   global $lang, $current_user,$tutos;

   $nr["r"] = 0;
   $nr["m"] = 1;
   $nr["d"] = 2;
   $js = "onchange='deselect(this.form,". $nr[$name] .");'";
   echo " <SELECT MULTIPLE SIZE=". min(count($current_user->parties),$tutos[maxshow]) ." NAME=\"". $name ."[]\" ". $js .">\n";
#   @reset ($obj->acl);
#   while ( list ($i,$f) = @each ($obj->acl) ) {
   @reset ($current_user->parties);
   while ( list ($i,$fn) = @each ($current_user->parties) ) {
     if ( isset($obj->acl[$i]) ) {
       $l = $obj->acl[$i];
     } else {
       $l = 0;
     }
     if ( ($l < $max) && ($l >= $min) ) {
       echo "  <OPTION value=\"". $i ."\" SELECTED >&nbsp;". $fn ."&nbsp;</OPTION>\n";
     } else {
       echo "  <OPTION value=\"". $i ."\" >&nbsp;". $fn ."&nbsp;</OPTION>\n";
     }
   }
   echo " </SELECT>\n";
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$obj) {
   global $lang, $current_user,$tutos;

   $current_user->readKnownParties();
   $current_user->parties[0] = $lang['everybody'];
   # Add Used but missing parties
   @reset ($obj->acl);
   while ( list ($i,$f) = @each ($obj->acl) ) {
     if ( ! isset($current_user->parties[$i]) || ($current_user->parties[$i] == "") ) {
       $x = getObject($obj->dbconn,$i);
	   if ( $x == -1 ) {
         continue;
	   }
       $pre = "";
       if ( method_exists($x,"gettype") && ($x->gettype() == "team") ) {
         $pre = $lang['team'] ." ";
       } 
       if ( method_exists($x,"getFullName") ) {
         $current_user->parties[$i] = $pre . $x->getFullName();
	   }
       unset($x);
     }
   }

   echo "<SCRIPT LANGUAGE='JavaScript'>\n";
   echo " function deselect (obj,nr) { \n";
   echo "  var x = obj.elements[1]; \n";
   echo "  var y = obj.elements[2]; \n";
   echo "  var z = obj.elements[3]; \n";
   echo "  \n";
   echo "  for (var i = 0; i < x.options.length; i++) {\n";
   echo "    if ( (nr == 0) && (x.options[i].selected) ) {\n";
   echo "      y.options[i].selected = false;\n";
   echo "      z.options[i].selected = false;\n";
   echo "    }\n";
   echo "    if ( (nr == 1) && (y.options[i].selected) ) {\n";
   echo "      x.options[i].selected = false;\n";
   echo "      z.options[i].selected = false;\n";
   echo "    }\n";
   echo "    if ( (nr == 2) && (z.options[i].selected) ) {\n";
   echo "      x.options[i].selected = false;\n";
   echo "      y.options[i].selected = false;\n";
   echo "    }\n";
   echo "  }\n";
   echo " }\n";
   echo "</SCRIPT>\n";

   echo "<FORM name=acl action=\"acl_ins.php\" method=\"POST\">\n";
   hiddenFormElements();
   if ( $obj->gettype() == "user" ) {
     echo "<INPUT type=hidden name=\"id\" value=\"". $obj->uid ."\">";
   } else {
     echo "<INPUT type=hidden name=\"id\" value=\"". $obj->id ."\">";
   }

   echo "<TABLE CLASS=single BORDER=0 CELLSPACING=0>\n";

   echo " <TR><TH COLSPAN=6>";
   echo sprintf($lang['AclModifyI'],$lang[$obj->getType()] ." ". menulink($obj->getURL(),myentities($obj->getFullName())));
   echo "</TH></TR>\n";

   echo "<TR VALIGN=top>\n";
   echo " <TH WIDTH=\"30%\" COLSPAN=2>". $lang['ACLread'] ."</TH>\n";
   echo " <TH WIDTH=\"30%\" COLSPAN=2>". $lang['ACLread'] ."<BR>". $lang['ACLmodify'] ."</TH>\n";
   echo " <TH WIDTH=\"30%\" COLSPAN=2>". $lang['ACLread'] ."<BR>". $lang['ACLmodify'] ."<BR>". $lang['ACLdelete'] ."</TH>\n";
   echo "</TR>\n";

   if ( ($obj->gettype() == "user") || ($obj->gettype() == "team") ) {
     echo "<TR VALIGN=top>\n";
     echo " <TD COLSPAN=6><FONT SIZE=-1>(other users/teams need at least the see permission for ". $obj->getFullName()." to appear in selection lists)</FONT></TD>\n";
     echo "</TR>\n";
   }
   if ( $obj->gettype() == "file" ) {
     echo "<TR VALIGN=top>\n";
     echo " <TD COLSPAN=6><FONT SIZE=-1>(need at least the modify permission for ". $obj->getFullName()." to download or show documents)</FONT></TD>\n";
     echo "</TR>\n";
   }
   echo "<TR>\n";
   echo " <TD COLSPAN=2><CENTER>\n";
   acl_select($obj,1,$tutos[modok],"r");
   echo " </CENTER></TD>\n";
   echo " <TD COLSPAN=2><CENTER>\n";
   acl_select($obj,$tutos[modok],$tutos[delok],"m");
   echo " </CENTER></TD>\n";
   echo " <TD COLSPAN=2><CENTER>\n";
   acl_select($obj,$tutos[delok],99,"d");
   echo " </CENTER></TD>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   echo " <TD COLSPAN=2>&nbsp;". sprintf($lang['ACLreadI'],myentities($obj->getFullName())) ."&nbsp;</TD>\n";
   echo " <TD COLSPAN=2>&nbsp;". sprintf($lang['ACLmodI'] ,myentities($obj->getFullName())) ."&nbsp;</TD>\n";
   echo " <TD COLSPAN=2>&nbsp;". sprintf($lang['ACLdelI'] ,myentities($obj->getFullName())) ."&nbsp;</TD>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   submit_reset(0,1,2,1,2,0);
   echo "</TR>\n";

   echo "</TABLE>\n";
   echo "</FORM>\n";
#   echo $lang['FldsRequired'] ."\n";
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate(&$t) {
   global $lang;

   echo "<TABLE>";
   echo "<TR><TD>";
   echo "</TD></TR>";

   HTML_Select();
 }




 HTML_Header($lang['AclModify']);

 $obj = getObject($dbconn,$HTTP_GET_VARS['id']);

 if ( $obj == -1 ) {
   $msg .= sprintf($lang['Err0040'],"Object");
   unset($obj);
 } else {
   if ( ! $obj->del_ok() ) {
     $msg .= sprintf($lang['Err0023'],$lang[$obj->getType()]);
     unset($obj);
   }
 }
 HTML_Base1();
 navigate($obj);
 HTML_Base2($msg);
 if ( $obj ) {
   info($obj);
 }
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: acl_new.php,v 1.20 2002/07/20 13:14:44 gokohnert Exp $
    $Author: gokohnert $
-->
