<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup address
 * @module address_select
 * @package address
 */
 include 'webelements.p3';
 include 'permission.p3';
 include 'url.pinc';
 include 'product.pinc';
 include 'file.pinc';
 include 'mailbox.pinc';
 include 'appointment.pinc';

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("address");

 $msg = "";

 $a = new tutos_address($dbconn);
 if ( isset($HTTP_GET_VARS['id']) ) {
   $a->read($HTTP_GET_VARS['id']);
   $gotourl = $a->getUrl();
 } elseif ( isset($HTTP_GET_VARS['id']) ) {
   $a->read($HTTP_GET_VARS['id']);
   $gotourl = $a->getUrl();
 } else {
   $gotourl = "address_select.php";
   $msg .= "Missing ID";
 }

 if ( $a->isUser() == 1 ) {
   $msg .= "Please remove Userentry first";
 }

 if ( $a->del_ok() == 0 ) {
   $msg .= sprintf($lang['Err0023'],$lang[$a->getType()]);
 }

 if ( $msg == "" ) {
   $dbconn->Begin("WORK");
   $a->delete();
   $dbconn->Commit("WORK");

   $gotourl = "address_select.php";
 }
 $gotourl = addUrlParameter($gotourl,"msg=". UrlEncode($msg));
 $gotourl = addSessionKey($gotourl);

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". getBaseUrl() . $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: address_del.php,v 1.13.2.2 2002/09/02 04:58:13 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
