<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup address
 * @module address_select
 * @package address
 */
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("address");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info($lookfor,$ext = 0) {
   global $lang, $tutos, $current_user, $ldapserver;

   echo "<BR><BR><CENTER>\n";

   echo "<FORM NAME=\"adrsearch1\" METHOD=\"GET\" action=\"address_overview.php\">\n";
   DoubleTableStart();
   hiddenFormElements();
   echo "<TR>\n";
   if ( $ext == 0 ) {
     echo "<TH COLSPAN=3>". $lang['SearchForAdr'] ."</TH>\n";
     echo "</TR><TR>\n";
     showfieldc($lang['AdrName']);
     echo "<TD>&nbsp;<INPUT TYPE=\"text\" VALUE=\"". $lookfor ."\" NAME=\"name\">&nbsp;</TD>\n";
     echo "<TD><INPUT TYPE=\"submit\" VALUE=\"". $lang['Search'] ."\" TITLE=\"". $lang['SearchForAdr'] ."\"></TD>\n";
     echo "</TR><TR>\n";
     echo "<TD COLSPAN=2>&nbsp;</TD>\n";
     echo "<TD>". makelink("address_select.php?ext=1",$lang['extended']) ."</TD>\n";
   } else {
     echo "<TH COLSPAN=3>". $lang['SearchForAdrExt'] ."</TH>\n";
     echo "</TR><TR>\n";
     showfieldc($lang['AdrName']);
     echo " <TD>&nbsp;<INPUT TYPE=\"text\" VALUE=\"". $lookfor ."\" NAME=\"name\">&nbsp;</TD>\n";
     echo " <TD><INPUT TYPE=\"submit\" VALUE=\"". $lang['Search'] ."\" TITLE=\"". $lang['SearchForAdrExt'] ."\"></TD>\n";
     echo "</TR><TR>\n";

     $c['name'] = "";
     $c['city'] = "";
     $c['street'] = "";
     $c['email'] = "";
     if ( isset($tutos[adrsearch]) ) {
       @reset($tutos[adrsearch]);
       while( list ($i,$f) = @each ($tutos[adrsearch])) {
         $c[$f] = " CHECKED";
       }
     }

     echo " <TD COLSPAN=3>\n";
     echo "  &nbsp;<INPUT TYPE=\"checkbox\" VALUE=\"name\" NAME=\"ext[]\"". $c['name'] .">&nbsp;". $lang['AdrLastName'] ." & ". $lang['AdrFirstName'] ."<BR>\n";
     echo "  &nbsp;<INPUT TYPE=\"checkbox\" VALUE=\"city\" NAME=\"ext[]\"". $c['city'] .">&nbsp;". $lang['City'] ."<BR>\n";
     echo "  &nbsp;<INPUT TYPE=\"checkbox\" VALUE=\"street\" NAME=\"ext[]\"". $c['street'] .">&nbsp;". $lang['Street'] ."<BR>\n";
     echo "  &nbsp;<INPUT TYPE=\"checkbox\" VALUE=\"email\" NAME=\"ext[]\"". $c['email'] .">&nbsp;". $lang['AdrEmail'] ."\n";
     echo " </TD>\n";
   }

   echo "</TR>\n";
   DoubleTableEnd();
   echo "</FORM>\n";

   if ( $current_user->feature_ok(useldap,PERM_SEL) ) {
     echo "<FORM NAME=\"adrsearch2\" METHOD=\"GET\" ACTION=\"adr_ldap_overview.php\">\n";
     DoubleTableStart();
     hiddenFormElements();
     echo "<TR>\n";
     echo "<TH COLSPAN=3>". $lang['SearchLdapAdr'] ."</TH>\n";
     echo "</TR><TR>\n";
     showfieldc($lang['AdrName']);
     echo "<TD>&nbsp;<INPUT TYPE=\"text\" VALUE=\"". $lookfor ."\" NAME=\"name\">&nbsp;</TD>\n";
     echo "<TD><INPUT TYPE=\"submit\" VALUE=\"". $lang['Search'] ."\" TITLE=\"". $lang['SearchLdapAdr'] ."\"></TD>\n";

     if ( count($tutos[ldapserver])  > 1 ) {
       echo "</TR><TR>\n";
       showfieldc($lang['LDAPServer']);
       echo "<TD COLSPAN=2>\n";
       echo "<SELECT NAME=\"sv\">\n";
       while( list ($i,$t) = @each ($tutos[ldapserver])) {
	 echo "<OPTION VALUE=". $i . ($ldapserver==$i ? " selected":"") .">". $t ."</OPTION>\n";
       }
       echo "</SELECT>\n";
       echo "</TD>\n";
     } else {
       echo "<INPUT TYPE=\"hidden\" NAME=\"sv\" VALUE=\"0\">\n";
     }
     echo "</TR>\n";
     DoubleTableEnd();
     echo "</FORM>\n";
   }

   echo "<FORM NAME=\"cmpsearch1\" METHOD=\"GET\" action=\"company_overview.php\">\n";
   DoubleTableStart();
   hiddenFormElements();
   echo "<TR>\n";
   echo "<TH COLSPAN=3>". $lang['SearchForCmp'] ."</TH>\n";
   echo "</TR><TR>\n";
   showfieldc($lang['Company']);
   echo "<TD>&nbsp;<INPUT TYPE=\"text\" VALUE=\"". $lookfor ."\" NAME=\"name\">&nbsp;</TD>\n";
   echo "<TD><INPUT TYPE=\"submit\" VALUE=\"". $lang['Search'] ."\" TITLE=\"". $lang['SearchForCmp']."\"></TD>\n";
   echo "</TR>\n";
   DoubleTableEnd();
   echo "</FORM>\n";

   echo "</CENTER>\n";
 }

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate() {
   global $current_user,$tutos,$lang;

   echo "<TABLE>";
   echo "<TR><TD>";
   if ( $current_user->feature_ok(useaddressbook,PERM_NEW) ) {
     echo menulink("address_new.php",$lang['NewEntry'],$lang['AdrCreateInfo']) . "<BR>\n";
   }
   echo "<BR>\n";
   if ( $current_user->feature_ok(useaddressbook,PERM_NEW) ) {
     echo menulink("company_new.php",$lang['CompanyCreate'],$lang['CompanyCreateInfo']) ."<BR>";
     echo menulink("department_new.php",$lang['DepartmentCreate'],$lang['DepCreateInfo'] ) ."<BR>";
   }


   echo "</TD></TR>";

   HTML_Select();
 }


 HTML_Header($lang['AddressSearch']);

 # The extended mode fields
 if ( isset($HTTP_SESSION_VARS['adrsearch']) ) {
   $tutos[adrsearch] = $HTTP_SESSION_VARS['adrsearch'];
 }
 # The default search string
 if ( isset($HTTP_SESSION_VARS['adrlook']) ) {
   $adrlook = $HTTP_SESSION_VARS['adrlook'];
 } else {
   $adrlook = "";
 }
 if ( isset($HTTP_GET_VARS['ext']) ) {
   $ext = $HTTP_GET_VARS['ext'];
 } else {
   $ext = 0;
 }
 HTML_Base1();
 navigate();
 HTML_Base2($msg);
 if ( $current_user->feature_ok(useaddressbook,PERM_SEL) ) {
   info($adrlook,$ext);
 }
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: address_select.php,v 1.20.2.1 2002/07/30 13:26:46 gokohnert Exp $
    $Author: gokohnert $
-->
