<?
/**
 * Copyright 1999 by Gero Kohnert
 *
 * vote for an appointment (execution)
 *
 * @modulegroup appointment
 * @module app_do_vote
 * @package appointment
 */
 include("webelements.p3");
 include("permission.p3");
 include("appointment.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("appointment");

 /* Check the input */
 $msg = "";
 $a = new appointment($dbconn);

 if ( ! isset($HTTP_GET_VARS['id']) ) {
   $msg .= "Missing Appointment ID<BR>";
   $gotourl = "calendar.php";
 } else {
   $a->read($HTTP_GET_VARS['id']);
   $a->read_participants();
   $gotourl = "calendar.php";
   $gotourl= addUrlParameter($gotourl,"id=".$HTTP_GET_VARS['id']);
 }
 if ( ! isset($HTTP_GET_VARS['adr_id']) ) {
   $msg .= "Missing User ID<BR>";
 }
 if ( ! isset($HTTP_GET_VARS['vote']) ) {
   $msg .= "Missing Vote<BR>";
 }

 if ( $msg == "" ) {
   $dbconn->Begin("WORK");
   $a->save_vote($HTTP_GET_VARS['vote'],$HTTP_GET_VARS['adr_id']);
   $dbconn->Commit("WORK");
 }
 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));

 /* Go back to calendar */
 Header("Status: 302 Moved Temporarily");
 Header("Location: ". getBaseUrl() . $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: app_do_vote.php,v 1.5.2.1 2002/08/15 08:04:10 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
