<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * this script parses all the inputs and stores the object into the database.
 * on completition it jumps to the detail screen of the stored object
 *
 * @modulegroup company
 * @module company_ins
 * @package company
 */
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("company");

 $gotourl = "company_new.php";
 $msg = "";
 $c = new company($dbconn);

 if ( !isset($HTTP_POST_VARS['id']) ) {
   $msg .= "Please enter a id<BR>";
 } else {
   $c->read($HTTP_POST_VARS['id']);
   if ( $c->id > 0 ) {
     $gotourl = addUrlParameter($gotourl,"id=". $id);
   }
 }

 if ( !isset($HTTP_POST_VARS['name']) || ($HTTP_POST_VARS['name'] == $lang['PlsChangeName']) ) {
   $msg .= sprintf($lang['Err0009'],$lang['Company']) ."<BR>";
 } else {
   $name = trim(StripSlashes($HTTP_POST_VARS['name']));
   $gotourl = addUrlParameter($gotourl,"name=". UrlEncode($name));
 }

 if ( $msg == "" ) {
   if ( ($c->id < 0) || ($name != $c->name) ) {
     $q = "SELECT * FROM ". $c->tablename ." WHERE ". $dbconn->Like2("name", $name);
     $r = $dbconn->Exec($q);
     $n = $r->numrows();
     if ( 0 != $n) {
       $x = new company($dbconn);
       $x->read_result($r,0);
       $msg .= sprintf($lang['Err0044'],$x->getLink()) ."<BR>";
     }
     $r->free();
   }
 }

 # other modules
 $msg .= module_parseforms($current_user,$c,$gotourl);

 if ( $msg == "" ) {
   $c->setName($name);

   $dbconn->Begin("WORK");
   $msg = $c->save();
   $dbconn->Commit("WORK");

   $gotourl = $c->getURL();
 }

 $gotourl = addUrlParameter($gotourl,"msg=". UrlEncode($msg));
 $gotourl = addSessionKey($gotourl);

 /* Go back to user mask */
 Header("Status: 302 Moved Temporarily");
 Header("Location: ". getBaseUrl() . $gotourl );
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: company_ins.php,v 1.15.2.1 2002/08/15 08:04:11 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
