<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup company
 * @module company_new
 * @package company
 */
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("company");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$c,&$loc) {
   global $lang,$current_user,$tutos;


   if ( $loc != "" ) {
     echo "<FORM name=\"cmpadd\" action=\"location_ins.php\" method=\"POST\">\n";
   } else {
     echo "<FORM name=\"locadd\" action=\"company_ins.php\" method=\"POST\">\n";
   }
   hiddenFormElements();
   echo "<INPUT type=hidden name=\"id\" value=\"". $c->id ."\">\n";

   echo "<TABLE CLASS=single BORDER=0 CELLSPACING=0>\n";
   echo "<TR>\n";
   echo " <TH COLSPAN=5>".  sprintf($lang['Showing'],$lang[$c->getType()])."</TH>\n";
   echo "</TR>\n";
   if ( $c->id > 0 ) {
     echo "<TR>\n";
     echo " <TD COLSPAN=5 ALIGN=right>". acl_link($c) ."</TD>\n";
     echo "</TR>\n";
   }
   echo "<TR>\n";
   showfieldc($lang['Company'],1,"name");
   if ( $loc != "" ) {
     echo "<TD COLSPAN=4>". $c->getLink() ."</TD>\n";

     echo "<INPUT type=hidden name=\"loc_id\" value=\"". $loc->id ."\">\n";
     echo "<INPUT type=hidden name=\"c_id\" value=\"". $c->id ."\">\n";
     echo "<INPUT type=hidden name=\"category\" value=\"2\">\n";
     echo "<INPUT type=hidden name=\"cploc\" value=\"0\">\n";
     # Fields which companies do not use
     echo "<INPUT type=hidden name=\"department\" value=\"\">\n";
   } else {
     echo "<TD COLSPAN=4><INPUT SIZE=30 MAXLENGTH=30 name=\"name\" value=\"". $c->name ."\"></TD>\n";
   }
   echo "</TR>\n";

   if ( $loc == "" ) {
     # References to modules
     module_addforms($current_user,$c,4);
   }

   if ( $loc != "" ) {
     echo "<TR>\n";
     showfieldc($lang['AdrDescription'],1,"lname");
     echo "<TD COLSPAN=4><INPUT SIZE=30 MAXLENGTH=30 name=\"lname\" value=\"". $loc->lname ."\"></TD>\n";
     echo "</TR>\n";

     echo "<TR>\n";
     showfieldc($lang['Phone'],0,"phone_1");
     echo "<TD COLSPAN=4><INPUT SIZE=30 MAXLENGTH=30 name=\"phone_1\" value=\"". $loc->phone_1 ."\"></TD>\n";
     echo "</TR>\n";

     echo "<TR>\n";
     showfieldc($lang['AdrFax'],0,"fax_1");
     echo "<TD COLSPAN=4><INPUT SIZE=30 MAXLENGTH=30 name=\"fax_1\" value=\"". $loc->fax_1 ."\"></TD>\n";
     echo "</TR>\n";

     echo "<TR>\n";
     showfieldc($lang['AdrEmail'],0,"email_1");
     echo "<TD COLSPAN=4><INPUT SIZE=30 MAXLENGTH=60 name=\"email_1\" value=\"". $loc->email_1 ."\"></TD>\n";
     echo "</TR>\n";

     echo "<TR>\n";
     showfieldc($lang['Street'],0,"street1");
     echo "<TD COLSPAN=4><INPUT SIZE=30 MAXLENGTH=30 name=\"street1\" value=\"". $loc->street1 ."\"></TD>\n";
     echo "</TR>\n";

     echo "<TR>\n";
     showfieldc($lang['Street'],0,"street2");
     echo "<TD COLSPAN=4><INPUT SIZE=30 MAXLENGTH=30 name=\"street2\" value=\"". $loc->street2 ."\"></TD>\n";
     echo "</TR>\n";

     echo "<TR>\n";
     showfieldc($lang['City'],0,"city");
     echo "<TD COLSPAN=1><INPUT SIZE=30 MAXLENGTH=30 name=\"city\" value=\"". $loc->city ."\"></TD>\n";
     showfieldc($lang['ZIP'],0,"zip");
     echo "<TD COLSPAN=2><INPUT SIZE=10 MAXLENGTH=10 name=\"zip\" value=\"". $loc->zip ."\"></TD>\n";
     echo "</TR>\n";

     echo "<TR>\n";
     showfieldc($lang['State'],0,"state");
     echo "<TD COLSPAN=1><INPUT SIZE=30 MAXLENGTH=30 name=\"state\" value=\"". $loc->state ."\"></TD>\n";
     echo "</TR>\n";

     echo "<TR>\n";
     showfieldc($lang['Country'],0,"country");
     echo "<TD COLSPAN=4>\n";
	 SelectCntryCde("country",$loc->country);
     echo "</TD>\n";
     echo "</TR>\n";

     echo "<TR>\n";
     showfieldc($lang['acc_info1'],0,"acc_info1");
     echo "<TD COLSPAN=4><INPUT SIZE=50 MAXLENGTH=60 name=\"acc_info1\" value=\"". $loc->acc_info1 ."\"></TD>\n";
     echo "</TR>\n";

     echo "<TR>\n";
     showfieldc($lang['acc_info2'],0,"acc_info2");
     echo "<TD COLSPAN=4><INPUT SIZE=50 MAXLENGTH=60 name=\"acc_info2\" value=\"". $loc->acc_info2 ."\"></TD>\n";
     echo "</TR>\n";

     echo "<TR>\n";
     showfieldc($lang['acc_nr'],0,"acc_nr");
     echo "<TD COLSPAN=4><INPUT SIZE=50 MAXLENGTH=60 name=\"acc_nr\" value=\"". $loc->acc_nr ."\"></TD>\n";
     echo "</TR>\n";
   }
   echo "<TR>\n";
   showfield($lang['TeamCreation']);
   echo "<TD COLSPAN=4>". $c->creation->getLinkDateTime() ."</TD>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   if ($c->id > 0 ) {
     submit_reset(0,1,1,1,1,1);
   } else {
     submit_reset(0,-1,1,1,1,1);
   }
   echo "</TR>\n";

   echo "</TABLE>\n";
   echo "</FORM>\n";

   if ( $current_user->feature_ok(useurl,PERM_SEE) ) {
     if ( $c->id > 0 ) {
       url_form($c,"company_new.php?id=".$c->id);
     }
   }
   echo $lang['FldsRequired'] ."\n";
 }

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate(&$c) {
   global $current_user,$lang;

   echo "<TABLE>\n";
   echo "<TR><TD>\n";
   echo tutos_address::getSelectLink($current_user,$lang['Search']) ."<BR>\n";

   if ( $c->del_ok() && ($c->id > 0) ) {
     echo confirmlink("company_del.php?id=".$c->id, $lang['Delete'],sprintf($lang['CompanyDelInfo'],$c->getFullName())) ."<BR>\n";
   }
   if ( $c->id > 0 ) {
     echo menulink("company_show.php?id=". $c->id,$lang['AdrSeeEntry'],sprintf($lang['AdrSeeEntryI'],$c->getFullName())) ."<BR>";
   }
   echo "<BR>\n";
   if ( $c->mod_ok()  ) {
     DoubleTableStart();
     @reset($c->location);
     while( list ($i,$f) = @each ($c->location)) {
       echo "<TR><TH COLSPAN=2>". sprintf($lang['AdrLocTitle'],$f->lname) ."</TH></TR>\n";
       echo "<TR>";
       echo "<TD>";
       if ( $f->mod_ok() ) {
         echo menulink("company_new.php?id=". $c->id ."&loc_id=". $i,$lang['Change'],sprintf($lang['ChangeLocInfo'],$f->lname, $c->getFullName()));
       } else {
          echo $lang['Change'];
       }
       echo "</TD><TD>\n";
       if ( $f->del_ok() ) {
         echo confirmlink("location_del.php?ref=". $c->id ."&id=". $i,$lang['Delete'],sprintf($lang['DeleteLocInfo'],$f->lname, $c->getFullName()));
       } else {
          echo $lang['Delete'];
       }
       echo "</TD>\n";
       echo "</TR>\n";
     }
     DoubleTableEnd();
     if ( $c->id > 0  ) {
       echo menulink("company_new.php?id=". $c->id ."&loc_id=-1",$lang['AdrLNew'],sprintf($lang['AdrLNewInfo'],$c->getFullName())) ."<BR>";
     }
   }
   echo "<BR>\n";
   show_module_newlinks($current_user,$c);

   echo "</TD></TR>";

   HTML_Select();
  }

 $c = new company($dbconn);
 if ( isset($HTTP_GET_VARS['id']) ) {
   HTML_Header($lang['CompanyModify']);
   $c->read($HTTP_GET_VARS['id']);
 } else {
   HTML_Header($lang['CompanyCreate']);
   $c->name     = $lang['PlsChangeName'];
 }
 $c->read_locs_data();
 if ( isset($HTTP_GET_VARS['loc_id']) ) {
   $loc = new location($dbconn);
   if ( $HTTP_GET_VARS['loc_id'] > 0 ) {
     $loc->read($HTTP_GET_VARS['loc_id']);
     $loc->lname = $c->loc[$HTTP_GET_VARS['loc_id']];
   }
   $i = 0;
   while($i < count($loc->larray)) {
     $f = $loc->larray[$i];
     if ( isset($HTTP_GET_VARS[$f]) ) {
       $loc->$f = $HTTP_GET_VARS[$f];
     }
     $i++;
   }
 } else {
   $loc = "";
 }

 if ( isset($HTTP_GET_VARS['name']) ) {
   $c->name = StripSlashes($HTTP_GET_VARS['name']);
 }

 HTML_Base1();
 navigate($c);
 HTML_Base2($msg);
 info($c,$loc);
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: company_new.php,v 1.35.2.1 2002/07/29 06:31:48 gokohnert Exp $
    $Author: gokohnert $
-->
