<?
/*
 * Copyright 1999/2000/2001 by Gero Kohnert
 */
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("database");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$dbconn,&$result,$start=0) {
   global $lang,$tutos,$link1,$link2;

   $n = $result->numrows();
   if ( 0 == $n) {
     echo $lang['Err0048'];
     return;
   }
   echo "<TABLE CLASS=single BORDER=0 CELLPADDING=3 CELLSPACING=0>\n";
   echo "<THEAD>\n";
   echo "<TR>\n";
   echo order_header("dbalias",$lang['AdminDBAlias'],$link2);
   echo order_header("name",$lang['AdminDBName'],$link2);
   echo order_header("host",$lang['AdminDBHost'],$link2);
   echo order_header("dbtype",$lang['AdminDBType'],$link2);
   echo "</TR>\n";
   echo "</THEAD>\n";

   if ( $start == -1 ) {
     $a = $n - $tutos[maxshow];
     $end = $n;
     $start = $a;
   } else {
     $a = $start;
     $end = $start + $tutos[maxshow];
   }

   echo "<TBODY>\n";
   $line = 1;
   while ( ($a < $n) && ($a < $end) ) {
     $c = new database($dbconn);
     $c->read_result($result,$a);
     $a++;
     if ( ! $c->see_ok() ) {
       continue;
     }
     if ( $line == 1 ) {
       $line = 2;
     } else {
       $line = 1;
     }


     echo "<TR CLASS=line". $line .">\n";
     echo "<TD VALIGN=\"top\">". $c->alias ."</TD>";
     echo "<TD VALIGN=\"top\">". $c->getLink($c->name) ."</TD>";
     echo "<TD VALIGN=\"top\">". $c->host ."</TD>";
     echo "<TD VALIGN=\"top\">". $c->tlist[$c->type] ."&nbsp;".$c->type."</TD>";

     echo "</TR>\n";
   }
   echo "</TBODY>\n";

   ShowBackForwardNav($link1,2,$start,$a,$n);

   echo "</TABLE>\n";
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate() {
   global $current_user,$lang;

   echo "<TABLE>";
   echo "<TR><TD>";
   if ( ($current_user->admin == 1) ) {
     echo menulink("database_new.php",$lang['NewEntry'],$lang['DBCreate']) . "<BR>\n";
   }
   echo "</TD></TR>";

   HTML_Select();
 }


 HTML_Header($lang['DBOverview']);

 $link1 = "database_overview.php";
 $q = "SELECT * FROM tutos_dbs";
 $pre = " WHERE ";

 if ( isset($HTTP_GET_VARS['name']) && ($HTTP_GET_VARS['name'] != "*") && ($HTTP_GET_VARS['name'] != "") ) {
   $q .= $pre . $dbconn->Like("name",$HTTP_GET_VARS['name']);
   $pre = " AND ";
   $link1 = addUrlParameter($link1,"name=". UrlEncode($HTTP_GET_VARS['name']));
 }

 # sorting
 $xxx = "";
 $link2 = $link1;
 order_parse($q,$link1,$xxx,$xxx,"name");

 $result = $dbconn->Exec($q);

 if ( isset($HTTP_GET_VARS['start']) ) {
   $start = $HTTP_GET_VARS['start'];
 } else {
   $start = 0;
 }

 HTML_Base1();
 navigate();
 HTML_Base2($msg);
 info($dbconn,$result,$start);
 HTML_Base3();

 $result->free();
 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: database_overview.php,v 1.9 2002/07/10 13:10:14 gokohnert Exp $
    $Author: gokohnert $
-->
