<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup department
 * @module department_del
 * @package department
 */
 include("webelements.p3");
 include("permission.p3");
 include("url.pinc");
 include 'file.pinc';
 include 'product.pinc';
 include 'appointment.pinc';

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("department");

 $msg = "";
 $d = new department($dbconn);

 if ( !isset($HTTP_GET_VARS['id']) ) {
   $msg .= "Could not delete department <BR>";
 } else {
   $d->read($HTTP_GET_VARS['id']);
 }

 if ( ! $d->del_ok() ) {
   $msg = sprintf($lang['Err0023'],$lang[$d->getType()]);
   $gotourl = $d->getUrl() ;
 }


 if ( $msg == "" ) {
   $dbconn->Begin("WORK");
   $msg = $d->delete();
   $dbconn->Commit("WORK");

   $gotourl = "address_select.php" ;
 } else {
   $gotourl= addUrlParameter($gotourl,"id=". $id);
 }

 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));
 $gotourl = addSessionKey($gotourl);

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". getBaseUrl() . $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: department_del.php,v 1.12.2.1 2002/08/15 08:04:11 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
