<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * this script parses all the inputs and stores the object into the database.
 * on completition it jumps to the detail screen of the stored object
 *
 * @modulegroup department
 * @module department_ins
 * @package department
 */
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use tutos */
 check_user();
 loadmodules("department");

 $d = new department($dbconn);

 $gotourl = "department_new.php";
 $msg = "";

 if ( !isset($HTTP_POST_VARS['id']) ) {
   $msg .= "Please enter a id<BR>";
 } else {
   $d->read($HTTP_POST_VARS['id']);
   if ( $d->id > 0 ) {
     $gotourl = addUrlParameter($gotourl,"id=". $HTTP_POST_VARS['id']);
   }
 }



 if ( !isset($HTTP_POST_VARS['name']) || ($HTTP_POST_VARS['name'] == $lang['PlsChangeName']) ) {
   $msg .= sprintf($lang['Err0009'],$lang['Department']) ."<BR>";
 } else {
   $name = trim(StripSlashes($HTTP_POST_VARS['name']));
   $gotourl = addUrlParameter($gotourl,"name=". UrlEncode($name));
 }

 # Check Company
 if ( isset($HTTP_POST_VARS['cfn']) ) {
   if ( empty($HTTP_POST_VARS['cfn']) ) {
     $msg .= sprintf($lang['Err0009'],$lang['Company']) ."<BR>";
   } else {
     $x = check_field($HTTP_POST_VARS['cfn'],"cfn","cl","c");
	 $d->setCompany($x->id);
   }
 }
 if ( isset($HTTP_POST_VARS['cid']) ) {
   $d->setCompany($HTTP_POST_VARS['cid']);
 }


 if ( $msg == "" ) {
   if ( ($d->id < 0) || ($name != $d->name) ) {
     $q = "SELECT * FROM ". $d->tablename ." WHERE ". $dbconn->Like2("name",$name) ." AND c_id = ". $d->company->id;
     $r = $dbconn->Exec($q);
     $n = $r->numrows();
     if ( 0 != $n) {
       $x = new department($dbconn);
       $x->read_result($r,0);
       $msg .= sprintf($lang['Err0045'],$x->getLink()) ."<BR>";
     }
     $r->free();
   }
 }

 # other modules
 $msg .= module_parseforms($current_user,$d,$gotourl);

 if ( $msg == "" ) {
   $d->setName($name);
   $d->c_id = $d->company->id;

   $dbconn->Begin("WORK");
   $msg .= $d->save();
   $dbconn->Commit("WORK");

   $gotourl = $d->getURL();
 }

 $gotourl = addUrlParameter($gotourl,"msg=". UrlEncode($msg));
 $gotourl = addSessionKey($gotourl);

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". getBaseUrl() . $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: department_ins.php,v 1.17.2.1 2002/08/15 08:04:11 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
