<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup department
 * @module department_new
 * @package department
 */
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("department");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$d,&$loc) {
   global $lang,$current_user,$tutos;


   if ( $loc != "" ) {
     echo "<FORM name=\"locadd\" action=\"location_ins.php\" method=\"POST\">\n";
   } else {
     echo "<FORM name=\"depadd\" action=\"department_ins.php\" method=\"POST\">\n";
   }
   hiddenFormElements();
   echo "<INPUT type=hidden name=\"id\" value=\"". $d->id ."\">\n";

   echo "<TABLE CLASS=single BORDER=0 CELLSPACING=0>\n";
   echo "<TR>\n";
   echo " <TH COLSPAN=5>".  sprintf($lang['Showing'],$lang[$d->getType()])."</TH>\n";
   echo "</TR>\n";
   if ( $d->id > 0 ) {
     echo "<TR>\n";
     echo " <TD COLSPAN=5 ALIGN=right>". acl_link($d) ."</TD>\n";
     echo "</TR>\n";
   }

   echo "<TR>\n";
   showfieldc($lang['Department'],1,"name");
   if ( $loc != "" ) {
	 echo "<TD COLSPAN=4>". $d->getLink() ."</TD>\n";
     echo "<INPUT type=hidden name=\"d_id\" value=\"". $d->id ."\">\n";
   } else {
     echo "<TD COLSPAN=4><INPUT SIZE=30 MAXLENGTH=30 name=\"name\" value=\"". $d->name ."\"></TD>\n";
   }
   echo "</TR>\n";

   echo "<TR>\n";
   showfieldc($lang['Company'],1,"cfn");
   if ( $loc != "" ) {
	 echo "<TD COLSPAN=4>". $d->company->getLink() ."</TD>\n";
     echo "<INPUT type=hidden name=\"c_id\" value=\"". $d->company->id ."\">\n";
     echo "<INPUT type=hidden name=\"category\" value=\"2\">\n";
     echo "<INPUT type=hidden name=\"cploc\" value=\"0\">\n";
     echo "<INPUT type=hidden name=\"loc_id\" value=\"". $loc->id ."\">\n";
   } else {
	 echo "<TD COLSPAN=4>\n";
     select_from_array_or_input($d,"c",$d->company,0);
	 echo "</TD>\n";
   }
   echo "</TR>\n";

   if ( $loc == "" ) {
     # References to modules
     module_addforms($current_user,$d,4);
   }

   if ( $loc != "" ) {
     echo "<TR>\n";
     showfieldc($lang['AdrDescription'],0,"lname");
     echo "<TD COLSPAN=4><INPUT SIZE=30 MAXLENGTH=30 name=\"lname\" value=\"". $loc->lname ."\"></TD>\n";
     echo "</TR>\n";

     echo "<TR>\n";
     showfieldc($lang['Phone'],0,"phone_1");
     echo "<TD COLSPAN=4><INPUT SIZE=30 MAXLENGTH=30 name=\"phone_1\" value=\"". $loc->phone_1 ."\"></TD>\n";
     echo "</TR>\n";

     echo "<TR>\n";
     showfieldc($lang['AdrFax'],0,"fax_1");
     echo "<TD COLSPAN=4><INPUT SIZE=30 MAXLENGTH=30 name=\"fax_1\" value=\"". $loc->fax_1 ."\"></TD>\n";
     echo "</TR>\n";

     echo "<TR>\n";
     showfieldc($lang['AdrEmail'],0,"email_1");
     echo "<TD COLSPAN=4><INPUT SIZE=30 MAXLENGTH=60 name=\"email_1\" value=\"". $loc->email_1 ."\"></TD>\n";
     echo "</TR>\n";

     echo "<TR>\n";
     showfieldc($lang['Street'],0,"street1");
     echo "<TD COLSPAN=4><INPUT SIZE=30 MAXLENGTH=30 name=\"street1\" value=\"". $loc->street1 ."\"></TD>\n";
     echo "</TR>\n";
     echo "<TR>\n";
     showfieldc($lang['Street'],0,"street2");
     echo "<TD COLSPAN=4><INPUT SIZE=30 MAXLENGTH=30 name=\"street2\" value=\"". $loc->street2 ."\"></TD>\n";
     echo "</TR>\n";
     echo "<TR>\n";
     showfieldc($lang['City'],0,"city");
     echo "<TD COLSPAN=1><INPUT SIZE=30 MAXLENGTH=30 name=\"city\" value=\"". $loc->city ."\"></TD>\n";
     showfieldc($lang['ZIP'],0,"zip");
     echo "<TD COLSPAN=2><INPUT SIZE=10 MAXLENGTH=10 name=\"zip\" value=\"". $loc->zip ."\"></TD>\n";
     echo "</TR>\n";

     echo "<TR>\n";
     showfieldc($lang['State'],0,"state");
     echo "<TD COLSPAN=1><INPUT SIZE=30 MAXLENGTH=30 name=\"state\" value=\"". $loc->state ."\"></TD>\n";
     showfieldc($lang['Country'],0,"country");
     echo "<TD COLSPAN=2>\n";
	 SelectCntryCde("country",$loc->country);
     echo "</TD>\n";
     echo "</TR>\n";
   }

   echo "<TR>\n";
   showfieldc($lang['TeamCreation']);
   echo " <TD COLSPAN=4>". $d->creation->getLinkDateTime() ."</TD>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   if ($d->id > 0 ) {
     submit_reset(0,1,1,1,1,1);
   } else {
     submit_reset(0,-1,1,1,1,1);
   }
   echo "</TR>\n";

   echo "</TABLE>\n";
   echo "</FORM>\n";

   if ( $current_user->feature_ok(useurl,PERM_SEE) ) {
     if ( $d->id > 0 ) {
       url_form($d,"department_new.php?id=".$d->id);
     }
   }
   echo $lang['FldsRequired'] ."\n";
 }

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate(&$d) {
   global $current_user,$lang;

   echo "<TABLE>";
   echo "<TR><TD>";
   echo tutos_address::getSelectLink($current_user,$lang['Search']) ."<BR>\n";

   if ( $d->id > -1 ) {
     echo confirmlink("department_del.php?id=".$d->id, $lang['Delete'],sprintf($lang['DepDelInfo'],$d->getFullName())) ."<BR>\n";
   }
   echo "&nbsp;\n";
   echo "<BR>\n";

   if ( $d->mod_ok()  ) {
     if ( count($d->loc) ) {
       DoubleTableStart();
       @reset($d->location);
       while( list ($i,$f) = @each ($d->location)) {
         echo "<TR><TH COLSPAN=2>". sprintf($lang['AdrLocTitle'],$f->lname) ."</TH></TR>\n";
         echo "<TR>";
         echo "<TD>";
         if ( $f->mod_ok() ) {
           echo menulink("department_new.php?id=". $d->id ."&loc_id=". $i,$lang['Change'],sprintf($lang['ChangeLocInfo'],$f->lname, $d->getFullName()));
         } else {
            echo $lang['Change'];
         }
         echo "</TD><TD>\n";
         if ( $f->del_ok() ) {
           echo confirmlink("location_del.php?ref=". $d->id ."&id=". $i,$lang['Delete'],sprintf($lang['DeleteLocInfo'],$f->lname, $d->getFullName()));
         } else {
            echo $lang['Delete'];
         }
         echo "</TD>\n";
         echo "</TR>\n";
       }
       DoubleTableEnd();
	 }
     if ( $d->id > 0  ) {
       echo menulink("department_new.php?id=". $d->id ."&loc_id=-1",$lang['AdrLNew'],sprintf($lang['AdrLNewInfo'],$d->getFullName())) ."<BR>";
     }
   }
   echo "<BR>\n";
   show_module_newlinks($current_user,$d);
   echo "</TD></TR>";

   HTML_Select();
 }

 $d = new department($dbconn);
 if ( isset($HTTP_GET_VARS['id']) ) {
   HTML_Header($lang['DepartmentModify']);
   $d->read($HTTP_GET_VARS['id']);
 } else {
   HTML_Header($lang['DepartmentCreate']);
   $d->name     = $lang['PlsChangeName'];
   $d->creation = new datetime();
 }
 $d->read_locs_data();
 if ( isset($HTTP_GET_VARS['loc_id']) ) {
   $loc = new location($dbconn);
   if ( $HTTP_GET_VARS['loc_id'] > 0 ) {
     $loc->read($HTTP_GET_VARS['loc_id']);
     $loc->lname = $d->loc[$HTTP_GET_VARS['loc_id']];
   }
   $i = 0;
   while($i < count($loc->larray)) {
     $f = $loc->larray[$i];
     if ( isset($HTTP_GET_VARS[$f]) ) {
       $loc->$f = $HTTP_GET_VARS[$f];
     }
     $i++;
   }
 } else {
   $loc = "";
 }

 if ( isset($HTTP_GET_VARS['name']) ) {
   $d->name = StripSlashes($HTTP_GET_VARS['name']);
 }

 # Company
 preset_from_array_or_input($d,'company',"c");

 HTML_Base1();
 navigate($d);
 HTML_Base2($msg);
 info($d,$loc);
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: department_new.php,v 1.32.2.1 2002/07/29 06:31:48 gokohnert Exp $
    $Author: gokohnert $
-->
