<?
/*
 * Copyright 1999 - 2002 by Gero Kohnert
 */
 include("webelements.p3");
 include("permission.p3");
 include("note.pinc");

 /* Check if user is allowed to use it */
 check_user();

 $gotourl = "fax_new.php";
 $msg = "";

 /* Check Input */
 if ( !isset($HTTP_POST_VARS['nr']) || empty($HTTP_POST_VARS['nr']) ) {
   $msg .= $lang['Err0031'] ."<BR>\n";
 } else {
   $gotourl= addUrlParameter($gotourl,"nr=". UrlEncode($HTTP_POST_VARS['nr']));
 }
 if ( isset($HTTP_POST_VARS['adr']) ) {
   $adr = UrlDecode($HTTP_POST_VARS['adr']);
 }
 if ( isset($HTTP_POST_VARS['adrid']) ) {
   $gotourl= addUrlParameter($gotourl,"a=". $HTTP_POST_VARS['adrid']);
   $a = getObject($dbconn,$HTTP_POST_VARS['adrid']);
 }
 if ( isset($HTTP_POST_VARS['locid']) ) {
   $gotourl= addUrlParameter($gotourl,"l=". $HTTP_POST_VARS['locid']);
 }
 if ( ( ($tutos[faxmode] == 1) && !is_executable($tutos[faxspool]))
      || ($current_user->feature_ok(usefax,PERM_NEW) == 0)
      || ($tutos[demo] == 1) ) {
   $msg .= $lang['Err0032'] ."<BR>\n";
 }
 $gotourl= addUrlParameter($gotourl,"fax=". Base64_Encode($fax));

 # Call faxspool
 if ( $msg == "" ) {
   if ( $tutos[faxmode] == 1 ) {
     $cmd = $tutos[faxspool];
     $cmd .= " -h ". $tutos['base'] ."/html/faxheader";
     $cmd .= " -f ". $tutos[faxmail_user];
     $cmd .= " -F \"". $current_user->getFullName() ."\"";
     $cmd .= " -D \"". $adr ."\"";
     $cmd .= " ". $nr;
     $cmd .= " - ";
     $fd = popen($cmd ,"w");
     fputs ($fd,$fax);
     pclose($fd);
     $msg .= sprintf($lang['FaxSpooledTo'], $nr) ."<BR>\n";
     $gotourl = "fax_new.php";
   } else if ( $tutos[faxmode] == 2 ) {
     $hdr = "";
     $m = new mail();
     $m->setFrom($current_user);
     $m->setSubject("Fax");
     $faxmail = $tutos[faxmail];
     $faxmail = eregi_replace("@NR@",$nr,$faxmail);
     $m->addTo($faxmail);
     $hdr .= "Fax-No:  ". $nr  ."\n";
     $hdr .= "Fax-To:  ". $adr ."\n";
     $hdr .= "Fax-User: ". $tutos[faxmail_user] ."\n";
     $hdr .= "Fax-Pass: ". $tutos[faxmail_pass] ."\n";
     $hdr .= "\n";
     $f = $hdr . $fax ."\n--\n";
     $m->addBody($f);
     $msg .= $m->send();
     $msg .= sprintf($lang['FaxSpooledTo'], $faxmail) ."<BR>\n";
     $gotourl = "fax_new.php";
   } else {
     $msg .= "Unknown faxmode ". $tutos[faxmode] ." please fix config.pinc<BR>";
   }
   if ( isset($HTTP_POST_VARS['savenote']) ) {
     $x = getObject($dbconn,$HTTP_POST_VARS['savenote']);
     $n = new note($dbconn);
     $n->name = "FAX to ". $nr;
     $n->note = $fax;
     $n->creator = $current_user;
     $n->link_id = $x->id;
     $dbconn->Begin("WORK");
     $msg .= $n->save();
     $dbconn->Commit("WORK");
     $msg .= "Fax was saved as a note for ". $x->getLink() ."<BR>";
     $gotourl = $a->getURL();
   }
 } else {
   $msg .= $lang['Err0030'] ."<BR>\n";
 }


 $gotourl = addSessionKey($gotourl);
 $gotourl = addUrlParameter($gotourl,"msg=". UrlEncode($msg));

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". getBaseUrl() . $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: fax_ins.php,v 1.12.2.1 2002/08/15 08:04:11 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
