<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup file
 * @module file_del
 * @package file
 */
 include("webelements.p3");
 include("permission.p3");
 include("product.pinc");
 include("file.pinc");
 include("bug.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("file");

 /* Check Input */
 $msg = "";
 $f = new tutos_file($dbconn);

 if ( !isset($HTTP_GET_VARS['id']) ) {
   $msg .= "No ID given !<BR>";
   $gotourl = "file_overview.php";
 } else {
   $f->read($HTTP_GET_VARS['id']);
   $gotourl = $f->getURL();
   if ( $f->locked != 0 ) {
     $msg .= $lang['Err0020'] ."<BR>";
   }
   if ( ! $f->del_ok() ) {
     $msg .= sprintf($lang['Err0023'],$lang[$f->getType()]) ."<BR>";
   }
 }

 if ( $msg == "" ) {
   $f->read_reference();

   $dbconn->Begin("WORK");
   $msg = $f->delete();
   $dbconn->Commit("WORK");

   $gotourl = $f->ref->getURL();
 }

 $gotourl = addSessionKey($gotourl);
 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));

 Header("Status: 302 Moved Temporarily");
 Header("Location:". getBaseUrl() . $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: file_del.php,v 1.13.2.1 2002/08/15 08:04:11 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
