<?
/*
 * Copyright 1999/2000 by Gero Kohnert
 *
 *   CVS Info:  $Id: graph_bars.php,v 1.14.2.2 2002/08/15 12:46:15 gokohnert Exp $
 *   $Author: gokohnert $
 *
 */


 include "webelements.p3";
 include "permission.p3";

 check_user();
 session_write_close();


 function basic (&$f,&$t0,&$t1) {
   Header("Expires: 0");
   Header("Pragma: no-cache");
   Header("content-type: image/png");

   @reset($f);
   $x2 = count($f) * 110;

   if ( $x2 == 0 ) {
     $x2 = 10;
   }
   if ( count($t1) > 0 ) {
     $png = ImageCreate( $x2 , 142);
   } else {
     $png = ImageCreate( $x2 , 130);
   }
   $c['black'] = ImageColorAllocate($png,0,0,0);
   $c['white'] = ImageColorAllocate($png,255,255,255);
   $c['def']   = ImageColorAllocate($png,125,125,125);
   # red
   $c[1] = ImageColorAllocate($png,255,0,0);
   # green
   $c[2] = ImageColorAllocate($png,0,255,0);
   # blue
   $c[3] = ImageColorAllocate($png,0,0,255);
   # yellow
   $c[4] = ImageColorAllocate($png,255,255,0);

   ImageFill($png,0,0,$c['white']);
   ImageLine($png,5,115,$x2 - 5,115,$c['black']);
   ImageDashedLine($png,5,65,$x2 - 5,65,$c['black']);
   ImageLine($png,5,15,$x2 - 5,15,$c['black']);

   @reset($f);
   $x = 0;
   $col = 1;
   while ( list ($i,$val) = @each ($f) ) {
     if ( $col > 4 ) {
       $col = 1;
     }
     if ( $c[$col] == "" ) {
       $cc = $c['def'];
     } else {
       $cc = $c[$col];
     }
     $col++;

     # Shadow
     ImageFilledRectangle($png,$x + 13 ,112 - $val ,$x + 103,112,$c['black']);
     ImageFilledRectangle($png,$x + 12 ,113 - $val ,$x + 102,113,$c['black']);
     ImageFilledRectangle($png,$x + 11 ,114 - $val ,$x + 101,114,$c['black']);
     # Bar
     ImageFilledRectangle($png,$x + 10 ,115 - $val ,$x + 100,115,$cc);

     # Label
     if ( isset($t0[$i]) ) {
       ImageString($png, 3 ,$x + 10,117,$t0[$i] ,$c['black']);
     } else {
       ImageString($png, 3 ,$x + 10,117,$i ,$c['black']);
     }
     # Addtional Text
     if ( isset($t1[$i]) ) {
       ImageString($png, 3 ,$x + 10,127,$t1[$i],$c['black']);
     }
     # Value
     if ( $val > 90 ) {
       ImageString($png, 3 ,$x + 13,115 - $val,$val ."%",$c['white']);
     } else {
       ImageString($png, 3 ,$x + 13,98 - $val,$val ."%",$c['black']);
     }
     $x += 110;
   }

   // send the image
   ImagePNG($png);
   ImageDestroy($png);
 }

 function pie (&$f,&$t0,&$t1) {
   $r = array();
   $i = 0;
   while(isset($t0[$i])) {
     $r[$i] = $t0[$i] ." (". $t1[$i] .")";
     $i++;
   }
   $graph = new PieGraph();
   $graph->img->SetAntiAliasing();
   $graph->legend->Pos(0.05,0.2);
   $p1 = new PiePlot($f);
   $p1->SetSize(0.35);
   $p1->SetCenter(0.25,0.5);
   $p1->SetLegends($r);
   $graph->Add($p1);
   $graph->Stroke();
 }

 function bar (&$f,&$t0,&$t1) {
   $graph = new Graph();
   # $graph->SetShadow();
   $graph->img->SetAntiAliasing();
   $graph->img->SetMargin(40,40,40,180);


   $p1 = new BarPlot($t1);
   $p2 = new BarPlot($f);
   $p1->SetColor("orange");
   $p2->SetColor("blue");
   $p1->SetFillColor("orange");
   $p2->SetFillColor("blue");

   $graph->SetScale("textlin");
   $graph->SetY2Scale("lin");
   $graph->yaxis->SetColor("orange");
   $graph->y2axis->SetColor("blue");


#   $gbplot = new GroupBarPlot(array($p1,$p2));
#   $gbplot->SetWidth(0.9);

#   $p1->SetLegends($t0);
#   $graph->Add($gbplot);
    $graph->Add($p1);
    $graph->AddY2($p1);


#   $graph->xaxis->title->Set("X-title");
#   $graph->yaxis->title->Set("Y-title");
   $graph->xaxis->SetTickLabels($t0);
   $graph->xaxis->SetLabelAngle(90);

   $graph->Stroke();
 }

 $f = $HTTP_GET_VARS['f'];
 $t0 = $HTTP_GET_VARS['t0'];
 if ( isset ($HTTP_GET_VARS['t1']) ) {
   $t1 = $HTTP_GET_VARS['t1'];
 } else {
   $t1 = array();
 }
 if (file_exists ($tutos[jpgraph]."/jpgraph.php") && isset($HTTP_GET_VARS['type']) ) {
   include ($tutos[jpgraph]."/jpgraph.php");
   include ($tutos[jpgraph]."/jpgraph_pie.php");
   include ($tutos[jpgraph]."/jpgraph_pie3d.php");
   include ($tutos[jpgraph]."/jpgraph_bar.php");
   if ( $HTTP_GET_VARS['type'] == "pie" ) {
     pie($f,$t0,$t1);
   } elseif ( $HTTP_GET_VARS['type'] == "bar" ) {
     bar($f,$t0,$t1);
   } else {
     basic($f,$t0,$t1);
   }
 } else if (file_exists ($tutos[jpgraph]."/src/jpgraph.php") && isset($HTTP_GET_VARS['type']) ) {
   include ($tutos[jpgraph]."/src/jpgraph.php");
   include ($tutos[jpgraph]."/src/jpgraph_pie.php");
   include ($tutos[jpgraph]."/src/jpgraph_pie3d.php");
   include ($tutos[jpgraph]."/src/jpgraph_bar.php");
   if ( $HTTP_GET_VARS['type'] == "pie" ) {
     pie($f,$t0,$t1);
   } elseif ( $HTTP_GET_VARS['type'] == "bar" ) {
     bar($f,$t0,$t1);
   } else {
     basic($f,$t0,$t1);
   }
 } else {
   basic($f,$t0,$t1);
 }
 $dbconn->Close();
?>
