<?
/**
 * Copyright 2002 by Gero Kohnert
 *
 * this script parses all the inputs and stores the object into the database.
 * on completition it jumps to the detail screen of the stored object
 *
 * @modulegroup group
 * @module group_ins
 * @package group
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("group");
 loadmodule("group");

 $gotourl = "group_new.php";
 $msg = "";

 $b = new group($dbconn);
 if ( isset($HTTP_POST_VARS['id']) ) {
   $b->read($HTTP_POST_VARS['id']);
   $gotourl= addUrlParameter($gotourl,"id=". $b->id);
 }

 if ( !isset($HTTP_POST_VARS['name']) || empty($HTTP_POST_VARS['name']) ||  ($HTTP_POST_VARS['name'] == $lang['PlsChangeName']) ) {
   $msg .= sprintf($lang['Err0009'],$lang['GroupName']) ."<BR>";
 } else {
   $b->setName(trim(StripSlashes($HTTP_POST_VARS['name'])));
   $gotourl = addUrlParameter($gotourl,"name=". UrlEncode($b->name));
 }
 $gotourl = addUrlParameter($gotourl,"desc=". UrlEncode(StripSlashes($HTTP_POST_VARS['desc'])));

 # other modules
 $msg .= module_parseforms($current_user,$b,$gotourl);

 if ( $msg == "" ) {
    $b->setDesc(trim(StripSlashes($HTTP_POST_VARS['desc'])));

   $dbconn->Begin("WORK");
   $msg .= $b->save();
   $dbconn->Commit("WORK");

   $gotourl = "../". $b->getURL();
 }
 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));
 $gotourl = addSessionKey($gotourl);


 Header("Status: 302 Moved Temporarily");
 Header("Location:". getBaseUrl() . $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: group_ins.php,v 1.5.2.1 2002/08/15 08:04:11 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
