<?
/**
 * Copyright 2001 - 2002 by Gero Kohnert
 *
 * @modulegroup group
 * @module group_show
 * @package group
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("group");
 loadmodule("group");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$obj) {
   global $tutos,$lang,$current_user;

   echo "<TABLE CLASS=single BORDER=0 CELLPADDING=3 CELLSPACING=0>\n";
   echo "<TR>\n";
   echo " <TH COLSPAN=7>". sprintf($lang['Showing'],$obj->getFullName()) ."</TH>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   showfield($lang['createdby']);
   echo " <TD COLSPAN=2>". $obj->creator->getLink() ."</TD>\n";
   showfield($lang['atDateTime']);
   echo " <TD COLSPAN=3>". $obj->creation->getDateTime() ."</TD>\n";

   echo "</TR><TR>\n";
   showfield($lang['GroupName']);
   echo " <TD COLSPAN=6>". myentities($obj->name) ."</TD>\n";

   echo "</TR><TR>\n";
   showfield($lang['GroupDesc']);
   echo " <TD COLSPAN=6>". myentities($obj->desc) ."</TD>\n";

   echo "</TR>\n";

   # References to modules
   show_module_infolists($current_user,$obj,7);

   $obj->read_member();
   if ( count($obj->member) > 0 ) {
     @reset ($obj->member);
     $first = true;
     echo "<TR>\n";
     showfield($lang['GroupMember']);
     echo "<TH>". $lang['AdrName']."</TH>";
     echo "<TH COLSPAN=2>". $lang['Description']."</TH>";
     echo "<TH>". $lang['AdrEmail']."</TH>";
     echo "<TH>". $lang['Phone']."</TH>";
     echo "<TH>". $lang['AdrFax']."</TH>";
     echo "</TR>\n";
     $line = 2;
     while( list ($i,$f) = @each ($obj->member)) {
       if ( $line == 1 ) {
         $line = 2;
       } else {
         $line = 1;
       }
       echo "<TR CLASS=line". $line .">\n";
       echo "<TD>&nbsp;</TD>";
       $f->read_locs_data();
       $cnt =  count($f->location);
       if ( $cnt > 0 ) {
         @reset($f->location);
         echo "<TD VALIGN=top ROWSPAN=". $cnt .">". $obj->member[$i]->getLink() ."</TD>\n";
         $cnt2 = 0;
         while( list ($i2,$f2) = @each ($f->location)) {
           if ( $cnt2 > 0 ) {
             echo "</TR>\n<TR CLASS=line". $line .">\n<TD>&nbsp;</TD>";
           }
           echo " <TD>". $f2->lname ."&nbsp;</TD>\n";
           echo " <TD>". $f2->desc1 ."&nbsp;</TD>\n";
           echo " <TD>". asEmail($f2->email_1,$f2->email_1);
           if ( $f2->email_2 != "" ) {
             echo "<BR>". asEmail($f2->email_2,$f2->email_2);
           }
           echo "&nbsp;</TD>\n";
           echo " <TD>". asSMS($f2,$obj->member[$i],$f2->phone_1);
           if ( $f2->email_2 != "" ) {
             echo "<BR>". asSMS($f2,$obj->member[$i],$f2->phone_2);
           }
           echo "&nbsp;</TD>\n";
           echo " <TD>". asFax($f2,$obj->member[$i],$f2->fax_1) ."&nbsp;</TD>\n";
           $cnt2++;
         }
       } else {
         echo "<TD COLSPAN=6>". $obj->member[$i]->getLink() ."</TD>\n";
       }
       echo "</TR>\n";
     }
   }
   echo $obj->getHistoryLink(7);
   echo "</TABLE>\n";
 }

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate(&$obj) {
   global $tutos,$lang,$current_user;

   echo "<TABLE>";
   echo "<TR><TD>";
   echo group::getOverviewLink($current_user) ."<BR>\n";
   if ( $current_user->feature_ok(usegroups,PERM_NEW) ) {
     echo menulink("group/group_new.php",$lang['NewEntry'],$lang['GroupCreate']) ."<BR>";
   }
   if ( $obj->mod_ok() ) {
     echo menulink("group/group_new.php?id=". $obj->id ,$lang['Modify'],sprintf($lang['GroupModifyI'],$obj->getFullName())) ."<BR>\n";
   }

   echo "<BR>\n";
   show_module_addlinks($current_user,$obj);
   echo "</TD></TR>";

   HTML_Select();
 }


 $b = new group($dbconn);
 $b->read($HTTP_GET_VARS['id']);

 if ( ! $b->see_ok() ) {
   $msg .= sprintf($lang['Err0022'],$lang[$b->getType()]);
 } else {
   if ( $b->id < 0 ) {
     $msg .= sprintf($lang['Err0040'],$lang[$b->getType()]);
   }
 }
 if ( isset($format) ) {
   $format = $HTTP_GET_VARS['format'];
 } else {
   $format = "html";
 }

 if ( $format == "xml" ) {
   echo $b->exportXML();
 } else {
   HTML_Header($lang['GroupDetail']);
   HTML_Base1();
   navigate($b);
   HTML_Base2($msg);
   if ( ($b->id > 0) && $b->see_ok() ) {
     info($b);
   }
   HTML_Base3();
 }
 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: group_show.php,v 1.9 2002/07/12 18:12:46 gokohnert Exp $
    $Author: gokohnert $
-->