<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup installation
 * @module installation_del
 * @package installation
 */
 include("webelements.p3");
 include("permission.p3");
 include("product.pinc");
 include("installation.pinc");
 include("file.pinc");
 include("url.pinc");
 include("timetrack.pinc");
 include("bug.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("installation","del");

 $gotourl= "installation_overview.php";
 $msg = "";

 $i = new installation($dbconn);

 if ( !isset($HTTP_GET_VARS['id']) ) {
   $msg .= sprintf($lang['Err0040'],$lang[$t->getType()]);
 } else {
   $i->read($HTTP_GET_VARS['id']);
   $gotourl = $i->product->getUrl();
 }
 if ( ! $i->del_ok() ) {
   $msg .= sprintf($lang['Err0023'],$lang[$i->getType()]);
   $gotourl = $i->getUrl();
 }
 if ($msg == "") {
   $dbconn->Begin("WORK");
   $msg .= $i->delete();
   $dbconn->Commit("WORK");
 }
 $gotourl = addUrlParameter($gotourl,"msg=". UrlEncode($msg));
 $gotourl = addSessionKey($gotourl);

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". getBaseUrl() . $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: installation_del.php,v 1.9.2.1 2002/08/15 08:04:11 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
