<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup installation
 * @module installation_new
 * @package installation
 */
 include("webelements.p3");
 include("permission.p3");
 include("installation.pinc");
 include("product.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("installation");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$obj) {
   global $tutos, $current_user,$lang;

   echo "<FORM name=\"instadd\" METHOD=\"POST\" action=\"installation_ins.php\">\n";
   hiddenFormElements();
   echo "<TABLE CLASS=single BORDER=0 CELLSPACING=0>\n";
   echo "<TR><TH COLSPAN=4>". $lang['Installation'] ."</TH></TR>\n";
   echo "<TR><TD ALIGN=right COLSPAN=4>". acl_link($obj) ."</TD></TR>\n";

   echo "<INPUT type=\"hidden\" value=". $obj->id ." name=\"id\">\n";

   echo "<TR>\n";
   showfieldc($lang['Product'],1,"pid");
   echo " <TD COLSPAN=3>";
   if ( $obj->product->id < 1 ) {
     echo $current_user->askProduct($obj->product->id);
   } else {
     echo $obj->product->getLink();
     echo "<INPUT type=\"hidden\" value=\"". $obj->product->id ."\" name=\"pid\">\n";
   }
   echo "</TD></TR>\n";

   echo "<TR>\n";
   showfieldc($lang['Customer'],1,"cfn");
   echo " <TD COLSPAN=3>\n";
   select_from_array_or_input($obj,"c",$obj->customer,0);

   echo "</TD></TR>\n";

   echo "<TR>\n";
   showfieldc($lang['InstalledBy'],0,"ifn");
   echo " <TD>\n";
   select_from_array_or_input($obj,"i",$obj->installer,1);
   echo " </TD>\n";
   showfieldc($lang['atDateTime'],0);
   echo " <TD>\n";
   $obj->instdate->EnterDate("inst");
   echo "</TD></TR>\n";

   echo "<TR>\n";
   showfieldc($lang['SoldBy'],0,"sfn");
   echo " <TD>\n";
   select_from_array_or_input($obj,"s",$obj->seller,1);
   echo " </TD>\n";

   showfieldc($lang['atDateTime'],0);
   echo " <TD>\n";
   $obj->salesdate->EnterDate("sale");
   echo "</TD></TR>\n";

   echo "<TR>\n";
   showfieldc($lang['Money'],0,"money");
   echo "<TD><INPUT SIZE=10 MAXLENGTH=10 name=\"money\" value=\"". $obj->money ."\"></TD>";
   showfieldc($lang['Currency'],0);
   echo "<TD COLSPAN=1 VALIGN=top>";
   Currency_Select("currency",$obj->currency);
   echo "</TD></TR>\n";

   # References to modules
   module_addforms($current_user,$obj,4);

   if ( $obj->mod_ok() != 0 ) {
     echo "<TR>\n";
     if ( $obj->id > 0 ) {
       submit_reset(0,1,1,1,1,0);
     } else {
       submit_reset(0,-1,1,1,1,0);
     }
     echo "</TR>\n";
   }
   echo "</TABLE>\n";
   echo "</FORM>\n";
   echo $lang['FldsRequired'] ."\n";
 }

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate(&$obj) {
   global $lang,$tutos,$current_user;

   echo "<TABLE>";
   echo "<TR><TD>";
   if ( $current_user->feature_ok(useinstmanagement,PERM_NEW) ) {
      echo menulink("installation_new.php",$lang['NewEntry'],sprintf($lang['InstCreateI'],"")) . "<BR>\n";
   }
   if ( ($obj->id > 0) && $obj->del_ok() ) {
     echo confirmlink("installation_del.php?id=". $obj->id ,$lang['Delete'],sprintf($lang['InstDelI'],$obj->getFullname())) ."&nbsp;<BR>";
   }
   echo "<BR>\n";
   show_module_newlinks($current_user,$obj);
   echo "</TD></TR>";

   HTML_Select();
 }


 $i = new installation($dbconn);
 if ( isset($HTTP_GET_VARS['id']) ) {
   $i->read($HTTP_GET_VARS['id']);
   HTML_Header($lang['InstModify']);
 } else {
   HTML_Header($lang['InstCreate']);
 }

 if ( isset($HTTP_GET_VARS['pid']) ) {
   $i->product->read($HTTP_GET_VARS['pid']);
   $i->money = $i->product->price;
   $i->currency = $i->product->currency;
 }
 if ( isset($HTTP_GET_VARS['money']) ) {
   $i->money = $HTTP_GET_VARS['money'];
 }
 if ( isset($HTTP_GET_VARS['currency']) ) {
   $i->currency = $HTTP_GET_VARS['currency'];
 }

 # Installer
 preset_from_array_or_input($i,'installer',"i");

 if ( $i->installer->id == -1 ) {
   if ( $i->product->id != -1 ) {
     # Defaults to manager
     $i->installer = $i->product->role[1];
   } else {
     $i->installer = $current_user;
   }
 }

 # Seller
 preset_from_array_or_input($i,'seller',"s");

 if ( $i->seller->id == -1 ) {
   if ( $i->product->id != -1 ) {
     # Defaults to manager
     $i->seller = $i->product->role[4];
   } else {
     $i->seller = $current_user;
   }
 }

 # Customer
 preset_from_array_or_input($i,'customer',"c");

 if ( ! $i->mod_ok() ) {
   $msg .= sprintf($lang['Err0024'],$lang[$i->getType()]);
 }

 HTML_Base1();
 navigate($i);
 HTML_Base2($msg);
 if ( $i->mod_ok() ) {
   info($i);
 }
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: installation_new.php,v 1.22 2002/07/15 08:01:25 gokohnert Exp $
    $Author: gokohnert $
-->