<?
/**
 * Copyright 1999/2000 by Gero Kohnert
 *
 * @modulegroup mailbox
 * @module mailbox_del
 * @package mailbox
 *
 */
 include("webelements.p3");
 include("permission.p3");
 include("product.pinc");
 include("mailbox.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("mailbox");

 /* Check Input */
 $msg = "";
 $gotourl= "mytutos.php";
 $m = new mailbox($dbconn);

 if ( ! isset($HTTP_GET_VARS['id']) ) {
   $msg .= sprintf($lang['Err0040'],$lang[$m->getType()]) ."<BR>";
 } else {
   $m->read($HTTP_GET_VARS['id']);
 }
 if ( $m->id < 0 ) {
   $msg .= sprintf($lang['Err0040'],$lang[$m->getType()]) ."<BR>";
 } else {
   $gotourl= $m->getURL();
 }
 if ( ! $m->del_ok() ) {
   $msg .= sprintf($lang['Err0023'],$lang[$m->getType()]) ."<BR>";
 }

 if ( $msg == "" ) {
   $gotourl= $m->parent->getURL();

   $dbconn->Begin("WORK");
   $msg .= $m->delete();
   $dbconn->Commit("WORK");
 }

 $gotourl = addSessionKey($gotourl);
 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));

 Header("Status: 302 Moved Temporarily");
 Header("Location:". getBaseUrl() .  $gotourl);
 $dbconn->Close();
/*
 *  CVS Info: $Id: mailbox_del.php,v 1.9.2.1 2002/08/15 08:04:11 gokohnert Exp $
 *  $Author: gokohnert $
 */
?>
