<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup mailbox
 * @module mailbox_ins
 * @package mailbox
 */
 include("webelements.p3");
 include("permission.p3");
 include("product.pinc");
 include("mailbox.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("mailbox");

 $msg = "";
 if ( !isset($HTTP_POST_VARS['gotourl']) ) {
   $gotourl = "mytutos.php";
 } else {
   $gotourl = $HTTP_POST_VARS['gotourl'];
 }

 $m = new mailbox($dbconn);
 if ( empty($HTTP_POST_VARS['id']) ) {
   if ( !isset($HTTP_POST_VARS['parent']) ||  empty($HTTP_POST_VARS['parent']) ) {
     echo "Missing parent";
     $dbconn->Close();
     exit;
   }
   $m->parent = GetObject($dbconn,$HTTP_POST_VARS['parent']);
 } else {
   $m->read($HTTP_POST_VARS['id']);
 }

 $m->setHost($HTTP_POST_VARS['host']);
 $m->setMBType($HTTP_POST_VARS['type']);
 $m->port = $HTTP_POST_VARS['port'];
 $m->setMBPath($HTTP_POST_VARS['path']);
 $m->setUser($HTTP_POST_VARS['user']);
 $m->pw   = $HTTP_POST_VARS['mpw'];
 $m->setEmail($HTTP_POST_VARS['email']);

 # other modules
 $msg .= module_parseforms($current_user,$m,$gotourl);
 
 if ( $msg == "" ) {
   $dbconn->Begin("WORK");
   $msg .= $m->save();
   $dbconn->Commit("WORK");
 }
 $gotourl = $m->parent->getURL();


 $gotourl = addSessionKey($gotourl);
 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));


 Header("Status: 302 Moved Temporarily");
 Header("Location: ". getBaseUrl() . $gotourl);
 $dbconn->Close();
/*
 *  CVS Info:  $Id: mailbox_ins.php,v 1.10.2.1 2002/08/15 08:04:11 gokohnert Exp $
 *  $Author: gokohnert $
 */
?>
