<?
/*
 * Copyright 1999 - 2002 by Gero Kohnert
 */
 include("webelements.p3");
 include("permission.p3");
 include("mailbox.pinc");
 include("product.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("mailbox");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$m,$start=0,$search) {
   global $lang,$tutos,$link;

   if ( $m->mbox == "" ) {
     return;
   }

   $m->getfolders();
   echo "<FORM NAME=\"folderjump\" METHOD=\"GET\" ACTION=\"mailbox_overview.php\">\n";
   hiddenFormElements();
   echo $lang['MailActionGoto'];
   echo "<INPUT type=hidden name=id value=\"". $m->id ."\">\n";
   echo "<SELECT NAME=path>\n";
   @reset($m->allfolders);
   @ksort($m->allfolders);
   while (list ($key, $val) = @each($m->allfolders)) {
     echo "<OPTION VALUE=\"". base64_encode($key) ."\">+". myentities($val) ."</OPTION>\n";
   }
   echo "</SELECT>\n";
   echo "<input type=\"submit\" value=\"OK\" TITLE=\"OK\">\n";
   echo "</FORM>\n";

   if ( $search ) {
     $headers = imap_search($m->mbox,'TEXT "'. $search .'"');
   } else {
     $headers = imap_headers ($m->mbox);
   }

   $m->errors();
   if ($headers == false) {
     echo "<B>". sprintf($lang['MailCountInfo0'],$m->addpath) ."</B><BR>";
     return;
   }

   $cnt = count($headers);
   if ( $search ) {
     echo "<B>". sprintf($lang['MailCountInfoS'],$cnt,$search) ."</B><BR>";
   } else {
     echo "<B>". sprintf($lang['MailCountInfo'],$cnt) ."</B><BR>";
   }

   echo "<FORM NAME=\"folder\" METHOD=\"GET\" ACTION=\"mailbox_overview.php\">\n";

   hiddenFormElements();
   if ( $m->addpath != "" ) {
     echo "<INPUT type=hidden name=path value=\"". base64_encode($m->addpath) ."\">\n";
   }
   echo "<INPUT type=hidden name=search value=\"". $search ."\">\n";
   echo "<TABLE CLASS=single BORDER=1 CELLPADDING=3 CELLSPACING=0>\n";
   echo "<THEAD>\n";
   echo "<TR>\n";
   echo " <TH COLSPAN=7 CLASS=nodeco>";
   echo  menulink($m->parent->getUrl(),$m->parent->getFullname());
   if ( $m->email != "" ) {
     echo  "&nbsp; mails sent to &nbsp; &lt;". $m->email ."&gt;\n";
   }
   echo " </TH>\n";
   echo "</TR>\n";
   if ( $m->addpath != "" ) {
     echo "<TR>\n";
     echo " <TH COLSPAN=7>". $tutos[image][folder] ." ". myentities($m->addpath). "</TH>\n";
     echo "</TR>\n";
   }
   echo "<TR>\n";
   echo " <TH>ID</TH>\n";
   echo " <TH>". $lang['MailboxSDate'] ."</TH>\n";
   echo " <TH>". $lang['MailboxSubject'] ."</TH>\n";
   echo " <TH>". $lang['MailboxSender'] ."</TH>\n";
   echo " <TH>". $lang['MailboxFlags'] ."</TH>\n";
   echo " <TH>". $lang['MailSize'] ."</TH>\n";
   echo " <TH>&nbsp;</TH>\n";
   echo "</TR>\n";
   echo "</THEAD>\n";

   $n = 0;
   if ( $start == -1 ) {
     $start = $cnt - $tutos[maxshow];
     $end = $cnt;
   } else {
     $end = $start + $tutos[maxshow];
   }

   $d = new DateTime();

   echo "<TBODY>\n";
   while (list ($hkey,$hval) = each ($headers)) {
     flush();
     $n++;
     $sbj = "";
     if ( $n < $start ) {
       continue;
     }
     if ( $n > $end ) {
       break;
     }
	 $s = "";

     if ( $search ) {
       $hdr = imap_headerinfo($m->mbox,$hval );
       $id = $hval;
       $m->errors("mail headers of mail ". $id);
     } else {
       $hdr = imap_headerinfo($m->mbox,$hkey + 1 );
       $id = $hkey;
       $m->errors("mail headers of mail ". $id);
     }

     $u = trim(imap_uid($m->mbox,$hdr->Msgno));

     $d->setDateTimeTS($hdr->udate);
     echo "<TR>\n";
     echo " <TD NOWRAP>". makelink("mailbox_show.php?mno=". $u ."&id=". $m->id ."&path=". base64_encode($m->addpath)  ,$tutos[image][mail] . sprintf("%'_6d",$id) ,"") ."</TD>\n";
     if ( $hdr->date ) {
       echo " <TD>". $hdr->date ."</TD>\n";
     } else {
       echo " <TD>". $d->getDateTime() ."</TD>\n";
     }
     if ( isset($hdr->subject) ) {
       $x = imap_mime_header_decode($hdr->subject);
       if (isset($x[0])) {
         $s = $x[0]->text;
       } else {
         $s = "";
	   }
       if ( $search ) {
         $s = eregi_replace("(". $search .")","<SPAN CLASS=found>\\1</SPAN>",$s);
	   }
       echo " <TD>&nbsp;". $s ."</TD>\n";
     } else {
       echo " <TD><I><FONT SIZE=-2>NO SUBJECT</FONT></I></TD>\n";
	 }
     echo " <TD>\n";
     $pre = "";
     if ( isset($hdr->from) ) {
     @reset($hdr->from);
     while (list ($key,$val) = @each ($hdr->from)) {
       echo $pre;
       $adr = $m->make_mailto($val);
       if ( isset($val->personal) ) {
         echo AsEmail($val->personal,$adr,"Re:". $s);
       } else {
         echo AsEmail($adr,$adr,"Re:". $s);
       }
       $pre = "<BR>\n";
     }
	 }
     echo " </TD>\n";
     echo " <TD>&nbsp;". $hdr->Recent . $hdr->Unseen . $hdr->Answered . $hdr->Deleted . $hdr->Draft . $hdr->Flagged ."</TD>\n";
     echo " <TD ALIGN=right>". $hdr->Size ."</TD>\n";

     echo " <TD>\n";
     echo " <INPUT NAME=\"mark[]\" type=checkbox value=". $u .">\n";
     echo " </TD>\n";
     echo "</TR>\n";
     flush();
     unset ($hdr);
   }
   echo "</TBODY>\n";

   $l = $m->getUrl();
   $l = addUrlParameter($l,"path=".base64_Encode($m->addpath));
   if ( $search ) {
     $l = addUrlParameter($l,"search=".$search);
   }

   echo "<TFOOT>\n";
   ShowBackForwardNav($l,7,$start,$n,$cnt);

   echo "<TR>\n";
   echo "<TD COLSPAN=3>". $lang['MailAction'] ."</TD>\n";
   echo "<TD COLSPAN=4><SELECT NAME=\"mtarget\">\n";
   @reset($m->allfolders);
   @ksort($m->allfolders);
   while (list ($key, $val) = @each($m->allfolders)) {
     if ( $val != $m->addpath ) {
       echo "<OPTION VALUE=\"". base64_encode("+". $key) ."\">". sprintf($lang['MailActionCopy'],$val) ."</OPTION>\n";
	 }
   }
   @reset($m->allfolders);
   @ksort($m->allfolders);
   while (list ($key, $val) = @each($m->allfolders)) {
     if ( $val != $m->addpath ) {
       echo "<OPTION VALUE=\"". base64_encode("-". $key) ."\">". sprintf($lang['MailActionMove'],$val) ."</OPTION>\n";
	 }
   }
   echo "<OPTION VALUE=\"". base64_encode("TRASH") ."\" SELECTED>". $lang['MailActionDel']."</OPTION>\n";
   echo "<OPTION VALUE=\"". base64_encode("SEEN") ."\" SELECTED>". sprintf($lang['SetTo'],$lang['MailboxFlags'],"SEEN") ."</OPTION>\n";
   echo "<OPTION VALUE=\"". base64_encode("UNSEEN") ."\" SELECTED>". sprintf($lang['SetTo'],$lang['MailboxFlags'],"not SEEN") ."</OPTION>\n";
   echo "<OPTION VALUE=\"". base64_encode("FLAG") ."\" SELECTED>". sprintf($lang['SetTo'],$lang['MailboxFlags'],"FLAGGED") ."</OPTION>\n";
   echo "<OPTION VALUE=\"". base64_encode("UNFLAG") ."\" SELECTED>". sprintf($lang['SetTo'],$lang['MailboxFlags'],"UNFLAGGED") ."</OPTION>\n";
   echo "<OPTION VALUE=\"-1\" SELECTED>". $lang['MailActionNil'] ."</OPTION>\n";
   echo "</SELECT></TD>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   echo "<TD COLSPAN=3>". $lang['MailNewFolder'] ."</TD>\n";
   echo "<TD COLSPAN=3>\n";
   hiddenFormElements();
   echo "<INPUT type=hidden name=id value=\"". $m->id ."\">\n";
   echo "<INPUT name=new></INPUT>\n";
   echo "</TD>\n";
   echo "<TD COLSPAN=1><INPUT type=submit value=OK></TD>\n";
   echo "<TR>\n";
   echo "</TFOOT>\n";

   echo "</TABLE>\n";
   echo "</FORM>\n";
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate(&$m) {
   global $current_user,$lang;

   echo "<TABLE>";
   echo "<TR><TD>";
   if ( ($m->id > 0) && $m->see_ok() ) {
     if ( $current_user->feature_ok(usemailboxes,PERM_SEL) ) {
       $url = "mailbox_select.php?id=". $m->id ;
       $url = addUrlParameter($url,"path=".base64_Encode($m->addpath));
       echo menulink($url ,$lang['Search'],sprintf($lang['MailboxSearch'],$m->getFullname())) ."&nbsp;<BR>";
     }
   }
   if ( ($m->id > 0) && $m->mod_ok() ) {
     echo menulink("mailbox_new.php?id=". $m->id ,$lang['Modify'],sprintf($lang['MailboxModifyI'],$m->getFullname())) ."&nbsp;<BR>";
   }

   if ( ($m->id > 0) && ($m->addpath != "") ) {
     echo confirmlink("mailbox_overview.php?id=". $m->id ."&delfolder=". base64_Encode($m->addpath) ,$lang['Delete'],sprintf($lang['MailDelFolderI'],$m->addpath)) ."&nbsp;<BR>";
   }

   echo "</TD></TR>";

   HTML_Select();
 }



 $stop = 0;
 HTML_Header($lang['MailboxOverview']);

 $m = new mailbox($dbconn);
 if ( isset($HTTP_GET_VARS['id']) ) {
   $m->read($HTTP_GET_VARS['id']);
 } else {
   $stop = 1;
   $msg .= sprintf($lang['Err0040'],$lang[$m->getType()]);
 }
 if ( $m->id < 1 ) {
   $msg .= sprintf($lang['Err0040'],$lang[$m->getType()]);
 }

 $x = sprintf("mpw%d",$m->id);
 if ( isset($HTTP_POST_VARS['mbpw']) ) {
   $m->pw = $HTTP_POST_VARS['mbpw'];
   $HTTP_SESSION_VARS[$x] = $m->pw;
 } else if ( isset($HTTP_SESSION_VARS[$x]) ) {
   $m->pw = $HTTP_SESSION_VARS[$x];
 }

# if ( isset($parent) ) {
#   $m->parent = GetObject($dbconn,$parent);
# }
 if ( isset($HTTP_GET_VARS['path']) ) {
   $path = base64_Decode($HTTP_GET_VARS['path']);
   $m->setPath($path);
 } else {
   $path = "";
 }

 if ( (! isset($HTTP_GET_VARS['start'])) || ($HTTP_GET_VARS['start'] < -1) ) {
   $start = 0;
 } else {
   $start = $HTTP_GET_VARS['start'];
 }
 if (! isset($HTTP_GET_VARS['search']) ) {
   $search = "";
 } else {
   $search = $HTTP_GET_VARS['search'];
 }

 if ( ! $m->see_ok() ) {
   $msg .= sprintf($lang['Err0022'],$lang[$m->getType()]);
   $stop = 1;
 }

 # Open the box
 if ( ($stop == 0) ) {
   if (false == $m->open()) {
     $stop = 1;
   }
 }
 # Delete a mail
 if ( ($stop == 0) && isset($HTTP_GET_VARS['del']) ) {
   $m->delete_mail($HTTP_GET_VARS['del']);
   $msg .= $lang['MailboxEmail']. " deleted";
 }
 # Delete a folder
 if ( ($stop == 0) && isset($HTTP_GET_VARS['delfolder']) ) {
   if ( $HTTP_GET_VARS['delfolder'] != "" ){
     $m->deletefolder(base64_Decode($HTTP_GET_VARS['delfolder']));
     $msg .= "Folder ". base64_Decode($HTTP_GET_VARS['delfolder']) ." deleted";
   }
 }
 # Create new folder
 if ( ($stop == 0) && isset($HTTP_GET_VARS['new']) ) {
   if ( $HTTP_GET_VARS['new'] != "" ){
     $m->createfolder($HTTP_GET_VARS['new']);
     $msg .= "Folder ". $HTTP_GET_VARS['new'] ." created";
   }
 }
 # Some action
 if ( ($stop == 0) && isset($HTTP_GET_VARS['mtarget']) ) {
   if ( $HTTP_GET_VARS['mtarget'] != -1 ) {
     $mtarget = base64_decode($HTTP_GET_VARS['mtarget']);
#     $msg .= "action ". $mtarget ."<BR>\n";
     @reset($HTTP_GET_VARS['mark']);
     while (list ($key,$val) = @each ($HTTP_GET_VARS['mark'])) {
       if ( $mtarget == "FLAG" ) {
         $m->flag_mail($val,"\\Flagged");
       } else if ( $mtarget == "UNFLAG" ) {
         $m->unflag_mail($val,"\\Flagged");
       } else if ( $mtarget == "SEEN" ) {
         $m->flag_mail($val,"\\Seen");
       } else if ( $mtarget == "UNSEEN" ) {
         $m->unflag_mail($val,"\\Seen");
       } else if ( $mtarget == "TRASH" ) {
         $m->delete_mail($val);
#	     $msg .= "delete $val <BR>\n";
       } else if ( ereg("^\+(.*)",$mtarget,$mm) ) {
         imap_mail_copy($m->mbox,$val,$m->orgpath.$mm[1],FT_UID);
#	     $msg .= "copy $val to ". $mm[1]."<BR>\n";
       } else if ( ereg("^-(.*)",$mtarget,$mm) ) {
         imap_mail_move($m->mbox,$val,$m->orgpath.$mm[1],FT_UID);
#	     $msg .= "move $val to ". $mm[1]."<BR>\n";
       }
     }
   }
 }


 HTML_Base1();
 navigate($m);

 HTML_Base2($msg);
 if ( $stop == 0 ) {
   if ( ($m->id > 0) ) {
     info($m,$start,$search);
   } else {
     $m->ask_password();
   }
 }
 HTML_Base3();

 $m->close();
 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: mailbox_overview.php,v 1.23.2.3 2002/09/09 17:46:11 gokohnert Exp $
    $Author: gokohnert $
-->
