<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * Display mails
 *
 * CVS Info:  $Id: mailbox_show.php,v 1.19.2.2 2002/09/09 17:46:11 gokohnert Exp $
 * $Author: gokohnert $
 *
 * @modulegroup mailbox
 * @module mailbox_show
 * @package mailbox
 *
 */
 include("webelements.p3");
 include("permission.p3");
 include("mailbox.pinc");
 include("product.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("mailbox");

 $enc[0] = "7Bit";
 $enc[1] = "8Bit";
 $enc[2] = "BINARY";
 $enc[3] = "BASE64";
 $enc[4] = "QUOTED PRINTABLE";
 $type[0] = "text";
 $type[1] = "multipart";
 $type[2] = "message";
 $type[3] = "application";
 $type[4] = "audio";
 $type[5] = "image";
 $type[6] = "video";
 $type[7] = "other";

 /* ---------------------------------------------------------------------------
  *
  */
 Function dump_para(&$arr,$name) {
#echo "$name :". gettype($arr);
     while (list ($key,$val) = each ($arr)) {
       echo "<TR>\n";
       echo " <TD><FONT SIZE=-2>D:". $key ."</FONT></TD>\n";
       if ( gettype($val) == "array" ) {
         echo " <TD>$name ARR</TD>\n";
         echo "</TR>\n";
         reset($val);
         dump_para($val,$name);
       } else
       if ( gettype($val) == "object" ) {
         echo " <TD>$name Obj</TD>\n";
         echo "</TR>\n";
         dump_para($val,$name);
       } else {
         echo " <TD><FONT SIZE=-2>". $val ."</FONT></TD>\n";
         echo "</TR>\n";
       }
     }
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function show_data(&$m,$id,$pnr,$type,$encode) {
   $b = imap_fetchbody($m->mbox,$id,$pnr,FT_PEEK | FT_UID );
   if ( $encode == 4 ) {
      $b = imap_qprint($b);
   }
   if ( $encode == 3 ) {
     $b = imap_base64($b);
   }
   return $b;
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function show_part(&$m,$id,&$arr,$pnr = -1) {
   global $lang, $enc, $type, $header, $tutos;

#   echo "AT:". $arr->type ." AE:". $arr->encoding ." PNR:". $pnr ."<BR>";
   if ( !isset($arr->type) ) {
     $arr->type = "";
   }
   if ( !isset($arr->encoding) ) {
     $arr->encoding = "";
   }
   if ( ($arr->type == 1) ) {
     if ( $pnr == -1 ) {
       $pnr = 0;
     }
     echo "<TR>\n";
     echo " <TH COLSPAN=2>$pnr". $type[$arr->type] ."/". $arr->subtype ."</TH>\n";
     echo "</TR>\n";
     $sub = 1;
     while (list ($key,$val) = each ($arr->parts)) {
       if ( $pnr > 0 ) {
         show_part($m,$id,$val,$pnr .".". $sub);
       } else {
         show_part($m,$id,$val,$sub);
       }
       $sub++;
     }
     return;
   } else {
     if ( $pnr == -1 ) {
       $pnr = 1;
     }
   }

   $url = "mailbox_show.php?id=". $m->id ."&path=". Base64_Encode($m->addpath);
   $url= addUrlParameter($url,"mno=".$id);
   $url= addUrlParameter($url,"t=".$arr->type);
   $url= addUrlParameter($url,"e=".$arr->encoding);
   $url= addUrlParameter($url,"s=".$arr->subtype);

   # Common Header
   echo "<TR><TD COLSPAN=2><HR NOSHADE></TD></TR>\n";

   echo "<TR>\n";
   echo " <TH COLSPAN=2>\n";
   if ( $arr->type != 0 ) {
     echo "  ". $tutos[image][paper] ."&nbsp;";
   }
   echo $type[0 + $arr->type] ."/". $arr->subtype ."</TD>\n";
   echo "</TR>\n";
   if ( $arr->ifdescription ) {
     echo "<TR>\n";
     echo " <TD><B>". $lang['Description'] ."</B></TD><TD>". $arr->description ."</TD>\n";
     echo "</TR>\n";
   }
   if ( $arr->bytes > 0 ) {
     echo "<TR>\n";
     showfield($lang['MailSize']);
     echo " <TD>". $arr->bytes ." Bytes</TD>\n";
     echo "</TR>\n";
   }

   if ( $arr->ifdparameters ) {
     while (list ($key,$val) = each ($arr->dparameters)) {
       if ( strtolower($val->attribute) == "filename" ) {
         echo "<TR>\n";
         echo " <TD><B>". $lang['FileName'] ."</B></TD>\n";
         $x =  imap_mime_header_decode($val->value);
         echo " <TD>". $x[0]->text ."</TD>\n";
         echo "</TR>\n";
         $fname = $x[0]->text;
         $url= addUrlParameter($url,"fn=".UrlEncode($fname));
       }
     }
   }

   # Texttypes
   if ( ($arr->type == 0) ) {
     $url= addUrlParameter($url,"part=".$pnr);

     if ( $arr->ifparameters ) {
#       dump_para($arr->parameters,"PARA");
     }
     echo "<TR>\n";
     if ( $arr->subtype == "HTML" ) {
       echo " <TD COLSPAN=2>\n";
       echo "". makelink($url ."&format=show", $lang['FileShow'],$lang['FileShow']);
       echo " </TD>\n";
     } else {
       echo " <TD COLSPAN=2 CLASS=pre>\n";
       echo "<PRE>". urlReplace(show_data($m,$id,$pnr,0,$arr->encoding)) . "</PRE>";
       echo " </TD>\n";
     }
     echo "</TR>\n";
   } else if ( ($arr->type == 2) ) {
     # Message
     $b = show_data($m,$id,$pnr,0,$arr->encoding);
     echo "<TR>\n";
     echo " <TD COLSPAN=2 CLASS=pre>\n";
     echo " <PRE>". $b . "</PRE>";
     echo " </TD>\n";
     echo "</TR>\n";
   } else if ( ($arr->type == 3) ) {
     # Application
     $url= addUrlParameter($url,"part=".$pnr);

     if ( $arr->ifid ) {
       echo "<TR>\n";
       echo " <TD><B>ID</B></TD>\n";
       echo " <TD>". $arr->id ."</TD>\n";
       echo "</TR>\n";
     }
     if ( $arr->ifdisposition ) {
       echo "<TR>\n";
       echo " <TD><B>Disposition</B></TD>\n";
       echo " <TD>". $arr->disposition ."</TD>\n";
       echo "</TR>\n";
     }
     if ( $arr->ifparameters ) {
#       dump_para($arr->parameters,"PARA");
     }

     echo "<TR>\n";
     echo " <TD COLSPAN=2>\n";
     echo "". makelink($url ."&format=show", $lang['FileShow'],$lang['FileShow']);
     echo "&nbsp;/&nbsp;";
     echo "". makelink($url ."&format=download", $lang['FileDownload'],$lang['FileDownload']);
     echo " </TD>\n";
     echo "</TR>\n";
   } else if ( ($arr->type == 5) || ($arr->type == 6) ) {
     # Image
     $url= addUrlParameter($url,"part=".$pnr);

     if ( $arr->ifparameters ) {
#       dump_para($arr->parameters,"PARA");
     }
     echo "<TR>\n";
     echo " <TD COLSPAN=2>\n";
     echo "". makelink($url ."&format=show", $lang['FileShow'],$lang['FileShow']);
     echo "&nbsp;/&nbsp;";
     echo "". makelink($url ."&format=download", $lang['FileDownload'],$lang['FileDownload']);
     echo " </TD>\n";
     echo "</TR>\n";
   } else {
     /* Unknown part */
     echo "<TR>\n";
     echo " <TD><B>Unknown ". $arr->type ."</B></TD>\n";
     echo " <TD>X". $arr->encoding ."</TD>\n";
     echo "</TR>\n";
   }
 }
 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$m,$id,$header = 0) {
   global $lang,$tutos,$link;

   $hdr = imap_headerinfo($m->mbox,imap_msgno($m->mbox,$id) );
   $d = new DateTime();
   $d->setDateTimeTS($hdr->udate);

   echo "<TABLE CLASS=single BORDER=0 CELLPADDING=3 CELLSPACING=0>\n";

   echo "<TR>\n";
   echo " <TH COLSPAN=2>Mail</TD>\n";
   echo "</TR>\n";

#   echo "<TR>\n";
#   echo " <TD><B></B></TD>\n";
#   echo " <TD>". $id ."</TD>\n";
#   echo "</TR>\n";

   echo "<TR>\n";

   showfield($lang['MailDate']);
   if ( $hdr->date ) {
     echo " <TD>". $hdr->date ."</TD>\n";
   } else {
     echo " <TD>". $d->getDateTime() ."</TD>\n";
   }
   echo "</TR>\n";

   echo "<TR>\n";
   showfield($lang['MailFrom']);
   echo " <TD>\n";
   $pre = "";
   @reset($hdr->from);
   while (list ($key,$val) = @each ($hdr->from)) {
    echo $pre ."". $val->personal ."";
    $em =  $val->mailbox ."@". $val->host;
    echo "&nbsp;&lt;". AsEmail($em, $em) ."&gt;" ;
    $pre = "<BR>\n";
   }
   echo " </TD>\n";
   echo "</TR>\n";

   if ( count($hdr->to) ) {
     @reset($hdr->to);
     echo "<TR>\n";
     showfield($lang['MailTo']);
     echo " <TD>\n";
     $pre = "";
     while (list ($key,$val) = @each ($hdr->to)) {
      echo $pre;
      if (isset($val->personal)) {
        $s = imap_mime_header_decode($val->personal);
        echo  $s[0]->text;
      }
      $em =  $val->mailbox ."@". $val->host;
      echo "&nbsp;&lt;". AsEmail($em, $em) ."&gt;" ;
      $pre = "<BR>\n";
     }
     echo " </TD>\n";
     echo "</TR>\n";
   }

   if ( isset($hdr->cc) && (count($hdr->cc) >0) ) {
     @reset($hdr->cc);
     echo "<TR>\n";
     showfield($lang['MailCc']);
     echo " <TD>\n";
     $pre = "";
     while (list ($key,$val) = @each ($hdr->cc)) {
      echo $pre;
      if (isset($val->personal)) {
        $s = imap_mime_header_decode($val->personal);
        echo  $s[0]->text;
      }
      $em =  $val->mailbox ."@". $val->host;
      echo "&nbsp;&lt;". AsEmail($em, $em) ."&gt;" ;
      $pre = "<BR>\n";
     }
     echo " </TD>\n";
     echo "</TR>\n";
   }

   echo "<TR>\n";
   $s = imap_mime_header_decode($hdr->subject);

   showfield($lang['MailSubject']);
   if ( isset($s[0]) ) {
     echo " <TD>". $s[0]->text ."&nbsp;</TD>\n";
   } else {
     echo " <TD>&nbsp;</TD>\n";
   }
   echo "</TR>\n";

   $url = "mailbox_show.php";
   $url = addSessionKey($url);
   $url = addUrlParameter($url,"id=". $m->id );
   $url = addUrlParameter($url,"mno=". $id );
   $url = addUrlParameter($url,"path=". Base64_Encode($m->addpath) );

   if ( $header == 0 ) {
	 $url = addUrlParameter($url,"header=1");
     echo "<TR>\n";
     echo " <TD COLSPAN=2 ALIGN=right>". makelink($url,"SHOW HEADER") ."</TD>\n";
     echo "</TR>\n";
   } else {
	 $url = addUrlParameter($url,"header=0");
     echo "<TR>\n";
     echo " <TD COLSPAN=2 ALIGN=right>". makelink($url,"HIDE HEADER") ."</TD>\n";
     echo "</TR>\n";
     # Header
	 $b = imap_fetchheader($m->mbox,$id,FT_PEEK | FT_UID);
	 echo "<TR>\n";
	 echo " <TH COLSPAN=2>Header</TH>\n";
	 echo "</TR>\n";
	 echo "<TR>\n";
	 echo " <TD COLSPAN=2 CLASS=pre><FONT SIZE=-1>\n";
	 echo "<PRE>". $b . "</PRE>";
	 echo " </FONT></TD>\n";
	 echo "</TR>\n";
   }
#   dump_para($hdr,"HEADER");


   show_part($m,$id,imap_fetchstructure($m->mbox,$id, FT_UID));

   $e = imap_errors();
   if ( $e ) {
     dump_para($e,"ERROR");
   }
   echo "</TABLE>\n";
 }

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate(&$m,$mno) {
   global $lang;

   echo "<TABLE>";
   echo "<TR><TD>";
   $url = $m->getUrl();
   if ( $m->addpath != "" ) {
     $url= addUrlParameter($url,"path=".Base64_Encode($m->addpath));
   }
   echo menulink($url,$lang['MailboxOverview'],$lang['MailboxOverview']) ."<BR>\n";
   $u= addUrlParameter($url,"del=".$mno);
   echo confirmlink($u,$lang['Delete'],$lang['MailDeleteI']) ."<BR>\n";

   echo "</TD></TR>";

   HTML_Select();
 }


 $m = new mailbox($dbconn);
 $m->read($HTTP_GET_VARS['id']);
 if ( isset($HTTP_GET_VARS['path']) ) {
   $path = Base64_Decode($HTTP_GET_VARS['path']);
   $m->setPath($path);
 }

 $x = sprintf("mpw%d",$m->id);
 if ( isset($HTTP_POST_VARS['mbpw']) ) {
   $m->pw = $HTTP_POST_VARS['mbpw'];
   $HTTP_SESSION_VARS[$x] = $m->pw;
 } else if ( isset($HTTP_SESSION_VARS[$x]) ) {
   $m->pw = $HTTP_SESSION_VARS[$x];
 }

 if ( $m->id < 1 ) {
   $msg .= sprintf($lang['Err0040'],$lang[$m->getType()]);
 } else {
   $m->open();
 }

 if ( isset($HTTP_GET_VARS['header']) ) {
   $header = $HTTP_GET_VARS['header'];
 } else {
   $header = 0;
 }

 if ( isset( $HTTP_GET_VARS['format']) ) {
   $format =  $HTTP_GET_VARS['format'];
 } else {
   $format = "";
 }

 if ( $HTTP_GET_VARS['t'] == "" ) {
   $t = 0 ;
 } else {
   $t = $HTTP_GET_VARS['t'] ;
 }
 if ( $format == "show" ) {
   $ctype = strtolower($type[$t] ."/". strtolower($HTTP_GET_VARS['s']));
   # Show without decoration

   $b = show_data($m,$HTTP_GET_VARS['mno'],$HTTP_GET_VARS['part'],$t,$HTTP_GET_VARS['e']);
   if ( ($ctype == "application/msword") || ($ctype == "application/doc") ) {
     if ( is_executable($tutos[wvHtml])) {
       $fd = fopen("../tmp/xx.doc","w+") ;
       fputs ($fd,$b);
       fclose($fd);
       @passthru($tutos[wvHtml] ." --dir ../tmp ../tmp/xx.doc");
     }
   } else if ( $ctype == "image/gif" ) {
     Header("Content-type: " . $ctype);
     echo $b;
   } else if ( $ctype == "image/jpeg" ) {
     Header("Content-type: " . $ctype);
     echo $b;
   } else if ( $ctype == "text/html" ) {
     Header("Content-type: " . $ctype);
     echo $b;
   } else {
     Header("Content-type: text/plain");
     echo $b;
   }
 } else if ( $format == "download" ) {
   # Show without decoration
   $ctype = strtolower($type[$t] ."/". strtolower($HTTP_GET_VARS['s']));
   Header("Content-type: ". $ctype);
   Header("Content-Disposition: attachment; filename=\"". $HTTP_GET_VARS['fn'] ."\"");
   Header("Content-Description: Upload from TUTOS" );
   $b = show_data($m,$HTTP_GET_VARS['mno'],$HTTP_GET_VARS['part'],$t,$HTTP_GET_VARS['e']);
   echo $b;
 } else {
   HTML_Header($lang['MailboxDetail']);

   HTML_Base1();
   navigate($m,$HTTP_GET_VARS['mno']);
   HTML_Base2($msg);
   if ( $m->id > 0 ) {
     info($m,$HTTP_GET_VARS['mno'],$header);
   }
   HTML_Base3();
 }
 $m->close();
 $dbconn->Close();
?>
