<?
/**
 * Copyright 2001 Boris Wesslowski
 *
 * @modulegroup BASE
 * @module message_overview
 * @package ADMIN
 */
 include("webelements.p3");
 include("permission.p3");

 check_user();

 Function info($start) {
   global $link1,$dbconn,$lang,$tutos,$current_user;

   if ( $current_user->admin == 0) {
     echo "<SPAN CLASS=warn>Only admins are allowed to see this</SPAN><BR>\n";
     return;
   }

   $query = "SELECT * FROM messages ORDER by ts";
   $result = $dbconn->Exec($query);

   $n = $result->numrows();
   if ( 0 == $n) {
     return;
   }

   if ( $start == -1 ) {
     $a = $n - $tutos[maxshow];
     $end = $n;
     $start = $a;
   } else {
     $a = $start;
     $end = $start + $tutos[maxshow];
   }

   echo "<TABLE CLASS=single BORDER=1 CELLPADDING=3 CELLSPACING=0>\n";
   echo "<THEAD>\n";
   echo "<TR>\n";
   echo "<TH>Timestamp</TH><TH>Message</TH>\n";
   echo "</TR>\n";
   echo "</THEAD>\n";

   echo "<TBODY>\n";
   while ( ($a < $n) && ($a < $end) ) {
     echo "<TR>\n";
     echo " <TD>". $result->get($a, "ts") ."</TD>\n";
     echo " <TD>". $result->get($a, "message") ."</TD>\n";
     echo "</TR>\n";
     $a++;
   }
   echo "</TBODY>\n";
   ShowBackForwardNav($link1,2,$start,$a,$n);
   echo "</TABLE>\n";
   $result->free();
 }

 Function navigate() {
   global $current_user,$lang;

   echo "<TABLE>";
   echo "<TR><TD>";
   if ( ($current_user->admin == 1) ) {
     echo menulink("message_del.php","Delete messages","Delete all messages");
   }
   echo "</TD></TR>";

   HTML_Select();
 }

 HTML_Header("Messages");

 if ( ! isset($HTTP_GET_VARS['start']) ) {
   $start = 0;
 } else {
   $start = $HTTP_GET_VARS['start'];
 }
 $link1 = "message_overview.php";

 HTML_Base1();
 navigate();
 HTML_Base2($msg);
 info($start);
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: message_overview.php,v 1.12 2002/07/22 12:19:04 gokohnert Exp $
    $Author: gokohnert $
-->
