<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * this script parses all the inputs and stores the object into the database.
 * on completition it jumps to the detail screen of the stored object
 *
 * @modulegroup note
 * @module note_ins
 * @package note
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include 'webelements.p3';
 include 'permission.p3';

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("note");
 loadmodule("note");

 /* Check Input */
 $gotourl = "note/note_new.php";
 
 $msg = "";
 $u = new note($dbconn);

 if ( isset($HTTP_POST_VARS['id']) ) {
   $u->read($HTTP_POST_VARS['id']);
   $gotourl= addUrlParameter($gotourl,"id=". $u->id);
 } else {
   $u->creator = $current_user;
 }
 if ( empty($HTTP_POST_VARS['name']) ) {
   $msg .= sprintf($lang['Err0009'],$lang['NoteName']) ."<BR>";
 } else {
   $u->setName(StripSlashes($HTTP_POST_VARS['name']));
   $gotourl= addUrlParameter($gotourl,"name=". UrlEncode($u->name));
 }
 if ( empty($HTTP_POST_VARS['note']) ) {
   $msg .= sprintf($lang['Err0009'],$lang['NoteDescription']) ."<BR>";
 } else {
   $u->setText(StripSlashes($HTTP_POST_VARS['note']));
   $gotourl= addUrlParameter($gotourl,"note=". UrlEncode($u->note));
 }
 if ( empty($HTTP_POST_VARS['link_id']) ) {
   $msg .= "No Link ID given !<BR>";
 } else {
   $u->link_id = $HTTP_POST_VARS['link_id'];
   $gotourl= addUrlParameter($gotourl,"link_id=". $u->link_id);
   $u->read_reference();
 }

 $r = new DateTime(0);
 $r->setDateTimeF("remember");
 $u->setRemember($r);

 $gotourl= addUrlParameter($gotourl,"remember=". $u->remember->getYYYYMMDD() );
 if ( 1 != $r->checkDMY() ) {
   $msg .= sprintf($lang['Err0038'],$lang['NoteRemember']) ."<BR>";
 }

 # other modules
 $msg .= module_parseforms($current_user,$u,$gotourl);

 if ( $msg == "" ) {
   $dbconn->Begin("WORK");
   $msg .= $u->save();
   $dbconn->Commit("WORK");
   $gotourl = $u->ref->getURL();
 }
 $gotourl = addSessionKey($gotourl);
 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". dirname(getBaseUrl()) ."/". $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: note_ins.php,v 1.1.2.1 2002/08/15 08:04:12 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
