<?
/*
 * Copyright 1999/2000/2001 by Gero Kohnert
 * submitted by "Nonn" <nonn at resce.com>
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include("webelements.p3");
 include("permission.p3");

 include("appointment.pinc");
 include("bug.pinc");
 include("installation.pinc");
 include("product.pinc");
 include("task.pinc");
 include("timetrack.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("note");
 loadmodule("note");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$dbconn,&$result,$start=0) {
   global $lang,$tutos,$link1,$link2,$format,$filter;

   $n = $result->numrows();
   if ( 0 == $n) {
     echo "<SPAN CLASS=warn>". $lang['Err0048'] ."</SPAN>";
     return;
   }
   $blist = array();
   # Make a big array of all visible notes
   $x = 0;
   while ( $x < $n ) {
     $b = new note($dbconn);
     $b->read_result($result,$x);
     $x++;
     if ( ! $b->see_ok() ) {
       continue;
     }
     $blist[] = &$b;
     unset($b);
   }
   $n = count($blist);
   if ( 0 == $n) {
     echo $lang['Err0048'];
     return;
   }

   echo "<TABLE BORDER=1 CELLPADDING=3 CELLSPACING=0>\n";
   echo "<THEAD>\n";
   echo "<TR>\n";
   echo order_header("notes.creation",$lang['created'],$link2);
   echo order_header("",$lang['NoteName'],$link2);
   echo order_header("notes.link_id",$lang['NoteReference'],$link2);
   echo order_header("notes.creator",$lang['NoteCreator'],$link2);
   echo "</TR>\n";
   echo "</THEAD>\n";

   if ( $start == -1 ) {
     # Show the last pasrt
     $a = $n - $tutos[maxshow];
     $end = $n;
     $start = $a;
   } else {
     $a = $start;
     $end = $start + $tutos[maxshow];
   }

   echo "<TBODY>\n";
   while ( ($a < $n) && ($a < $end) ) {
     $b = &$blist[$a];
     $b->read_reference();

     echo "<TR>\n";
     echo " <TD>". $b->creation->getDateTime() ."</TD>\n";
	 $x = myentities($b->getFullName());
	 if ( $filter['name'] != "" ) {
	   $x = eregi_replace("(". $filter['name'] .")","<SPAN CLASS=found>\\1</SPAN>",$x);
	 }
     echo " <TD>". makelink($b->getUrl(),$x) ."</TD>\n";
     echo " <TD>&nbsp;". $b->ref->getLink() ."</TD>\n";
     echo " <TD>&nbsp;". $b->creator->getLink($b->creator->getShortname()) ."</TD>\n";
     echo "</TR>\n";
     unset($b);
     $a++;
   }
   echo "</TBODY>\n";

   ShowBackForwardNav($link1,7,$start,$a,$n);
   echo "</TABLE>\n";
 }

/* ---------------------------------------------------------------------------
  *
  */
 Function navigate($link2) {
   global $lang,$current_user;

   echo "<TABLE>";
   echo "<TR><TD>";
   echo note::getSelectLink($current_user,$lang['Search'])."<BR>\n";
   echo "</TD></TR>";

   HTML_Select();
 }


 $link1 = "note/note_overview.php";
 $filter = array();
 $reftype = "";
 $name = "";
 $nsrn = "";
 $nscr = "";

 HTML_Header($lang['NotesOverview']);
 if ( isset($HTTP_GET_VARS['reftype']) ) {
   $reftype = $HTTP_GET_VARS['reftype'];
 }
 if ( isset($HTTP_GET_VARS['name']) ) {
   $name = $HTTP_GET_VARS['name'];
 }
 if ( isset($HTTP_GET_VARS['nsrn']) ) {
   $nsrn = $HTTP_GET_VARS['nsrn'];
 }
 if ( isset($HTTP_GET_VARS['nscr']) ) {
   $nscr = $HTTP_GET_VARS['nscr'];
 }

 $j = "SELECT * FROM notes";   // select + join
 $q = "";
 $pre = " WHERE ";

 if ( ($name != "*") && ($name != "") ) {
   $q .= " " . $pre ."(". $dbconn->Like("notes.note",$name) ." OR ". $dbconn->Like("notes.name",$name) .")";
   $pre = " AND ";
   $link1 = addUrlParameter($link1,"name=".UrlEncode($name));
   $filter['name'] = $name;
 } else {
   $filter['name'] = "";
 }

 if ( isset($HTTP_GET_VARS['id']) ) {
   $q .= " ". $pre ." notes.id = ".$HTTP_GET_VARS['id'];
   $pre = " AND ";
   $link1 = addUrlParameter($link1,"id=". $HTTP_GET_VARS['id']);
 }

 if ( isset($HTTP_GET_VARS['link_id']) ) {
   $q .= " ". $pre ." notes.link_id = ".$HTTP_GET_VARS['link_id'];
   $pre = " AND ";
   $link1 = addUrlParameter($link1,"link_id=". $HTTP_GET_VARS['link_id']);
 }

 # References to display
 if ( ($reftype > 0) || ($reftype > 0 && ($nsrn != "*") && ($nsrn != "")) )  {
   if ( ! isset($nsrn) || ($nsrn == "*") ) {
     $nsrn = "";
   }
   if ( ($reftype == 1) || ($reftype == -1) ) {
     $j .= ", companies ";
     $q .= " ". $pre . "(notes.link_id=companies.id AND ". $dbconn->Like("companies.name",$nsrn) .")";
     $pre = " OR ";
   }
   if ( ($reftype == 2) || ($reftype == -1) ) {
     $j .= ",departments";
     $q .= " ". $pre . "(notes.link_id=departments.id AND ". $dbconn->Like("departments.name",$nsrn) .")";
     $pre = " OR ";
   }
   if ( ($reftype == 3) || ($reftype == -1) ) {
     $j .= ",addresses ";
     $q .= $pre ."( (";
     $q .= $dbconn->Like("addresses.f_name",$nsrn) ." OR ";
     $q .= $dbconn->Like("addresses.m_name",$nsrn) ." OR ";
     $q .= $dbconn->Like("addresses.l_name",$nsrn) .")";
     $q .= " AND notes.link_id=addresses.id )";
     $pre = " OR ";
   }
   if ( ($reftype == 4) || ($reftype == -1) ) {
     $j .= ",bugs ";
     $q .= $pre . "(notes.link_id=bugs.id AND ". $dbconn->Like("bugs.short",$nsrn) .")";
     $pre = " OR ";
   }
   if ( ($reftype == 5) || ($reftype == -1) ) {
     $j .= ",products ";
     $q .= $pre ."( notes.link_id=products.id AND (";
     $q .= $dbconn->Like("products.name",$nsrn) ." OR ";
     $q .= $dbconn->Like("products.version",$nsrn) .") )";
     $pre = " OR ";
   }
   if ( ($reftype == 6) || ($reftype == -1) ) {
     $j .= ",teams ";
     $q .= $pre . "(notes.link_id=teams.id AND ". $dbconn->Like("teams.name",$nsrn) .")";
     $pre = " OR ";
   }
   if ( ($reftype == 7) || ($reftype == -1) ) {
     $j .= ",tasks ";
     $q .= $pre . "(notes.link_id=tasks.id AND ". $dbconn->Like("tasks.name",$nsrn) .")";
     $pre = " OR ";
   }
   if ( ($reftype == 8) || ($reftype == -1) ) {
     $j .= ",installations ";
     if ( ! stristr($j, "products") ) {
       $j .= ",products ";
     }
     $q .= $pre ."( notes.link_id=installations.id AND installations.product_id=products.id AND (";
     $q .= $dbconn->Like("products.name",$nsrn) ." OR ";
     $q .= $dbconn->Like("products.version",$nsrn) .") )";
     $pre = " OR ";
   }
   $pre = "AND ";

   $link1 = addUrlParameter($link1,"reftype=". $reftype);
   $link1 = addUrlParameter($link1,"nsrn=". $nsrn);
   # remember this
   $HTTP_SESSION_VARS['notesearchreftype'] = $reftype;
   $filter['reftype'] = $reftype;
 }
 if ( ($nscr != "*") && ($nscr != "") ) {
   $j .= ", addresses ";
   $q .= $pre ."( (";
   $q .= $dbconn->Like("addresses.f_name",$nscr) ." OR ";
   $q .= $dbconn->Like("addresses.m_name",$nscr) ." OR ";
   $q .= $dbconn->Like("addresses.l_name",$nscr) .")";
   $q .= " AND notes.creator=addresses.id )";
   $pre = "AND ";
   $link1 = addUrlParameter($link1,"nscr=".UrlEncode($nscr));

   $filter['nscr'] = $nscr;
 }

 # Start Date for search
 $from = new DateTime(0);
 if ( isset($HTTP_GET_VARS['fd']) ) {
   $from->setDateTime($HTTP_GET_VARS['fd']);
 } else {
   $from->setDateTimeF("f");
   # remember this
   $HTTP_SESSION_VARS['notesearchfrom'] = $from->getYYYYMMDD();
 }
 if ( $from->notime != 1 ) {
   $q .= $pre ."(notes.creation >= ". $dbconn->Date($from) .")";
   $pre = "AND ";
   $link1 = addUrlParameter($link1,"fd=".$from->getYYYYMMDD());
   $filter['from'] = $from;
 }
 # End Date for search
 $to = new DateTime(0);
 if ( isset($HTTP_GET_VARS['td']) ) {
   $to->setDateTime($HTTP_GET_VARS['td']);
 } else {
   $to->setDateTimeF("t");
   # remember this
   $HTTP_SESSION_VARS['notesearchto'] = $to->getYYYYMMDD();
 }
 if ( $to->notime != 1 ) {
   $q .= $pre ."(notes.creation <= ". $dbconn->Date($to) .")";
   $pre = "AND ";
   $link1 = addUrlParameter($link1,"td=".$to->getYYYYMMDD());
   $filter['to'] = $to;
 }


 # sorting
 $xxx = "";
 $link2 = $link1;
 order_parse($q,$link1,$xxx,$xxx,"notes.creation DESC");

 $q = $j.$q;
 $result = $dbconn->Exec($q);

 if ( isset($HTTP_GET_VARS['start']) ) {
   $start = $HTTP_GET_VARS['start'];
 } else {
   $start = 0;
 }
 HTML_Base1();
 navigate($link2);
 HTML_Base2($msg);

 info($dbconn,$result,$start);

 HTML_Base3();

 $result->free();
 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: note_overview.php,v 1.7.2.1 2002/09/09 17:46:14 gokohnert Exp $
    $Author: gokohnert $
-->
