<?
/**
 * Copyright 2000 - 2002 by Gero Kohnert
 *
 * @modulegroup note
 * @module note_show
 * @package note
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include("webelements.p3");
 include("permission.p3");


 /* Check if user is allowed to use it */
 check_user();
 loadmodules("note");
 loadmodule("note");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$obj) {
   global $lang , $current_user,$tutos;

   echo "<TABLE CLASS=single BORDER=0 CELLPADDING=3 CELLSPACING=0>\n";
   echo "<TR><TH COLSPAN=4>". $lang['Note'] ."</TH></TR>\n";

   echo "<TR>\n";
   showfield($lang['createdby']);
   echo " <TD>". $obj->creator->getLink() ."</TD>\n";
   showfield($lang['atDateTime']);
   echo "<TD>". $obj->creation->getLinkDateTime() ."</TD>";
   echo "</TR>\n";

   echo "<TR>\n";
   showfield($lang['NoteName']);
   echo "<TD COLSPAN=3><B><FONT SIZE=\"+1\">". $obj->name ."</FONT><B></TD>";
   echo "</TR>\n";

   echo "<TR>\n";
   showfield($lang['NoteReference']);
   echo "<TD COLSPAN=3>". $obj->getRefLink() ."</TD>";
   echo "</TR>\n";

   if ( $obj->remember->notime != 1 ) {
     echo "<TR>\n";
     showfield($lang['NoteRemember']);
     echo "<TD COLSPAN=3>". $obj->remember->getDate() ."</TD>";
     echo "</TR>\n";
   }
   echo "<TR>\n";
   echo " <TD COLSPAN=4 CLASS=pre><PRE>". urlReplace($obj->note) ."</PRE></TD>";
   echo "</TR>\n";

   echo "<TR>\n";
   echo " <TD COLSPAN=2><FONT SIZE=\"-2\">";
   if ( $obj->del_ok() ) {
     echo confirmlink("note/note_del.php?id=". $obj->id ,$lang['NoteDelete'],$lang['NoteDelete']);
   } else {
     echo " <FONT SIZE=\"-2\">". $lang['NoteDelete'] ."</FONT>";
   }
   echo "</FONT></TD>";
   echo " <TD COLSPAN=2><FONT SIZE=\"-2\">";
   if ( $obj->mod_ok() ) {
     echo makelink("note/note_new.php?id=". $obj->id ,$lang['NoteMod'],$lang['NoteMod']);
   } else {
     echo " <FONT SIZE=\"-2\">". $lang['NoteMod'] ."</FONT>";
   }
   echo "</TR>\n";
   # References to modules
   show_module_infolists($current_user,$obj,4);
   echo $obj->getHistoryLink(4);

   echo "</TABLE>\n";
 }

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate() {
   global $lang,$current_user;

   echo "<TABLE>";
   echo "<TR><TD>";
   echo note::getSelectLink($current_user,$lang['Search'])."<BR>\n";
   echo "<BR>\n";
   # show_module_addlinks($current_user,$obj);

   echo "</TD></TR>";

   HTML_Select();
 }

 if ( isset($HTTP_GET_VARS['id']) ) {
   HTML_Header($lang['NoteDetail']);
   $p = new note($dbconn);
   $p->read($HTTP_GET_VARS['id']);
   if ( $p->id > 0 ) {
     $p->read_reference();
   }
   if ( $p->id < 1 ) {
     $msg .= sprintf($lang['Err0040'],$lang[$p->getType()]);
   }
   if ( ! $p->see_ok() ) {
     $msg .= sprintf($lang['Err0022'],$lang[$p->getType()]);
   }
   HTML_Base1();
   navigate();
   HTML_Base2($msg);
   if ( $msg == "" ) {
     info($p);
   }
 } else {
   HTML_Header($lang['NoteDetail']);
   $msg .= sprintf($lang['Err0040'],$lang['note']);
   HTML_Base1();
   navigate();
   HTML_Base2($msg);
 }

 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: note_show.php,v 1.4 2002/07/19 12:24:02 gokohnert Exp $
    $Author: gokohnert $
-->
