<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup product
 * @module select
 */
 include("webelements.p3");
 include("permission.p3");
 include("product.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules('product','select');

 /* ---------------------------------------------------------------------------
  *
  */
 Function info($ext = 0) {
   global $lang, $tutos, $dbconn;

   echo "<BR><BR><CENTER>\n";

   echo " <FORM NAME=\"prodsearch1\" METHOD=\"GET\" ACTION=\"product_overview.php\">\n";
   hiddenFormElements();
   DoubleTableStart();

   echo "<TR>\n";
   if ( $ext == 0 ) {
     echo " <TH COLSPAN=3>". $lang['SearchForProd'] ."</TH>\n";

     echo "</TR><TR>\n";
     showfieldc($lang['AdrName']);
     echo " <TD><CENTER><INPUT type=\"text\" value=\"\" name=\"name\"></CENTER></TD>\n";
     echo " <TD><CENTER>\n";
     echo "  <INPUT type=\"submit\" value=\"". $lang['Search'] ."\" TITLE=\"". $lang['SearchForProd'] ."\"></CENTER></TD>\n";
     echo "</TR><TR>\n";
     echo " <TD COLSPAN=2><CENTER><FONT SIZE=-1>". $lang['ProdSelInfo']."</FONT></CENTER></TD>\n";
     echo " <TD><CENTER>". makelink("product_select.php?ext=1",$lang['extended']) ."</CENTER></TD>\n";
   } else {
     echo " <TH COLSPAN=3>". $lang['SearchForProdExt'] ."</TH>\n";

     echo "</TR><TR>\n";
     showfieldc($lang['AdrName']);
     echo " <TD>&nbsp;<INPUT type=\"text\" value=\"\" name=\"name\">\n";
     echo " </TD>\n";
     echo " <TD><CENTER><input type=\"submit\" value=\"". $lang['Search'] ."\" TITLE=\"". $lang['SearchForProdExt'] ."\"></CENTER></TD>\n";

     echo "</TR><TR>\n";
     showfieldc($lang['ProdState']);
     echo " <TD COLSPAN=2>&nbsp;". ProdAskState($tutos['psst'],1) ."&nbsp;</TD>\n";

     $p = new product($dbconn);
     for ( $cl = 1;$cl <= $p->classes; $cl++) {
       echo "</TR><TR>\n";
       showfieldc($lang['ProdClass'.$cl]);
       echo " <TD COLSPAN=2>&nbsp;". ProdAskClass($cl,$tutos['pscl'][$cl],1) ."&nbsp;</TD>\n";
     }

     echo "</TR><TR>\n";
     echo " <TD ROWSPAN=2 CLASS=\"desc\">". $lang['ProdBetween'] ."</TD>\n";
     echo " <TD COLSPAN=2>&nbsp;";
     $tutos['psfd']->EnterDate("f",1);
     echo "&nbsp;</TD>\n";

     echo "</TR><TR>\n";
     echo " <TD COLSPAN=2>&nbsp;";
     $tutos['pstd']->EnterDate("t",1);
     echo "&nbsp;</TD>\n";
   }
   echo "</TR>\n";

   DoubleTableEnd();
   echo " </FORM>\n";

   echo "</CENTER>\n";
 }

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate() {
   global $lang,$current_user;

   echo "<TABLE>";
   echo "<TR><TD>";
   if ( $current_user->feature_ok(useprojects,PERM_NEW) ) {
     echo menulink("product_new.php",$lang['NewEntry'],$lang['ProdCreateInfo']) ."<BR>\n";
   }
   echo "</TD></TR>";

   HTML_Select();
 }

 HTML_Header($lang['ProductsSearch']);

 # Defaults for search
 $tutos['psfd'] = new DateTime(0);
 $tutos['pstd'] = new DateTime(0);

 if ( isset($HTTP_SESSION_VARS['prodsearchfrom']) ) {
   $tutos['psfd']->setDateTime($HTTP_SESSION_VARS['prodsearchfrom']);
 }
 if ( isset($HTTP_SESSION_VARS['prodsearchto']) ) {
   $tutos['pstd']->setDateTime($HTTP_SESSION_VARS['prodsearchto']);
 }
 if ( isset($HTTP_SESSION_VARS['prodsearchstate']) ) {
   $tutos['psst'] = $HTTP_SESSION_VARS['prodsearchstate'];
 } else {
   $tutos['psst'] = 0;
 }

 $p = new product($dbconn);
 for ( $cl = 1;$cl <= $p->classes; $cl++) {
   $y = sprintf("prodsearchcl%d",$cl);
   if ( isset($HTTP_SESSION_VARS[$y]) ) {
     $tutos['pscl'][$cl] = $HTTP_SESSION_VARS[$y];
   } else {
     $tutos['pscl'][$cl] = 0;
   }
 }
 if ( ! isset($HTTP_GET_VARS['ext']) ) {
   $ext = 0;
 } else {
   $ext = $HTTP_GET_VARS['ext'];
 }
 HTML_Base1();
 navigate();
 HTML_Base2($msg);
 info($ext);
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: product_select.php,v 1.16.2.1 2002/08/13 15:00:09 gokohnert Exp $
    $Author: gokohnert $
-->
