<?
/*
 * Copyright 1999 - 2002 by Gero Kohnert
 */
 include("webelements.p3");
 include("permission.p3");
 include("appointment.pinc");
 include("product.pinc");
 include("task.pinc");
 include("timetrack.pinc");

 /* Check if user is allowed to use it */
 check_user();

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$dbconn,&$base,&$uids,$start,$end) {
   global $tutos, $lang;

   echo $start->getLinkDateTime() ." - ". $end->getLinkDateTime();

   $month = Date("m/Y",$start->ts);
   $m = Date("m",$start->ts);
   $y = Date("Y",$start->ts);
   $cols = Date("j",$end->ts);

#   $cols = 31;
   DoubleTableStart(1,1);
   echo "<TR>\n";
   echo " <TH ROWSPAN=2>". $lang['AdrName'] ."</TH>\n";
   echo " <TH COLSPAN=". $cols .">";

   $last = "res_cal.php?id=". $base->id ;
   $t = MkTime(0,0,0,($m -1),Date("d",$start->ts),$y);
   $last = addUrlParameter($last,"start=". Date("Ymd",$t));
#   $t = MkTime(0,0,0,($m -1),Date("d",$end->ts),$y);
#   $last = addUrlParameter($last,"end=". Date("Ymd",$t));

   $next = "res_cal.php?id=". $base->id;
   $t = MkTime(0,0,0,($m +1),Date("d",$start->ts),$y);
   $next = addUrlParameter($next,"start=". Date("Ymd",$t));
#   $t = MkTime(0,0,0,($m +1),Date("d",$end->ts),$y);
#   $next = addUrlParameter($next,"end=". Date("Ymd",$t));


   echo  makelink($last,$tutos[image][left],$lang['ResCal']);
   echo  "&nbsp;". sprintf($lang['ResCalDetail'],menulink($base->getUrl(),$base->getFullName()),$month) ."&nbsp;";
   echo  makelink($next,$tutos[image][right],$lang['ResCal']);
   echo " </TH>\n";
   echo "</TR>\n";
   echo "<TR>\n";
   for ($i = 1; $i <= $cols; $i++) {
     $t = MkTime(0,0,0,$m,$i,$y);
     $dinfo = GetDaysInfo($t);
     echo " <TD CLASS=\"". $dinfo[color] ."\">". sprintf("%02d",$i) ."</TD>\n";
   }
   echo "</TR>\n";

   $q2 = "SELECT * from calendar ";
   $q2 = $q2 ." WHERE repeat = 0 ";
   $q2 = $q2 ."  AND  ( (a_start < " . $dbconn->Date($end) ." AND a_start   >= " . $dbconn->Date($start) .") ";
   $q2 = $q2 ."    OR   (a_end < " . $dbconn->Date($end) ." AND a_end   >= " . $dbconn->Date($start) .") ";
   $q2 = $q2 ."    OR   (a_start < " . $dbconn->Date($start) ." AND a_end   >= " . $dbconn->Date($end) .") ";
   $q2 = $q2 ." )";
   $q2 = $q2 ." ORDER by a_start";

   $result2 = $dbconn->Exec($q2);
   $n2 = $result2->numrows();

   $a = 0;
   $applist = array();
   while ( $a < $n2 ) {
     $app = new appointment($dbconn);
     $app->read_result($result2,$a);
     if ( ! $app->see_ok() ) {
       $a++;
       continue;
     }
     $app->read_participants();

     $applist[$app->id] = &$app;
     unset($app);
     $a++;
   }
   $result2->free();

   @reset($uids);
   while ( list ($i,$f) = @each ($uids) ) {
     $maxr = 0;
     $q1 = "SELECT * from tasks ";
     $q1 = $q1 ." WHERE ( worker = " . $f->id ." OR worker = ". $base->id .")";
     $q1 = $q1 ."   AND ( (s_start < " . $dbconn->Date($end) ." AND s_start   >= " . $dbconn->Date($start) .") ";
     $q1 = $q1 ."    OR   (s_end < " . $dbconn->Date($end) ." AND s_end   >= " . $dbconn->Date($start) .") ";
     $q1 = $q1 ."    OR   (s_start < " . $dbconn->Date($start) ." AND s_end   >= " . $dbconn->Date($end) .") ";
     $q1 = $q1 ." )";
     $q1 = $q1 ." ORDER by s_start";

#echo "<TR><TD COLSPAN=32>\n $q1 \n</TD></TR>";
#echo "<TR><TD COLSPAN=32>\n $q2 \n</TD></TR>";

     $result1 = $dbconn->Exec($q1);
     $n1 = $result1->numrows();


     echo "<!-- $n1 $n2 -->\n";

     # Reset Fields  / Field index is day in month
     for ($r = 0; $r < ($n1 + $n2) ; $r++) {
       for ($d = 1; $d <= $cols; $d++) {
          $xarr[$d][$r] = -1;
       }
     }

     # Fill Fields
     # Task Entries
     $a = 0;
     while ( $a < $n1 ) {
       $task = new task($dbconn);
       $task->read_result($result1,$a);

       if ( ! $task->see_ok() ) {
         $a++;
         continue;
       }
#       echo "<TR><TD COLSPAN=32> TSK:". $task->id  ."</TD></TR>\n";
       # Mark all fields covered by this task
       $m1 = Date("m/Y",$task->s_start->ts);
       $d1 = Date("j",$task->s_start->ts);
       $m2 = Date("m/Y",$task->s_end->ts);
       $d2 = Date("j",$task->s_end->ts);
       if ( $m1 != $month ) {
         $d1 = 1;
       }
       if ( $m2 != $month ) {
         $d2 = $cols;
       }
#       echo "<TR><TD COLSPAN=32>$d1 $d2 TSK:". $task->id  ."</TD></TR>\n";
       for ($d = $d1; $d <= $d2; $d++) {
         $r = 0;
         while ($xarr[$d][$r] > 0) {
           $r++;
         }
         $xarr[$d][$r] = $task->id;
         $obj[$task->id] = &$task;
         $maxr = Max($maxr,$r);
       }

       $a++;
       unset($task);
     }
     $result1->free();

     echo "<!-- $n1 $n2 $maxr -->\n";

     # Calendar Entries
     @reset($applist);
     while ( list ($i,$app) = @each ($applist) ) {
       @reset($app->participant);
       $found = 0;
       while ( list ($i2,$f2) = @each ($app->participant) ) {
         if ( $i2 == $f->id ) {
           $found++;
           break;
         }
         if ( $i2 == $base->id ) {
           $found++;
           break;
         }
       }
       if ( $found == 0 ) {
         $a++;
         continue;
       }
#       echo "<TR><TD COLSPAN=32> APP:". $app->id  ."</TD></TR>\n";
       # Mark all fields covered by this task
       $m1 = Date("m/Y",$app->start->ts);
       $d1 = Date("j",$app->start->ts);
       $m2 = Date("m/Y",$app->end->ts);
       $d2 = Date("j",$app->end->ts);
       if ( $m1 != $month ) {
         $d1 = 1;
       }
       if ( $m2 != $month ) {
         $d2 = $cols;
       }
#       echo "<TR><TD COLSPAN=32>$d1 $d2 $m1 $m2 APP:". $app->id  ."</TD></TR>\n";
       for ($d = $d1; $d <= $d2; $d++) {
         $r = 0;
         while ($xarr[$d][$r] > 0) {
           $r++;
         }
         $xarr[$d][$r] = $i;
         $obj[$app->id] = &$applist[$i];
         $maxr = Max($maxr,$r);
       }
     }

     echo "<TR>\n";

     if ( ($n1 + $n2) > 0 ) {
       echo "  <TD ROWSPAN=". ($maxr +1) .">". $f->getLink($f->getShortname()) ."</TD>\n";
     } else {
       echo "  <TD>". $f->getLink($f->getShortname()) ."</TD>\n";
       echo "  <TD COLSPAN=". $cols .">&nbsp;</TD>\n";
     }
     echo "<!-- $n1 $n2 $maxr -->\n";

     for ($r = 0; $r < ($n1 + $n2); $r++) {
       if ( $r > $maxr ) {
         continue;
       }

       if ( $r > 0 ) {
         echo "<TR>\n";
       }
       $day = 1;
       $old = $xarr[$day][$r];
       $colspan = 0;


       while ( $day <= $cols ) {
         if ( $xarr[$day][$r] != $old ) {
           echo "  <TD COLSPAN=".$colspan;
           if ( $old < 0 ) {
             echo ">&nbsp;";
           } else {
             if ( $obj[$old]->getType() == "task" ) {
               echo " CLASS=task". $obj[$old]->state .">".$obj[$old]->getLink() ." (". $obj[$old]->volume ." ". $lang['hours'] .")" ;
             } else {
               if ( $obj[$old]->descr == "" ) {
                 $obj[$old]->descr = $lang['AppLoc'][$obj[$old]->outside];
               }
               if ( $obj[$old]->mod_allow == 3 ) {
                 echo " CLASS=privapp>".$obj[$old]->getLink($obj[$old]->descr) ;
               } else {
                 echo " CLASS=app>".$obj[$old]->getLink($obj[$old]->descr) ;
               }
             }
           }
           echo "</TD>\n";
           $old = $xarr[$day][$r];
           $colspan = 1;
         } else {
           $colspan++;
         }
         $day++;
       }
       if ( $old < 0 ) {
         echo "  <TD COLSPAN=". $colspan .">&nbsp;</TD>\n";
       } else {
     echo "  <TD COLSPAN=".$colspan;
     if ( $old < 0 ) {
       echo ">&nbsp;";
     } else {
       if ( $obj[$old]->getType() == "task" ) {
         echo " CLASS=task". $obj[$old]->state .">".$obj[$old]->getLink() ." (". $obj[$old]->volume ." ". $lang['hours'] .")";
       } else {
         if ( $obj[$old]->mod_allow == 3 ) {
           echo " CLASS=privapp>".$obj[$old]->getLink($obj[$old]->descr) ;
         } else {
           echo " CLASS=app>".$obj[$old]->getLink($obj[$old]->descr) ;
         }
       }
     }
         echo "</TD>\n";
       }
       echo "</TR>\n";
     }
   }
   DoubleTableEnd();
 }

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate($link) {
   global $lang;
   echo "<TABLE>";
   echo "<TR><TD>";

   $link = addUrlParameter($link,"format=paper");
   echo menulink($link,$lang['Printable'],$lang['PrintableInfo']);

   echo "</TD></TR>";

   HTML_Select();
 }


 $link = "res_cal.php";

 if ( isset($HTTP_GET_VARS['format']) ) {
   $format = $HTTP_GET_VARS['format'];
 } else {
   $format = "";
 }

 if ( $format == "" ) {
   HTML_Header($lang['ResCal']);
 } else if ( $format == "paper" ) {
   Printable_Header($lang['ResCal']);
 }

 if ( isset($HTTP_GET_VARS['id']) ) {
   $link = addUrlParameter($link,"id=".$HTTP_GET_VARS['id']);
   if ($HTTP_GET_VARS['id'] == 0 ) {
     $base = new team($dbconn);
     $base->read(0);
   } else {
     $base = GetObject($dbconn,$HTTP_GET_VARS['id']);
   }
   if ( $base->gettype() == "team" ) {
     $base->read_member();
     @reset($base->member);
     while ( list ($i,$f) = @each ($base->member) ) {
       $uids[$i] = $f;
     }
   } else if ( $base->gettype() == "address" ) {
     $uids[$base->id] = $base;
   }
 } else {
   $base = $current_user;
   $uids[$base->id] = $base;
 }

 if ( isset($HTTP_GET_VARS['start']) ) {
   $start = new DateTime($HTTP_GET_VARS['start']);
 } else {
   $t = MkTime(0,0,0,Date("m"),1,Date("Y"));
   $start = new DateTime();
   $start->setDateTimeTS($t);
 }
 if ( isset($HTTP_GET_VARS['end']) ) {
   $end = new DateTime($HTTP_GET_VARS['end']);
 } else {
   $t = $start->getTimeStamp();
   $x = Date("m",$t);
   while ( $x == Date("m",$t) ) {
     $t += 86400;
   }
   $t = MkTime(0,0,0,Date("m",$t),Date("d",$t),Date("Y",$t));
   $t -= 1;
   $end = new DateTime();
   $end->setDateTimeTS($t);
 }

 $link = addUrlParameter($link,"start=".Date("Ymd",$start->ts));
 $link = addUrlParameter($link,"end=".Date("Ymd",$end->ts));

 if ( $format == "" ) {
   HTML_Base1();
   navigate($link);
   HTML_Base2($msg);
 }

 info($dbconn,$base,$uids,$start,$end);

 if ( $format == "" ) {
   HTML_Base3();
 }
 if ( $format == "paper" ) {
   HTML_Close();
 }
 $dbconn->Close();

?>
<!--
    CVS Info:  $Id: res_cal.php,v 1.19 2002/06/12 21:04:22 gokohnert Exp $
    $Author: gokohnert $
-->