<?
/**
 * Copyright 2001 - 2002 by Gero Kohnert
 *
 * this script parses all the inputs and stores the object into the database.
 * on completition it jumps to the detail screen of the stored object
 *
 * @modulegroup resource
 * @module resource_ins
 * @package resource
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("resource");
 loadmodule("resource");

 $gotourl = "resource/resource_new.php";
 $msg = "";

 $b = new resource($dbconn);
 if ( isset($HTTP_POST_VARS['id']) ) {
   $gotourl= addUrlParameter($gotourl,"id=". $HTTP_POST_VARS['id']);
   $b->read($HTTP_POST_VARS['id']);
 }

 if ( empty($HTTP_POST_VARS['name']) || !isset($HTTP_POST_VARS['name']) || ($HTTP_POST_VARS['name'] == $lang['PlsChangeName']) ) {
   $msg .= sprintf($lang['Err0009'],$lang['ResName']) ."<BR>";
 } else {
   $b->setName(trim(StripSlashes($HTTP_POST_VARS['name'])));
   $gotourl = addUrlParameter($gotourl,"name=". UrlEncode($b->name));
 }

 $b->setDesc(trim(StripSlashes($HTTP_POST_VARS['desc'])));
 $gotourl = addUrlParameter($gotourl,"desc=". UrlEncode($b->desc));

 $msg .= module_parseforms($current_user,$b,$gotourl);

 if ( $msg == "" ) {
   $dbconn->Begin("WORK");
   $msg .= $b->save();
   $dbconn->Commit("WORK");
   $gotourl = $b->getURL();
 }
 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));
 $gotourl = addSessionKey($gotourl);


 Header("Status: 302 Moved Temporarily");
 Header("Location: ". dirname(getBaseUrl()) . "/". $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: resource_ins.php,v 1.1.2.1 2002/08/15 08:04:12 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
