<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup task
 * @module task_del
 * @package task
 */
 include("webelements.p3");
 include("permission.p3");
 include("product.pinc");
 include("task.pinc");
 include("bug.pinc");
 include("file.pinc");
 include("url.pinc");
 include("timetrack.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("task");

 $gotourl= "task_overview.php";
 $msg = "";

 $t = new task($dbconn);

 if ( !isset($HTTP_GET_VARS['id']) ) {
   $msg .= sprintf($lang['Err0040'],$lang[$t->getType()]);
 } else {
   $t->read($HTTP_GET_VARS['id']);
   $gotourl = $t->getUrl();
 }
 if ( ! $t->del_ok() ) {
   $msg .= sprintf($lang['Err0023'],$lang[$t->getType()]);
 }
 if ($msg == "") {
   $gotourl = $t->parent->getUrl();

   $dbconn->Begin("WORK");
   $msg .= $t->delete();
   $dbconn->Commit("WORK");
 }
 $gotourl = addUrlParameter($gotourl,"msg=". UrlEncode($msg));
 $gotourl = addSessionKey($gotourl);

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". getBaseUrl() . $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: task_del.php,v 1.11.2.1 2002/08/15 08:04:11 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
