<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup task
 * @module task_overview
 * @package task
 */
 include("webelements.p3");
 include("permission.p3");
 include("url.pinc");
 include("task.pinc");
 include("product.pinc");
 include("timetrack.pinc");
 include("bug.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("task");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$parent, $fld) {
   global $lang , $tutos;

   task_calc($parent);

   if ( $tutos[massupdate] == 1 ) {
     echo "<FORM NAME=\"actionform\" METHOD=\"GET\" ACTION=\"task_overview.php\">\n";
     echo "<INPUT TYPE=hidden NAME=id VALUE=\"". $parent->id ."\">";
     hiddenFormElements();
     echo "<SCRIPT language=\"JavaScript\">\n";
     echo "<!--\n";
     echo "function CheckAll2() {\n";
     echo "  for (var i=0; i < document.forms['actionform'].elements.length; i++) {\n";
     echo "   var e = document.forms['actionform'].elements[i];\n";
     echo "   if (e.name != 'checkit')\n";
     echo "     e.checked = document.forms['actionform'].checkit.checked;\n";
     echo "  }\n";
     echo "}\n";
     echo "function disableArg() {\n";
     echo "  tofocus = (document.actionform.action.value == 'timeslice')\n";
     echo "         || (document.actionform.action.value == 'timeslice_s')\n";
     echo "         || (document.actionform.action.value == 'timeslice_e');\n";
     echo "  if ( tofocus ) {\n";
     echo "    document.actionform.arg.disabled = false;\n";
     echo "    document.actionform.arg.value = '';\n";
     echo "    document.actionform.arg.blur();\n";
     echo "  } else {\n";
     echo "    document.actionform.arg.disabled = true;\n";
     echo "    document.actionform.arg.focus();\n";
     echo "    document.actionform.arg.value = '1';\n";
     echo "  }\n";
     echo "}\n";
     echo "//-->\n";
     echo "</SCRIPT>\n";

   }
   echo "<TABLE CLASS=single BORDER=1 CELLPADDING=3 CELLSPACING=0>\n";
   $cols = 9;
   echo " <THEAD>\n";
   echo " <TR>\n";
   echo "  <TH COLSPAN=". $cols ." WIDTH=\"100%\">". $lang['TaskOverview'] ." ". $lang['forphrase'] ." " . menulink($parent->getURL(),$parent->getFullName()) ."</TH>\n";
   echo " </TR>\n";
   echo " <TR>\n";
   echo "  <TD COLSPAN=2 CLASS=desc NOWRAP>&nbsp;". $lang['TaskVolumeFull'] ."&nbsp;</TD>\n";
   echo "  <TD COLSPAN=2>&nbsp;". $parent->sum['volume'] ." ". $lang['hours'] ."</TD>\n";
   echo "  <TH COLSPAN=1 ROWSPAN=2 NOWRAP>". $lang['AppStart'] ."<BR>". $parent->min_start->getDate() ."</TH>\n";
   echo "  <TH COLSPAN=1 ROWSPAN=2 NOWRAP>". $lang['AppEnd'] ."<BR>". $parent->max_end->getDate() ."</TH>\n";
   if (  $parent->sum['volume'] != 0 ) {
     $c = ( 100.0 * ( $parent->sum['volume_done'] / $parent->sum['volume'] ));
   } else {
     $c = 0.0;
   }
   echo "  <TD COLSPAN=2 ROWSPAN=3 ALIGN=right CLASS=desc>&nbsp;". $lang['Completed'] .":&nbsp;<FONT SIZE=\"+2\">". sprintf("%3.2f",$c) ." %</FONT></TD>\n";
   if ( $tutos[massupdate] == 1 ) {
     # Checkbox column for massupdate
     echo "  <TH ROWSPAN=3 NOWRAP><INPUT TYPE=checkbox name=checkit onClick=\"CheckAll2();\"></TH>\n";
   } else {
     echo "  <TD ROWSPAN=3 NOWRAP>&nbsp;</TD>\n";
   }
   echo " </TR>\n";

   echo " <TR>\n";
   echo "  <TD COLSPAN=2 ROWSPAN=2 CLASS=desc NOWRAP>&nbsp;". $lang['TaskVolumeDone'] ."&nbsp;</TD>\n";
   echo "  <TD COLSPAN=2 ROWSPAN=2>&nbsp;". sprintf("%3.2f",$parent->sum['volume_done']) ." ". $lang['hours'] ."</TD>\n";
   echo " </TR>\n";
   $a = 0;

   echo "<TR>";
#   echo "<TD COLSPAN=4></TD>";
   echo "<TD COLSPAN=2><IMG WIDTH=202 HEIGHT=2 SRC=\"". $tutos['base'] ."/html/black.png\"></TD>";
#   echo "<TD COLSPAN=2></TD>";
   if ( $tutos[massupdate] == 1 ) {
     # Checkbox column for massupdate
#     echo "  <TD COLSPAN=1></TD>\n";
   }
   echo "</TR>";
   echo " </THEAD>\n";
   echo " <TBODY>\n";
   $skipped = 0;
   if ( $parent->getType() == "task" ) {
     $skipped += $parent->printRow(0,$parent,$fld);
   } else {
     @reset($parent->tasklist);
     while ( list ($i,$f) = @each ($parent->tasklist) ) {
       $skipped += $f->printRow(0,$parent,$fld);
       $a++;
     }
   }
   echo " </TBODY>\n";

   if ( $tutos[massupdate] == 1 ) {
     echo " <TFOOT>\n";
     echo "<TR>";
     echo " <TD ALIGN=right COLSPAN=". ( $cols -1 ) .">\n";
     echo sprintf($lang['withmarked'],$lang['Tasks']);
     echo "<SELECT NAME=\"action\" onChange=\"disableArg();\">\n";
     echo " <OPTION VALUE=\"-1\" SELECTED>". $lang['MailActionNil'] ."</OPTION>\n";
     echo " <OPTION VALUE=\"-2\">". $lang['Delete'] ."</OPTION>\n";
     @reset($lang['TaskStates']);
     while ( list ($f,$i) = @each ($lang['TaskStates']) ) {
       echo " <OPTION VALUE=\"". $f ."\">". sprintf($lang['SetTo'],$lang['TaskState'],$lang['TaskStates'][$f]) ."\n";
     }
     # Adding the ability to mass update time slice
     echo " <OPTION VALUE=\"timeslice\">".$lang['Reschedule']."</OPTION>\n";
     echo " <OPTION VALUE=\"timeslice_s\">".$lang['Reschedule_s']."</OPTION>\n";
     echo " <OPTION VALUE=\"timeslice_e\">".$lang['Reschedule_e']."</OPTION>\n";
     echo "</SELECT>\n";
     echo " &nbsp;<INPUT name=\"arg\" type=\"text\" value=\"0\" size=\"3\">\n";

     echo " </TD>\n";

     echo " <TD COLSPAN=1><INPUT type=submit value=OK></TD>\n";
     echo "</TR>";
     echo " </TFOOT>\n";
   }
   echo " </TABLE>\n";
   if ( $tutos[massupdate] == 1 ) {
     echo "</FORM>";
   }
   if ($skipped > 0 ) {
     echo "skipped ". $skipped ." (". $lang['TaskStates'][2].") ". $lang['Tasks'];
   }
 }
 /* ---------------------------------------------------------------------------
  *
  */
Function navigate($fld,$obj = -1) {
  global $tutos, $lang;

  echo "<TABLE>";
  echo "<TR><TD>";

  // The PNG Gantt fonctionnality, using JpGraph Tools, to be installed
  if( $tutos[usejpgraph] ) {
    echo menulink("task_gantt.php?id=". $obj->id, $lang['TaskGantt']);
    echo "<BR>";
  }

  if( $obj != -1 && $obj->getType() !=  "address" ) {
    if ( $fld != ""  ) {
      echo menulink("task_overview.php?id=".$obj->id,	$lang['TaskOverview'],sprintf($lang['TaskOverviewInfo'],$obj->getFullName()));
    } else {
      echo menulink("task_overview.php?id=".$obj->id."&fld=worker", $lang['TaskOverview']."++",sprintf($lang['TaskOverviewInfo'],$obj->getFullName()) );
    }
    echo "<BR>";
  }
  echo "</TD></TR>\n";

  # Infolink is already in header of table
#  if( $obj != -1 ) {
#    echo "<TR><TD>";
#    echo $lang[$obj->getType()]." ".menulink($obj->getURL(), $obj->getFullName());
#    echo "</TD></TR>\n";
#  }

  HTML_Select();
}


// Perform some action
if ( isset($HTTP_GET_VARS['mark']) && isset($HTTP_GET_VARS['action']) && ($HTTP_GET_VARS['action'] != -1) ) {
  @reset($HTTP_GET_VARS['mark']);
  switch( $HTTP_GET_VARS['action'] ) {
  case -2:
    $dbconn->Begin("WORK");
    while( list($key, $val) = @each($HTTP_GET_VARS['mark']) ) {
      $p = new task($dbconn);
      $p->read($val);
      if ( $p->id != $val ) {
        $msg .= "Unknown TASK ". $val ."<BR>\n";
        continue;
      }
      if ( $p->del_ok() ) {
        $msg .= sprintf($lang['TaskDelete'], $p->getFullName()) ."<BR>";
        $msg .= $p->delete();
      } else {
        $msg .= $p->getLink() .": ".  sprintf($lang['Err0023'],$lang[$p->getType()])."<BR>\n";
      }
      unset($p);
    }
    $dbconn->Commit("WORK");
    break;

  case "timeslice":
    // control the given value
    $arg = $HTTP_GET_VARS['arg'];
    if( !is_numeric($arg) ) {
      $msg .= sprintf($lang['Err0017'], $lang['Reschedule'])."<BR>";
      break;
    }

    $dbconn->Begin("WORK");

    while (list ($key,$val) = @each ($HTTP_GET_VARS['mark'])) {
      $p = new task($dbconn);
      $p->read($val);
      if ( $p->id != $val ) {
        continue;
      }
      if ( $p->mod_ok() ) {
        $start = $p->s_start;
        $end   = $p->s_end;
        $start->addDays($arg);
        $end->addDays($arg);
        $p->setSStart($start);
        $p->setSEnd($end);
        $msg .= $p->save();
      } else {
        $msg .= $p->getLink() .": ". sprintf($lang['Err0024'],$lang[$p->getType()])."<BR>\n";
      }
      unset ($p);
    }
    $dbconn->Commit("WORK");
    break;

  case "timeslice_s":
    // control the given value
    $arg = $HTTP_GET_VARS['arg'];
    if( !is_numeric($arg) ) {
      $msg .= sprintf($lang['Err0017'], $lang['Reschedule'])."<BR>";
      break;
    }

    $dbconn->Begin("WORK");

    while (list ($key,$val) = @each ($HTTP_GET_VARS['mark'])) {
      $p = new task($dbconn);
      $p->read($val);
      if ( $p->id != $val ) {
        continue;
      }
      if ( $p->mod_ok() ) {
        $start = $p->s_start;
        $end   = $p->s_end;
        $start->addDays($arg);
	if( $start->getYYYYMMDD() <= $end->getYYYYMMDD() ) {
	  $p->setSStart($start);
	  $msg .= $p->save();
	}
	else {
	  $msg .= $p->getLink() .": ".$lang['Err0002']."<BR>\n";
	}
      } else {
        $msg .= $p->getLink() .": ". sprintf($lang['Err0024'],$lang[$p->getType()])."<BR>\n";
      }
      unset ($p);
    }
    $dbconn->Commit("WORK");
    break;

  case "timeslice_e":
    $arg = $HTTP_GET_VARS['arg'];
    // control the given value
    if( !is_numeric($arg) ) {
      $msg .= sprintf($lang['Err0017'], $lang['Reschedule'])."<BR>\n";
      break;
    }

    $dbconn->Begin("WORK");

    while (list ($key,$val) = @each ($HTTP_GET_VARS['mark'])) {
      $p = new task($dbconn);
      $p->read($val);
      if ( $p->id != $val ) {
        continue;
      }
      if ( $p->mod_ok() ) {
        $start = $p->s_start;
        $end   = $p->s_end;
        $end->addDays($arg);
        if( $start->getYYYYMMDD() <= $end->getYYYYMMDD() ) {
          $p->setSEnd($end);
          $msg .= $p->save();
        } else {
          $msg .= $p->getLink() .": ".$lang['Err0002']."<BR>\n";
        }
      } else {
        $msg .= $p->getLink() .": ". sprintf($lang['Err0024'],$lang[$p->getType()]) ."<BR>\n";
      }
      unset ($p);
    }
    $dbconn->Commit("WORK");
    break;

  default:
    $dbconn->Begin("WORK");
    while (list ($key,$val) = @each ($HTTP_GET_VARS['mark'])) {
      $p = new task($dbconn);
      $p->read($val);
      if ( $p->id != $val ) {
        continue;
      }
      if ( $p->mod_ok() ) {
        $msg .= $p->getLink() ." ". $lang['TaskState'] ." = ".  $lang['TaskStates'][$HTTP_GET_VARS['action']] ."<BR>";
        $msg .= $p->setState($HTTP_GET_VARS['action']);
        $msg .= $p->save();
      } else {
        $msg .= $p->getLink() .": ". sprintf($lang['Err0024'],$lang[$p->getType()]) ."<BR>\n";
      }
      unset ($p);
    }
    $dbconn->Commit("WORK");
    break;
  }
}

$fld = "";
HTML_Header($lang['TaskOverview']);

if ( isset($HTTP_GET_VARS['id']) ) {
  $obj = GetObject($dbconn,$HTTP_GET_VARS['id']);
  $stop = 0;
} else {
  $msg .= $lang['Err0048'];
  $stop = 1;
  $obj = -1;
}
if ( isset($HTTP_GET_VARS['fld']) ) {
  $fld = $HTTP_GET_VARS['fld'];
}
HTML_Base1();
navigate($fld,$obj);
HTML_Base2($msg);
if ( $stop != 1 ) {
  info($obj, $fld);
}
HTML_Base3();

$dbconn->Close();
?>
<!--
CVS Info:  $Id: task_overview.php,v 1.36.2.3 2002/09/05 19:29:47 gokohnert Exp $
 $Author: gokohnert $
 -->
