<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup team
 * @module team_del
 * @package team
 */
 include("webelements.p3");
 include("permission.p3");
 include("url.pinc");
 include("product.pinc");
 include 'appointment.pinc';

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("team");

 $gotourl= "team_overview.php";
 $msg = "";
 $t = new team($dbconn);

 if ( ! isset($HTTP_GET_VARS['id']) ) {
   $msg .= sprintf($lang['Err0040'],$lang[$t->getType()]) ."<BR>";
 } else {
   $t->read($HTTP_GET_VARS['id']);
 }
 if ( $t->id < 1 ) {
   $msg .= sprintf($lang['Err0040'],$lang[$t->getType()]) ."<BR>";
 } else {
   $gotourl= $t->getURL();
 }
 if ( ! $t->del_ok() ) {
   $msg .= sprintf($lang['Err0023'],$lang[$t->getType()]) ."<BR>";
 }

 if ( $msg == "" ) {
   $gotourl= "team_overview.php";

   $dbconn->Begin("WORK");
   $msg .= $t->delete();
   $dbconn->Commit("WORK");
 }

 $gotourl = addSessionKey($gotourl);
 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". getBaseUrl() . $gotourl);
 $dbconn->Close();
/*
 *   CVS Info:  $Id: team_del.php,v 1.11.2.1 2002/08/15 08:04:11 gokohnert Exp $
 *   $Author: gokohnert $
 */
?>
