<?
/*
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 */
 include("webelements.p3");
 include("permission.p3");
 include("appointment.pinc");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("user","ins");

 $msg = "";
 $u = new tutos_user($dbconn);
 $gotourl = "user_new.php";

 if ( !isset($HTTP_POST_VARS['id']) || empty($HTTP_POST_VARS['id']) ) {
   $msg .= "Please enter a id<BR>";
 } else {
   $u->read($HTTP_POST_VARS['id']);
   $gotourl= addUrlParameter($gotourl,"id=". $HTTP_POST_VARS['id']);
 }

 if ( !isset($HTTP_POST_VARS['login']) || empty($HTTP_POST_VARS['login']) ) {
   $msg .= sprintf($lang['Err0009'],$lang['Username']) ."<BR>";
 } else {
   $u->setLogin($HTTP_POST_VARS['login']);
   $gotourl= addUrlParameter($gotourl,"login=". UrlEncode($u->login));
 }

 # This does not work for mysql !!!
 if ( $dbconn->gettype() != "MySQL" ) {
   # Check old password
   if ( (!empty($HTTP_POST_VARS['p1']) || !empty($HTTP_POST_VARS['p2'])) && ($current_user->admin == 0) ) {
     if ( "'". $u->pw ."'" != $dbconn->Password($HTTP_POST_VARS['p0']) ) {
       $msg .= $lang['Err0042'] ."<BR>";
     }
   }
 }
 if ( !empty($HTTP_POST_VARS['p1']) || !empty($HTTP_POST_VARS['p2']) ) {
   if ( $HTTP_POST_VARS['p1'] != $HTTP_POST_VARS['p2'] ) {
     $msg .= $lang['Err0041'] ."<BR>";
   }
 }
 
 # Holidays
 $u->holiday = array();
 if (isset($HTTP_POST_VARS['h']) ) {
   @reset($HTTP_POST_VARS['h']);
   while ( list ($i,$f) = @each ($HTTP_POST_VARS['h']) ) {
     $gotourl= addUrlParameter($gotourl,"h[]=". UrlEncode($f));
     $u->holiday[$f] = 1;
   }
 }
 # Namedays
 $u->nameday = array();
 if (isset($HTTP_POST_VARS['nd']) ) {
   @reset($HTTP_POST_VARS['nd']);
   while ( list ($i,$f) = @each ($HTTP_POST_VARS['nd']) ) {
     $gotourl= addUrlParameter($gotourl,"nd[]=". UrlEncode($f));
     $u->nameday[$f] = 1;
   }
 }
 # workdays
 if (isset($HTTP_POST_VARS['wd']) ) {
   $u->workday = array();
   @reset($HTTP_POST_VARS['wd']);
   while ( list ($i,$f) = @each ($HTTP_POST_VARS['wd']) ) {
     $gotourl= addUrlParameter($gotourl,"wd[]=". UrlEncode($f));
     $u->workday[] = $f;
   }
 }
 # Weekstart
 if (isset($HTTP_POST_VARS['ws']) ) {
   $u->weekstart = $HTTP_POST_VARS['ws'];
   $gotourl= addUrlParameter($gotourl,"ws=". UrlEncode($u->weekstart));
 }
 if ( ! $u->mod_ok() ) {
   $msg .= sprintf($lang['Err0024'],$lang[$u->getType()]) ."<BR>";
 }

 # Check that there is one admin left
 if ( $u->admin == 1 && ($HTTP_POST_VARS['admin'] == 0) ) {
   $q = "SELECT * FROM people WHERE admin = 1";
   $r = $dbconn->Exec($q);
   $n = $r->numrows();
   if ( $n == 1 ) {
     $msg .= $lang['Err0047'] ."<BR>";
   }
   $r->free();
 }
 # Disabled
 if ( isset($HTTP_POST_VARS['disabled']) ) {
   $u->setDisabled($HTTP_POST_VARS['disabled']);
 } else {
   $u->setDisabled(0);
 }

 if ( !empty($HTTP_POST_VARS['p1']) && !empty($HTTP_POST_VARS['p2']) ) {
   $u->setPassword($HTTP_POST_VARS['p1']);
   $u->updatepw = 1;
 } else {
   $u->updatepw = 0;
 }

 if ( $u->uid == -1 ) {
   $u->updatepw = 1;
 }

 # Permissions
 $msg .= parse_permission_form($u);

 # other modules
 $msg .= module_parseforms($current_user,$u,$gotourl);

 if ( $msg == "" ) {
   $u->setAdmin($HTTP_POST_VARS['admin']);
   $u->setLanguage($HTTP_POST_VARS['lng']);
   $u->setTimezone($HTTP_POST_VARS['tz']);
   $u->setTheme($HTTP_POST_VARS['theme']);

   $dbconn->Begin("WORK");
   $msg .= $u->save_permissions();
   $msg .= $u->save();
   $dbconn->Commit("WORK");

   $gotourl = "address_show.php";
   if ( $tutos[demo] == 1 ) {
     $gotourl= addUrlParameter($gotourl,"lg=". $u->lang);
     $gotourl= addUrlParameter($gotourl,"th=". $u->theme);
   }
   $gotourl= addUrlParameter($gotourl,"id=". $u->id);
 }
 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));
 $gotourl = addSessionKey($gotourl);

 /* Go back to user mask */
 Header("Status: 302 Moved Temporarily");
 Header("Location: ". getBaseUrl() . $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: user_ins.php,v 1.25.2.3 2002/09/13 10:42:22 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
