<?
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * Editing of TUTOS users and their permissions
 *
 * @modulegroup user
 * @module user_new
 * @package user
 */
 include("webelements.p3");
 include("permission.p3");

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("user");

 /* ---------------------------------------------------------------------------
  *
  */
 Function info(&$user) {
   global $current_user , $lang , $tutos;

   echo "<FORM name=\"user_add\" action=\"user_ins.php\" method=\"POST\">\n";
   hiddenFormElements();
   echo "<INPUT type=hidden name=\"id\" value=\"". $user->id ."\">\n";
   echo "<INPUT type=hidden name=\"uid\" value=\"". $user->uid ."\">\n";
   echo "<TABLE CLASS=single BORDER=0 CELLSPACING=0>\n";
   echo "<TR>\n";
   echo " <TH COLSPAN=8>". $lang['UserInfo'] ."</TH>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   echo " <TD ALIGN=right COLSPAN=8>". acl_link($user) ."</TD>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   if ( $current_user->admin != 0) {
     showfieldc($lang['Username'],1,"login");
     echo " <TD COLSPAN=3><INPUT size=20 maxlength=20 name=\"login\" value=\"". $user->login ."\"></TD>\n";
     showfieldc($lang['UserDisabled'],0,"disabled");
     echo " <TD COLSPAN=3><INPUT type=checkbox name=\"disabled\" value=\"1\"". ($user->disabled == 1 ? " CHECKED":"") ."></TD>\n";
   } else {
     showfieldc($lang['Username'],0,"login");
     echo " <TD COLSPAN=7>". $user->login ."&nbsp;</TD>\n";
     echo "<INPUT type=hidden name=\"login\" value=\"". $user->login ."\">\n";
   }

   echo "</TR>\n";

   echo "<TR>\n";
   showfieldc($lang['User']);
   echo " <TD COLSPAN=7>". $user->getLink() ."</TD>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   showfieldc($lang['UserLastSeen']);
   echo " <TD COLSPAN=3>". $user->last_seen->getDateTime() ."&nbsp;</TD>\n";
   showfieldc($lang['UserLastHost']);
   echo " <TD COLSPAN=3>". $user->last_host ."&nbsp;</TD>\n";
   echo "</TR>\n";

   echo "<TR>\n";
   showfieldc($lang['UserAdmin'],1,"admin");
   if ( $current_user->admin != 0) {
     $achecked[0] ="";
     $achecked[1] ="";
     $achecked[$user->admin] ="CHECKED";
     echo " <TD COLSPAN=3>". $lang['yes'] ."&nbsp;<INPUT type=radio name=\"admin\" value=1 ". $achecked[1] ."></TD>";
     echo " <TD COLSPAN=4>". $lang['no'] ."&nbsp;<INPUT type=radio name=\"admin\" value=0 ". $achecked[0] ."></TD>";
   } else {
     echo "<INPUT type=hidden name=\"admin\" value=\"". $user->admin ."\">\n";
     if ( $user->admin == 1 ) {
       echo " <TD COLSPAN=7>". $lang['yes'] ."</TD>\n";
     } else {
       echo " <TD COLSPAN=7>". $lang['no'] ."</TD>\n";
     }
   }
   echo "</TR>\n";

   if ( ($tutos[pamauth] == 0) && ($tutos[ldapauth] == 0) ) {
     if ( $user->dbconn->Password("a") == "'a'" ) {
       echo "<TR>\n";
       echo " <TD COLSPAN=8><SPAN CLASS=warn>Passwords will not be encrypted in the Database.<BR>Do not use your standard password !!</SPAN></TD>\n";
       echo "</TR>\n";
     }
     if ( $current_user->admin == 0) {
       if ( $user->dbconn->gettype() != "MySQL" ) {
         echo "<TR>\n";
         showfieldc($lang['Password'] ." (old)",0,"p0");
         echo " <TD COLSPAN=7><INPUT type=password size=20 maxlength=20 name=\"p0\" value=\"\"></TD>\n";
         echo "</TR>\n";
       }
     }
     echo "<TR>\n";
     showfieldc($lang['Password'] ." (new)",0,"p1");
     echo " <TD COLSPAN=7><INPUT type=password size=20 maxlength=20 name=\"p1\" value=\"\"></TD>\n";
     echo "</TR>\n";

     echo "<TR>\n";
     showfieldc($lang['Password'] ." (repeat)",0,"p2");
     echo " <TD COLSPAN=7><INPUT type=password size=20 maxlength=20 name=\"p2\" value=\"\"></TD>\n";
     echo "</TR>\n";
   }
   #
   # Feature Permissions
   permission_form($user);

   #
   # LANGUAGE
   #
   echo "<TR>\n";
   showfieldc($lang['UserLanguage'],1,"lng");
   echo " <TD COLSPAN=7>\n";
   echo "  <SELECT name=\"lng\">\n";
   @reset ($lang['lang']);
   while( list ($i,$f) = @each ($lang['lang'])) {
     echo "   <OPTION value=\"". $i ."\"". ( !strcasecmp($i,$user->lang) ? " SELECTED":"") .">". myentities($f) ."</OPTION>\n";
   }
   echo "  </SELECT>\n";
   echo " </TD>\n";
   echo "</TR>\n";

   # TIMEZONE
   echo "<TR>\n";
   showfieldc($lang['UserTimezone'],1,"tz");
   echo " <TD COLSPAN=7>";
   echo " <SELECT name=\"tz\">\n";
   @reset ($tutos[timezones]);
   while( list ($i,$f) = @each ($tutos[timezones])) {
     echo "  <OPTION value=\"". $f ."\"". ($user->tz == $f ? " SELECTED":"") .">". $f ."</OPTION>\n";
   }
   echo " </SELECT>\n";
   echo " </TD>\n";
   echo "</TR>\n";

   # Workdays
   echo "<TR>\n";
   showfield($lang['UserWorkdays'],1,"wd[]");
   echo "<TD NOWRAP COLSPAN=7>\n";
   for ( $i = 0 ; $i < 7 ; $i++ ) {
     echo "<INPUT TYPE=checkbox NAME=wd[] value=\"". $i ."\" ". ($user->isworkday($i) ? "CHECKED":"") .">". $lang['Day'.$i];
   }
   echo "</TD>\n";
   echo "</TR>\n";

   # Weekstart
   echo "<TR>\n";
   showfield($lang['UserWeekstart'],1,"ws");
   echo "<TD NOWRAP COLSPAN=7>\n";
   echo "<SELECT name=\"ws\">\n";
   echo " <OPTION VALUE=0". ($user->weekstart == 0 ? " SELECTED":"") .">". $lang['Day0'] ."</OPTION>\n";
   echo " <OPTION VALUE=1". ($user->weekstart == 1 ? " SELECTED":"") .">". $lang['Day1'] ."</OPTION>\n";
   echo "</SELECT>\n";
   echo "</TD>\n";
   echo "</TR>\n";

   # HOLIDAYS
   $xx = 1;
   echo "<TR>\n";
   showfield($lang['UserHoliday'],0,"h[]");
   @reset ($tutos[holiday]);
   echo "<TD COLSPAN=7>\n";
   while( list ($i,$f) = @each ($tutos[holiday])) {
     if ( $tutos[holiday][$i] != 1 ) {
       continue;
     }
     echo "<INPUT TYPE=checkbox NAME=h[] value=\"". strtolower($i) ."\" ". ($user->holiday[strtolower($i)] == 1 ? "CHECKED":"") .">". $i;
     if ( 0 == ($xx % 4) ) {
       echo "<BR>\n";
	 } else {
       echo "&nbsp;&nbsp;";
	 }
     $xx++;
   }
   echo "</TD>\n";
   echo "</TR>\n";

   # Namedays
   echo "<TR>\n";
   showfield($lang['UserNamedays'],0,"nd[]");
   @reset ($tutos[nameday]);
   echo "<TD COLSPAN=7>\n";
   while( list ($i,$f) = @each ($tutos[nameday])) {
     if ( $tutos[nameday][$i] != 1 ) {
       continue;
     }
     echo "<INPUT TYPE=checkbox NAME=nd[] value=\"". strtolower($i) ."\" ". ($user->nameday[strtolower($i)] == 1 ? "CHECKED":"") .">". $i;
     if ( 0 == ($xx % 4) ) {
       echo "<BR>\n";
	 } else {
       echo "&nbsp;&nbsp;";
	 }
     $xx++;
   }
   echo "</TD>\n";
   echo "</TR>\n";

   # THEME
   echo "<TR>\n";
   showfieldc($lang['UserTheme'],1,"theme");
   echo " <TD COLSPAN=7>\n";
   echo " <SELECT name=\"theme\">\n";
   @reset ($tutos[themes]);
   while( list ($i,$f) = @each ($tutos[themes])) {
     echo "  <OPTION value=\"". $f ."\" ". ($f == $user->theme ? " SELECTED":"") .">". $f ."</OPTION>\n";
   }
   echo " </SELECT>\n";
   echo " </TD>\n";
   echo "</TR>\n";

   # References to modules
   module_addforms($current_user,$user,8);

   echo "<TR>\n";
   if ($user->uid > 0 ) {
     submit_reset(0,1,3,1,3,0);
   } else {
     submit_reset(0,-1,3,1,3,0);
   }
   echo "</TR>\n";
   if ( $user->uid != -1 ) {
     echo "<TR>\n";
     echo " <TD COLSPAN=8>". makelink("history_show.php?id=". $user->uid,$lang['HistoryLink'],sprintf($lang['HistoryLinkI'],$user->getFullname())) ."</TD>\n";
     echo "</TR>\n";
   }
   echo "</TABLE>\n";
   echo "</FORM>\n";
   echo $lang['FldsRequired'] ."\n";
 }

 /* ---------------------------------------------------------------------------
  *
  */
 Function navigate(&$user) {
   global $lang, $current_user, $tutos;

   echo "<TABLE>";
   echo "<TR><TD>";
   if ( ($user->del_ok()) && ($user->uid > 0) ) {
     echo confirmlink("user_del.php?id=". $user->id,$lang['UserDel'],sprintf($lang['UserDelInfo'], $user->getFullName()) ) ."<BR>";
   }

   if ( $user->uid > 0 ) {
     if ( $current_user->feature_ok(usemailboxes,PERM_NEW) ) {
       echo "". menulink("mailbox_new.php?parent=". $user->id, $lang['MailboxCreate']) ."<BR>\n";
	 }
   }
   echo  menulink("mytutos.php?adr=".$user->id,sprintf($lang['PersonalPageFor'],$user->getFullName()),sprintf($lang['PersonalPageFor'],$user->getFullName())) ."<BR>\n";

   echo "<BR>\n";
   show_module_newlinks($current_user,$a);

   echo "</TD></TR>";
   HTML_Select();
 }



 $stop = 0;
 if ( isset($HTTP_GET_VARS['id']) ) {
   $user = new tutos_user($dbconn);
   $user->read($HTTP_GET_VARS['id'],0);
   $user->read_permissions();
 } else if ( isset($HTTP_GET_VARS['uid']) ) {
   $user = new tutos_user($dbconn);
   $user->read($HTTP_GET_VARS['uid'],1);
   $user->read_permissions();
 } else {
   $user = $current_user;
 }

 if ( ! $user->mod_ok() ) {
   $msg .= sprintf($lang['Err0024'],$lang[$user->getType()]);
   $stop = 1;
 }

 if ( $user->uid != -1 ) {
   HTML_Header($lang['UserModify']);
 } else {
   HTML_Header($lang['UserCreate']);
 }

 if (isset($HTTP_GET_VARS['login'])) {
   $user->login = StripSlashes($HTTP_GET_VARS['login']);
 }

 if ( isset($HTTP_GET_VARS['h']) ) {
   @reset($HTTP_GET_VARS['h']);
   while( list ($i,$f) = @each ($HTTP_GET_VARS['h'])) {
     $user->holiday[$i] = $f;
   }
 }
 if ( isset($HTTP_GET_VARS['wd']) ) {
   $user->workday = array();
   @reset($HTTP_GET_VARS['wd']);
   while( list ($i,$f) = @each ($HTTP_GET_VARS['wd'])) {
     $user->workday[$i] = $f;
   }
 }
 if ( isset($HTTP_GET_VARS['nd']) ) {
   @reset($HTTP_GET_VARS['nd']);
   while( list ($i,$f) = @each ($HTTP_GET_VARS['nd'])) {
     $user->nameday[$i] = $f;
   }
 }
 if ( isset($HTTP_GET_VARS['ws']) ) {
   $user->weekstart = $HTTP_GET_VARS['ws'];
 }

 HTML_Base1();
 navigate($user);
 HTML_Base2($msg);
 if ( $stop == 0 ) {
   info($user);
 }
 HTML_Base3();

 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: user_new.php,v 1.44.2.1 2002/08/18 14:57:34 gokohnert Exp $
    $Author: gokohnert $
-->
